===================== 2014-03-06 Version 4.1.2 Released =====================

===================== Changes Since Version 4.1.1 ===========================

commit e9daf4ff4120e7cbfc6d99880c9679ea8051f18a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Mar 6 15:49:19 2014 +0100

    Makefile.defs: version set to 4.1.2

commit 25f6290d2ffba6178a0d3a3ce3ab833808830e6b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Mar 6 15:48:35 2014 +0100

    pkg/kamailio: version set to 4.1.2 in rpm specs

commit 73814ee9cf2df6c410120e383db628a983663c5b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Mar 6 15:47:44 2014 +0100

    pkg/kamailio: version set to 4.1.2 in deb specs

commit 9eba669d45baeb16a8e2fab0b1201c6140f2c652
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Mar 6 14:51:05 2014 +0100

    nathelper: readme updated for carrier grade nat address space matching
    
    (cherry picked from commit 15537553aabfd59bb0fe2af45174ab4a4575120f)

commit b2446a8ba6a80cf7b42839fb9aa04f5ed06767be
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Mar 6 14:49:22 2014 +0100

    nathelper: mention the match of a natted address against rfc6598 (carrier grade nat)
    
    (cherry picked from commit 048448f059b64863d41ca146650f7d26b195cdce)

commit a1db16222f16c75f2ed10aa023853e28772ab35a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Mar 6 14:48:13 2014 +0100

    nathelper: added carrier grade nat address space (rfc6598)
    
    (cherry picked from commit b992cfe8e88d069a0b3b0cfa31fe0d60a555cc4c)

commit 71c276c092bb3f1e958b17de1bb146a9d9937b3f
Author: Charles Chance <charles.chance@sipcentric.com>
Date:   Thu Mar 6 13:35:46 2014 +0000

    nat_traversal: added RFC6598 shared address space to client NAT tests
    (cherry picked from commit 01f76bb99cfd4cebb580ed10ecd478049b038f48)

commit 0487d889c7d04d2c63fec2fb573dce0cf6c55fd2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Mar 6 09:49:51 2014 +0100

    db_cassandra: return 0 in case of successful operations
    
    - following better DB APIv1 convention and avoiding inappropriate
      failure detection in some modules
    - reported and patch by Jay Binks
    
    (cherry picked from commit f475f2886f37b2a9cb5782ef1f5b9a6e94cee4dc)

commit 3f03a9410cd3e68eaf53866621cd73d69660a787
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 4 09:43:39 2014 +0100

    geoip: for safety checks for the case when geoip_match() is not executed
    
    - but the geoip pv is accessed
    - reported by Juha Heinanen
    
    (cherry picked from commit 56ed48bf48c3d78ff5d214833e09a5759f0b5928)

commit 2e1d6ed943aeb53ef56695df65d43f0f160d02f2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 3 19:15:30 2014 +0100

    uac_redirect: select the contacts with highest q when a limit is set
    
    - reported by  Stefan Prelle, FS#349
    
    (cherry picked from commit a9b3286a5ace0f66852054634b46c0647c8d1271)

commit 7745bf018deeaa4bdbb2a667c50209d480f96248
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Mar 2 15:40:17 2014 +0100

    tm: t_continue() polishing
    
    - variables declared at beginning of function to work on old C standard
      compilers
    - log messages compacted - function name and log level are prefixed
      automatically
    - stay under 80 chars per line to fit in text terminals
    
    (cherry picked from commit 47f6cfd76a9d801a83ca14b55926d389f6c3c2da)

commit c99b81f10bbd08f15035097e7a77eb37fb823224
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Mar 1 10:46:57 2014 +0100

    tm: 487 Request Terminated has priority when transaction is cancelled and no reply received from downstream
    
    - for cancel_b_method 1, timeout was sent back even when transaction was
      canceled
    
    (cherry picked from commit 6c3725d5535e0b5bff5c63251d37e7139f92321c)

commit 02c99647d22e2d4d4fd6c4028b372d2a1aa140bd
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 27 08:48:42 2014 +0100

    geoip: safety check to see if the result structure is filled
    
    - return $null if not
    - reported by Juha Heinanen
    
    (cherry picked from commit 721ffe3576e8e7891c27f8578eb244a857ede759)

commit b6d8aa9675e80a1d701b4f33f11936b53e06f4e6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Feb 26 20:30:34 2014 +0100

    parser/parse_fline: print offset in log message when failing to parse first line
    
    (cherry picked from commit a111b33ae7b64dbf9486f2fc4b7f3007f4015e77)

commit 1dadf3e1ff4a725f8030d862a52470f2d400bb21
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Feb 26 10:45:24 2014 +0100

    mtree: enahced docs to specify that the mtree parameter can be set many times
    
    (cherry picked from commit 0b122416932030c9459f16d46438489b115941aa)

commit 6f6a050872cbaf8a81b4133877c2867c5cdc7290
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Feb 24 19:15:13 2014 +0100

    dialog: don't add dialog profiles when loading from db and state is terminated
    
    (cherry picked from commit 9b88eb7ee2d243882383a44f601baa21fd679cd5)

commit 549930641fd344046b8bf12eab0cc82fe47abf44
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Feb 24 18:53:55 2014 +0100

    dialog: remove dialog from profile as soon as gets to terminated state
    
    (cherry picked from commit edf61acb57ed5e8ee0ca9ec1f796e43ce993be48)

commit a0b05cf2fbefc1b3b67362407aa6be101a91606b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Feb 24 18:17:00 2014 +0100

    mtree: reset tree statistics upon reload
    
    - related to FS#398, reported by JoshE
    
    (cherry picked from commit 94bad4414b36334061ef0d3ec42747d672eaf058)

commit b4cf30f4dc756ffa82d931b28eba74b26dce289d
Author: David M. Lee <dlee@digium.com>
Date:   Mon Feb 10 15:22:11 2014 -0600

    call_control: Passthrough sip_application
    
    Current patches being submitted to CDRTool and the call_control daemon
    allow for SIP application type to be specified. This allows audio or
    video services to be rated differently, or even different ratings for
    application subtypes (audio.inbound vs. audio.outbound).
    
    This patch allows the sip_application value to be passed through to the
    call_control daemon.
    
    (cherry picked from commit 0a4519af5c1ea3f61362fba7451eb4acc479d488)

commit 100b1f0f0943bf6b7c1d46e42d7b70ec5c9f5f4e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Feb 21 18:26:34 2014 +0100

    topoh: let replies for CANCEL requests be handled
    
    - CANCEL is hop by hop, but can have the call-id hidden when sending out
    
    (cherry picked from commit 376d8b3972d96b70d1e12cc57104475b2ee7ade8)

commit 3eb337b9e81759f25f452ac9aa5d2386359822ad
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Feb 21 17:58:19 2014 +0100

    topoh: don't encode/decode content for local generated messages
    
    - requests generated by kamailio don't have headers that should be
      hidden
    - replies to them don't have anything hidden
    - update as part of report from FS#390
    
    (cherry picked from commit 41f12e01b20a6b32d26297fbdf6ce17d40823ef2)

commit 008e43e402a8e7aa088dd8c65db8c172a95ef313
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Feb 3 11:40:43 2014 +0100

    db_cluster: updated the old application name in doc examples
    
    (cherry picked from commit 32f688659fcc6f7c44d9095e585951780e277522)

commit 7ae3db782aa4413efeeb11706b5fa65fe13529a5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jan 30 12:14:48 2014 +0100

    core: test the limits of nested select level before accessing array value
    
    (cherry picked from commit b61f173a8dc40592809912e137e42d8ffe1154fa)

commit 46f2ebd0de82a6decea2229e85f63666686510ba
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jan 30 12:12:44 2014 +0100

    utils/db_berkeley: release file description in error cases
    
    (cherry picked from commit e7a0840a1334280650d4abb865843da0072adec6)

commit 92a0157f83c8cdbf25452eb1994302912173fc53
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 29 22:10:09 2014 +0100

    sercmd: memset with proper size
    
    (cherry picked from commit d0ebc7fa4b4b20bee83f57b3f0d0e6e75b5f0b08)

commit b06c12f3d5db875bb0b70cc4d85b09fafeb84d34
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 28 18:54:50 2014 +0100

    core: avoid warning of using bitwise operator with boolean result
    
    - on a report generated by cppcheck sent by David Binderman
    
    (cherry picked from commit cfb815e440804c2870126c1c098362d5a117f97c)

commit f8bb8cbf1908125c41096abf3547af51d6c88d26
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 28 18:47:42 2014 +0100

    core/parse_methods: removed duplicate check for same characters
    
    - on a report generated by cppcheck sent by David Binderman
    
    (cherry picked from commit 935f06eb8c34fe5fe82588cdd5b4af2f68c51466)

commit 4599ae5c5d49836f6b9e0238a8743e8c72fe91ee
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 28 18:43:13 2014 +0100

    xhttp: check first the possition limits then access the data
    
    - in the eval function for the transformation
    - on a report generated by cppcheck sent by David Binderman
    
    (cherry picked from commit 79bfabdc2ae35a5b280c6a23ff611a005dac333c)

commit 90c7829dcbcc677454d297ed55be31404fafe070
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 28 18:39:19 2014 +0100

    db_postgres: fixed condition checking the parameter for db uri parsing
    
    - on a report generated by cppcheck sent by David Binderman
    
    (cherry picked from commit 480b6d4dfc954fbbb8afb9dbbbf17b80dcdf71ce)

commit 75203caf1a7a8c582b8eaff67af891b00100f232
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 28 18:36:21 2014 +0100

    db_mysql: fixed condition checking the parameter for db uri parsing
    
    - on a report generated by cppcheck sent by David Binderman
    
    (cherry picked from commit c0b2e567b2a27d5d29ede39409d6299f7d375d87)

commit 5556a88594d46030d978987eb387427f63875d73
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 28 18:30:30 2014 +0100

    db_cluster: fix caseness in testing the connection flags for reading
    
    - on a report generated by cppcheck sent by David Binderman
    
    (cherry picked from commit 88a1a1b25b5228ef2e34ee01e0dd5d4e4f6ffe20)

commit e70df7338330f2d3248c7ec0b6d81ff0f188617b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jan 24 15:43:59 2014 +0100

    core/parser: handle the case when username field in auth header has proto scheme
    
    - some phones put there "sip:username@domain", so far it was handling
      "username" and "username@domain"
    
    (cherry picked from commit e56ff0e6a5745321c6a4a5f362cc728177acef0d)

commit b64064b15759217821d936732e2da0c129cf89d1
Author: Jason Penton <jason.penton@gmail.com>
Date:   Thu Jan 23 17:25:04 2014 +0200

    modules/presence: fix crash in main/attendant process when using presence module in library mode
    
    (cherry picked from commit 20302744b22858e0e215e74e2a6656677881bb4a)

commit b5e78a88838702088b9f0f0559aced1a5431281f
Author: Richard Good <richard.good@smilecoms.com>
Date:   Thu Jan 23 17:21:04 2014 +0200

    modules/rls: changed default hash size from 512 to 9 to avoid overflow
    
    (cherry picked from commit 48bb4b562d7d7ec20b45dbe555836bb8969b988d)

commit 3c8fe5c1a8f7b4469657199adc4056539fdf47d8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jan 20 17:24:18 2014 +0100

    tm: free from and to display names that can be set for local request from seas module
    
    - reported and patch by Ziad Habchi
    
    (cherry picked from commit 1b53001ad3ad1e9bfd3e64f8e03c35d4e5f54e8d)

commit e742cb638363ca2936b1f75fa7226f0127332146
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 6 16:03:27 2014 +0100

    db_cassandra: clone key in a zero-termniated local buffer
    
    - rework from a patch by Jay Binks
    
    (cherry picked from commit 3cde37cf10795b4eb785ffd141a8b28e64864f5d)

commit 520276f856474521cb419c11fa185ce9d6a8a285
Author: Carlos Ruiz Diaz <carlos.ruizdiaz@gmail.com>
Date:   Tue Jan 14 10:04:53 2014 -0300

    db_cassandra: bug fixes for raw queries using sqlops
    
    (cherry picked from commit 2f9e8d2e122edc5b7950ee6ab0991851c9cd7bbd)

commit 46912a606e345fbf76bb9794e0ef9c3851015c2a
Author: Juha Heinanen <jh@tutpro.com>
Date:   Wed Mar 5 07:03:54 2014 +0200

    modules/kex: ask pkg.stats to return array value
    (cherry picked from commit 920f02bde0f7b6e3484850f4677c603b9c8740c8)

commit 954fe136964296836113f5187f9cde91b197a567
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 4 17:31:57 2014 +0100

    sqlops: reset the result container before new query is executed
    
    - it was lost in commit 9b62514b4a90e169c9126b7bda6d87cc4c213ad2
    - reported by Jonas BÃ¶ttner
    
    (cherry picked from commit 864127e6e02144c40c138d6921862b1512d01c66)

commit 20276e667631ec281851c2ef58d71863ae2318c4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 4 09:59:07 2014 +0100

    sqlops: safety check for result row field
    
    - it might not be set in case of a failure in the middle of result
      conversion from db to internal memory
    - freeing the partial result could result in a crash
    - reported by Juha Heinanen
    
    (cherry picked from commit f27df26ca01394250cbe12c5ccf694c6afd3707f)

commit 07423627a1baf7ba96bc197f9ddc90f58854d26b
Author: Torrey Searle <tsearle@gmail.com>
Date:   Mon Mar 3 14:54:10 2014 +0100

    app_perl: update constants for debug levels
    (cherry picked from commit 6513ee05dd20253c0f555b18081f0eceb4baf7aa)

commit 92aaaab324b37d75358b21825850ade8a3481cd5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 3 14:39:25 2014 +0100

    kamctl: delete former fifo files if they exist
    
    - reported by Morten Tryfoss, FS#399
    
    (cherry picked from commit ec9e735955f58ef21bac21ba57eafd07db675e4d)

commit 47836d773820da8aabe4a6ecb1dada285be1aa08
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Mar 2 10:19:25 2014 +0100

    tm: declare variable at the top of function declaration in t_suspend()
    
    - compliant with older versions of C standards
    - simpliefied log messages
    
    (cherry picked from commit dce7353674ea3d93ade93c89bbb4652e7ec624be)

commit 0c3d4e2199023b6d8d2e78806f6b0f56b8687a85
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Mar 2 09:51:40 2014 +0100

    tm: execute FAILURE_CB_TYPE callbacks for resuming suspended request
    
    - suspended request creates the transaction and a branch, callbacks
      cannot executed anymore for request and branch route execution
    - otherwise it results in crashes, reported by FS#400 and FS#404
    
    (cherry picked from commit 78c8eb1fa4b118661262fd6add9a0e9f60ca8cd1)

commit 493e54de188f3ee03dd0c8a21ebcc4dd32e0c36e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Feb 26 20:20:29 2014 +0100

    parser/parse_addr_spec: comma allowd for start of tag value and mid tag value chars
    
    (cherry picked from commit a9e900a3dd5c958f3188376c3c4d3179c68e2c32)

commit f4b178ec5e348c7bd0a4c936a0d72a3702d80146
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Feb 26 19:52:10 2014 +0100

    parser/parse_addr_spec: allow comma in tag parameter
    
    - some user agents uses it and it was in older versions
    
    (cherry picked from commit 6156d2572e06fa661ef23face24c38203485d81a)

commit 0f3f76f23e8a32881a467dd9671d969617f0cb02
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Feb 26 18:56:44 2014 +0100

    parser/parse_addr_spec: allow comman inside quoted values no matter of being allowed separator
    
    - comma is valid inside quoted parameters values
    
    (cherry picked from commit 11e9f93d3bad8cfedcd55bdc4fc6c559309c4635)

commit 91241caa2c2bc51b421d024c790493fdaf24c8ee
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Feb 26 18:03:20 2014 +0100

    sl: fixed use of forward_reply_nocb() in sl_forward_reply()
    
    - previous related commit was not doing it
    
    (cherry picked from commit 4133a44cc9b1702b3a36b9386464983d2fe9aedc)

commit e524394515e637b0cc586e1b4d482f2ea71ee749
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Tue Feb 25 12:30:01 2014 -0500

    htable: README enhancements for array keys
    (cherry picked from commit 2847c47d7a2cbc15620d6f33b3641be1ca6207a7)

commit def579c902f1adeaeacfa2b70a67cfb0e8a89225
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Tue Feb 25 11:34:19 2014 -0500

    htable: fix some copy/paste errors in README
    (cherry picked from commit 2e4c13669ce025e0315b41a5eefa28fe2ca373a2)

commit 26fd1d2fd24a1f4ee160ba24e2670b8e7a4e8176
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Feb 24 21:32:45 2014 +0100

    nat_traversal: proper size for realloc
    
    - reported by Venky
    
    (cherry picked from commit d9c34bec5ea0570f66df23e7e7d6f79f4721f04e)

commit 774cefd9dfd2253923f95b12269cacbe6b315a77
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Feb 21 15:37:24 2014 +0100

    core/parser: fix loop on broken values matching the prefix of a good value in parse_option_tag_body()
    
    - reported by Savolainen Dmitri, FS#396
    
    (cherry picked from commit 9ff18b15c24a933fa061663add3223b8256a88d1)

commit 7cf0bc8c5a288d56f1decd305ee0a2dc952bd0dc
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Feb 21 11:42:27 2014 +0100

    pkg/kamailio/deb: init script. Get back SHM_MEMORY PKG_MEMORY and CFGFILE
    
    (cherry picked from commit f46beec41b3b5caa3977ddd452b3671bebf69069)

commit ef478ac0709a9bef99df0818f68b597f39ba7c3b
Author: Alex Hermann <alex@speakup.nl>
Date:   Fri Feb 21 00:10:35 2014 +0100

    tm: safety check for uas callid value when callid_matching is 1
    
    - according to the documentation is for UA that cannot match the
      responses when call-id is changed, but is not the case of self
      generated requests
    - closes FS#390
    
    (cherry picked from commit 1787b4239f3494fe7a88b0868a807e86a3b92639)

commit 36c42be1a02fcb47d4b288136df81f424b690351
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 20 23:15:56 2014 +0100

    async: free the async item after resuming the execution
    
    - reported by Surendra Pullaiah
    
    (cherry picked from commit c33583e6456d3500f8a9c870eb01a01d1a1fe8f4)

commit 67dfcb7e64bf0ef3054b011ff98ace10ae609c09
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 20 11:04:49 2014 +0100

    usrloc: remove the filter on nat_bflag for keepalive contact expiration
    
    - keepalives can be sent even for non-natted contacts
    - reported by Kristian Kielhofner
    
    (cherry picked from commit aa2ee6e1d9482b486ebc3f45b26ea886a2f3dbf0)

commit a7dc504075d3b5c74c6af6a3216338a0d604d1d8
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue Feb 18 16:44:40 2014 +0100

    pkg/kamailio/deb: use freeradius-client lib on sid and jessie
    
    (cherry picked from commit ba68be91bc206d27284cdaf9fb3ccc189fe33d4a)

commit 65336def3106a06bd96cf46cd0aaa1883ee65f1c
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue Feb 18 16:30:28 2014 +0100

    pkg/kamailio/deb: fix init script
    
    (cherry picked from commit 424ab9dd4abd9b11b7cf4642335652145128fa7c)

commit 68a3e5adcb2c3390d9ea1103d9fcf81f9c8773f0
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Feb 12 14:00:16 2014 +0100

    pkg/kamailio/deb: clean lintian warnings
    
    (cherry picked from commit c2a606c1b03b1014caa9053d64d43d09c4744d04)

commit 01cee458a4f93f8fe13deac8ddf33ebb3f3afd85
Author: Juha Heinanen <jh@tutpro.com>
Date:   Sat Feb 15 04:16:14 2014 +0200

    modules/utils: fixed memory leak and possible crash
    
    - patch against 4.0 was provided by Guillaume Bour
    (cherry picked from commit 92b947059dbde8ada3c757d7e6af48d79f9e7e12)

commit 01c5ad7cb67bdb5d6140061aa0c2f8152f6f03cd
Author: Charles Chance <charles.chance@sipcentric.com>
Date:   Fri Feb 14 10:21:00 2014 +0000

    dmq: fixed crash caused by freeing pointer too early on tm callback
    (cherry picked from commit 8be7de6d1d383c2e0e476e739a6b3fa5101bac12)

commit 80c70b7d423c3e137a7c7610928abc20fdc9a647
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Mon Feb 10 19:41:20 2014 -0500

    htable: fix crash if key_value is not string
    (cherry picked from commit 065439c0fbabe2806fcd615cec5e2445db59beec)

commit c02f12d21539d4735a2ad9c840409c8512b2c3e2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Feb 5 09:52:19 2014 +0100

    core: fix condition on script callback number done inside EXTRA_DEBUG
    
    - reported by Seudin Kasumovic, FS#388
    
    (cherry picked from commit 740d407be4e35ee945658365ae38a1bba30fafc7)

commit 3e97f51e59b27ae4609ae3f650872e59e89e1c2a
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon Feb 3 14:21:09 2014 +0100

    pkg/kamailio/deb: clean lintian errors
    
    (cherry picked from commit 34720cbbf6f448a727a34164b690dabf393684ec)

commit 6fad72bd5b9ca64261589f1059c7edbecc19c379
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon Feb 3 14:13:15 2014 +0100

    pkg/kamailio/deb: update debian copyright file
    
    (cherry picked from commit e1904a040001c82d691fbb42f6149c692143c109)

commit 316ac288977ff480e980b55426549c470233fe3c
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon Feb 3 09:31:51 2014 +0100

    pkg/kamailio/deb: wrap-and-sort control files

commit 17c8242c7adaee70acedb96f01621e1b17dcc9bb
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Jan 30 14:26:03 2014 +0100

    pkg/kamailio/deb: unifying debian packaging

commit eb67bf1ddeb9945af754d5dcc9fd0b23788a1642
Author: Carsten Bock <carsten@ng-voice.com>
Date:   Tue Feb 4 09:49:20 2014 +0100

    tm: Fix docs on t_relay_to (Typo)
    (as noticed by Victor V. Kustov)

commit 1ec2dfbd836872df4663c059c26f410935a51b62
Author: Carsten Bock <carsten@ng-voice.com>
Date:   Mon Feb 3 10:05:35 2014 +0100

    presence: Regenerated README

commit 94d80b77f5bee00c8a2d27930dbd3b73a3ea0747
Author: Carsten Bock <carsten@ng-voice.com>
Date:   Mon Feb 3 09:58:59 2014 +0100

    presence: Clarify the db_lock_type in the docs in conjunction with the mode DB_ONLY and a MySQL-Backend.

commit f6dfa8d5e91b287ceccb84659448ee1aadbfc486
Author: Carsten Bock <carsten@ng-voice.com>
Date:   Thu Jan 30 21:55:11 2014 +0100

    presence: bugfix: Add option to disable per-Table lock for database layer
    (causes trouble with MySQL in DB_ONLY mode)

commit d0e32ab598ec13756da96dbc3651aaae72bfd92b
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Dec 12 08:53:59 2013 +0100

    app_java: detect JAVA_HOME and use proper libgcj versioning
    
    (cherry picked from commit 5c1b8e0f0f5565aa69440a331c520fc549856092)

commit 57f1daf848ce4a1a0d7cd0de1aac01ca358cf257
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon Jan 27 16:29:46 2014 +0100

    pkg/kamailio/deb: fix typo on depends
    
    (cherry picked from commit b03e871a62f3895bfb70fe5b72b0142afa613684)

commit 950223d980584c40f72f0a7bbbb7b32be990eef4
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 14:11:19 2013 +0100

    pkg/kamailio/deb: removing lucid
    
    (cherry picked from commit a44d5311b583bc457b44550870dfbd4ea3fbcea4)
    
    Conflicts:
    	pkg/kamailio/deb/lucid/changelog

commit 5d83b84e5efbed81ebdf95ebb0d7653b1668af0b
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon Dec 16 09:04:15 2013 +0100

    pkg/kamailio/deb: merge changes from Debian
    
    (cherry picked from commit 09b7a15e24800a5617695722a43d92b6fedfd77f)
    
    Conflicts:
    	pkg/kamailio/deb/squeeze/changelog

commit 07cf3fd5e9f94a95663387a54ffd2d40c4f31677
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sun Dec 15 08:49:42 2013 +0100

    pkg/kamailio/deb: add openssl dependence
    
    (cherry picked from commit 61e1237c158edb1c83a656dd91e7665867b8fe74)

commit 524f3dff4e8d2058013e450c03888ee5be1e9cfe
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Dec 12 10:09:07 2013 +0100

    pkg/kamailio/deb: set JAVA_HOME and use libgcj12-dev instead of gcj-jdk
    
    (cherry picked from commit ded4959bf1954dc114c9503d8294e7287bf373e7)

commit d619cc9aa2564bf325aa1c5d4e382c27cc00fb0a
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 13:48:36 2013 +0100

    pkg/kamailio/deb: use gcj-* instead default-* one
    
    (cherry picked from commit 4d4ab8becd7d806f8cae43149aab1e73bbe54969)

commit 5bc5726eed23da01f722067e69f0c02a92006ae5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jan 24 08:56:20 2014 +0100

    gzcompress: fixed info about header_value parameter in docs
    
    (cherry picked from commit cbd525649237c3beb05ad7bcb38969fb3629b90e)

commit ac7d551b29c2ce8e5ba3c668a1dcd8c5abfddfbe
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 21 10:24:41 2014 +0100

    dispatcher: readme regenerated with new sameple config and sections content

commit 7a21f21d2e5d48fa83454a4ed2fa4a9671f9d015
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 21 10:13:51 2014 +0100

    dispatcher: more details on how destination select functions work
    
    (cherry picked from commit f210c266311498393b93d66b41e8c08d89cbc731)

commit 3c57dee17e154b8ff4daf72e76134e124a74652b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 15 17:00:45 2014 +0100

    dispatcher: updated example config to use new db url attributes
    
    (cherry picked from commit a248b53249d76e6b53f72bc64acd4c14fb5db660)

commit ab7f961dd22af7ce3cb451f30b116cc9a76bd4b5
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Thu Jan 16 18:02:31 2014 -0500

    xhttp_rpc: fix arg parsing
    (cherry picked from commit 3615f3c26405f1c1bcd3721674e9d87e4b589146)

commit 4fb71c24a119f53d75500c9bf69275634ea05a60
Author: Jason Penton <jason.penton@gmail.com>
Date:   Thu Jan 16 13:08:29 2014 +0200

    modules/tm: fixed bug where AVPs are not restored correctly if async used within failure route
    	- related to mail by JosÃ© Seabra on Jan 10 2014 entitiled - kamailio-4.1.1 avp issue within failure routes
    
    (cherry picked from commit f3f2f09beda60e1f7f4e6dfc0359f788991aeef6)

commit e48703bd1cb12d5e8f2c29baf90d0c5e6af09b32
Author: Torrey Searle <tsearle@gmail.com>
Date:   Thu Jan 16 12:02:09 2014 +0100

    modules/sipt: optional pointer should be updated when modifying called party
    (cherry picked from commit ed33effd4a65302cd893ef2e8f0f8fcc3e88fb57)

commit ac1f9f9b601f3a6f3e53d55c5a061f35df6524e2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 14 08:59:17 2014 +0100

    snmpstats: fixed path for deploying mibs when net-snmp-config is used
    
    (cherry picked from commit 777548d79f17a6eb81d241e18b22329e9654e951)

commit fc0bad2c005048d73926cbf8637cd8ba10287bd8
Author: Carsten Bock <carsten@ng-voice.com>
Date:   Mon Jan 13 12:04:13 2014 +0100

    ims_registrar_scscf: Fix memory corruption in build_contacts, in case no contacts available

commit 67c12f48926c88b265db1501e1d211309bebdc7e
Author: Carsten Bock <carsten@ng-voice.com>
Date:   Sat Jan 11 01:39:21 2014 +0100

    ims_auth: Fix for SIP Digest (Segmentation fault)
    - Fix by Marek Bazler (marek.bazler@acision.com)

commit 620d9309a1bfe5e6f3ea0e93f40f267cd3f5f1bf
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jan 9 19:19:31 2014 +0100

    snmpstats: use $(share_prefix) for deploying MIBS
    
    (cherry picked from commit 5dde71f7fb9715a18dabfe0beeb152b0821c6fb0)
    
    Conflicts:
    	modules/snmpstats/Makefile


===================== 2014-01-09 Version 4.1.1 Released =====================

===================== Changes Since Version 4.1.0 ===========================

commit b9e86b9fd8f7102838b0012f6ebfecd55ef607be
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jan 9 15:59:01 2014 +0100

    Makefile.defs: version set to 4.1.1

commit 497d0c5ad34250106782bc9a424e872d341305b7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jan 9 15:58:08 2014 +0100

    pkg/deb: versio set to 4.1.1 in deb specs

commit 1e5f78ae7934112e502a1573aa2490ea647b08d0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jan 9 15:54:31 2014 +0100

    pkg/rpm: versio set to 4.1.1 in rpm specs

commit 32aacba6663f0836c8599c588d8d6d708af5afa3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 8 19:06:19 2014 +0100

    htable, permissions, print: regenerated readme files

commit af04ad88d6db1b2e3cf7d9cd99906c83d58f4f9d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 7 10:23:11 2014 +0100

    permissions: fixed previous commit which used invalid variable
    
    - reported by Kelvin Chua
    
    (cherry picked from commit 34d9088d74cb8269960cc20912a675a67598e7d7)

commit 11ff3de741b95fea003fa5e91ceb69df15fd0fd6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 7 00:58:20 2014 +0100

    presence_dialoginfo: handle all states to get most relevant xml
    
    - patch from FS#341
    
    (cherry picked from commit f845465eb96770e0c02c92ae862cdc94f561e29e)

commit 9af6dbd51e3085d111c54b778b03d191a6a31060
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 7 00:10:34 2014 +0100

    tls: the pointer of cfg structure
    
    - synchronize when updating the list of tls configs and their reference
      count
    - with parts from patch by Ding Ma, FS#380, contributed under BSD license
    
    (cherry picked from commit 208934d47ac1585d42029234267bcceab40ae218)

commit b55c87afd5a02b8c6244e8557879da9a09e02c22
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jan 6 19:51:41 2014 +0100

    permissions: note about peer tag mode that applies only for allow_trusted()
    
    (cherry picked from commit 15f8a92baf58ee70e837b3b7e7f208b1a2678a0a)

commit 4ec0be8deaab21050015a3b7828a667f40c8f150
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jan 6 19:48:54 2014 +0100

    permissions: set peer tag avp for allow_address_group()
    
    - also for allow_source_address_group()
    - reported by Kelvin Chua
    
    (cherry picked from commit 0c67042fa629ee4744cfc31a15e571b7340b0881)

commit 93f493645f424bc34a0e641f89ed08766a542de4
Author: Alexandr Dubovikov <alexandr.dubovikov@gmail.com>
Date:   Tue Dec 31 23:24:02 2013 +0100

    modules/sipcapture:  Fixed bad timestamp in the raw socket mode
    
    HEPpy New Year!
    
    (cherry picked from commit cc34c8e2c1e0eeafa0088c2d159260e4b10652c9)

commit 7552d77f3184777a0b12cdf3354013f2bc4f546d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 27 23:31:41 2013 +0100

    htable: added section id for functions and parameters
    
    (cherry picked from commit 0e0b8cd883718bb5d19999e800159add7714f69e)

commit c00a33aa378d886b8e0d3a6370b9df2e3559b021
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Dec 19 21:15:12 2013 +0100

    acc: use r-uri winning branch even for local generated replies
    
    - it was only for received and relayed replies
    - reported by Kelvin Chua
    
    (cherry picked from commit 81b9c83b2fa3bd32d502a1ae9014cc7d6747e710)

commit d1c3ebe4ac3fdfab5d3360bff76e3c22561d95b1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 19:03:08 2013 +0100

    tls: removed unsigned int comparison with <0
    
    (cherry picked from commit 7d6dc390bac2b49615444bcbad74cd39f3c82302)

commit 04778b76c3afa0090db421ec7258f443dc1f2899
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 18:54:52 2013 +0100

    sipcapture: fixed clang compile warnings
    
    - extra parameters for sprintf() match format specifiers
    
    (cherry picked from commit b131f4402cf604bbe90123aa95a6cbc8412c2de0)

commit 90f8cee3bf20d4ae3c89b08809de749b5176a084
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 18:34:49 2013 +0100

    ratelimit: signed check for pipe number in rpc_set_queue()
    
    - rpc can reand signed value
    
    (cherry picked from commit ed034d4d9096d8c77269828c8efdafb26eac5372)

commit b1bffbe734bf7718a5d5b61ba2e55801160c49e1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 18:30:49 2013 +0100

    pike: memset of address print buffer with proper size
    
    (cherry picked from commit d54eb083f59fb55ccbc79e49b5b3e05426bd3795)

commit 7e35f56d3f3955e6e815cda80c4e7c21835ac24d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 18:25:30 2013 +0100

    permissions: signess warning fix
    
    (cherry picked from commit 26e04f2053c9f33333bbbf79af6897428a1d9a88)

commit 5481307088c7fda489495a99a163a782d901b6e4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 18:23:17 2013 +0100

    maxforwards: use standard format instead of GNU old-style field designator
    
    (cherry picked from commit cd04947b0ccb1c861274483f458bfc7f4329accb)

commit d7d84da459884897f4cc5b84fc19c266831e8fcb
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 18:20:16 2013 +0100

    ctl: removed not needed extra paranthesis
    
    (cherry picked from commit efda774f6391f1e909a9967898c64fb25f53eeba)

commit bb9df83f99523c58acae1d5278457ba6128966a7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 18:18:48 2013 +0100

    acc: strftime() returns 0 on error
    
    (cherry picked from commit 89262590e4d47e480fb4984f18e12b4e4edb4ca6)

commit 7323998af0f1d71dbc22d699979e45fb512fa3aa
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 18:15:22 2013 +0100

    pv: use int index for looking up flag index
    
    - some functions used for check may return negative on error
    
    (cherry picked from commit 30359b3cfce2ce909153e06b1954778c4eababa7)

commit eab7927a930c9781603538d0b2ae4595b1e5c586
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 11:41:38 2013 +0100

    snmpstats: use install-cfg target to deploy MIBs
    
    - existing target was no longer valid from v3.0
    
    (cherry picked from commit a8d0d9e9224c2e7399c95c533dff67a6303891d2)

commit e53117a038961b912ebb95c8a07468f87c161db2
Author: Carsten Bock <carsten@ng-voice.com>
Date:   Wed Dec 11 13:47:57 2013 +0100

    lib/ims: Replaced custom getter for P-Asserted-Identity with the Parser from Core
    (cherry picked from commit af1734cea213b2a07c9d725fff158cd4899725d1)

commit 723bf45840b02e70bcb1c7f9c11a2e64e4f303db
Author: Carsten Bock <carsten@ng-voice.com>
Date:   Mon Dec 9 20:07:12 2013 +0100

    ims_registrar_pcscf: Bugfix: Properly handle the case, when we do not have a Asserted Identity
    (cherry picked from commit 6b0bcff43c0b3c22f399211aeb7e9279f7c35814)

commit bf0a544d135b029ad381746b380bb6f71c52aee7
Author: Carsten Bock <carsten@ng-voice.com>
Date:   Mon Dec 9 23:00:08 2013 +0100

    Improved Free at cscf_get_service_route(), caused a reproducable crash
    (cherry picked from commit caa9954d3c017ce741245d8f2b338158caf2270f)

commit d6480f98aef45b8c569ef9edf90c6cf1604cc2f8
Author: Carlos Ruiz Diaz <carlos.ruizdiaz@gmail.com>
Date:   Wed Dec 18 15:28:39 2013 -0300

    ims_registrar_scscf: fix crash caused by an uninitialized AVP
    (cherry picked from commit 52d727dc249a88b31348b008045cc6071ab215a7)

commit 2dd36bbae6f05ea0c980e58f247ac7e4f737f6a6
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue Jan 7 13:59:37 2014 +0100

    usrloc: add user_col to the update contact query with instance
    
    (cherry picked from commit b393656c1113eb3630470389f142c53fbc085a90)

commit f97723dd17d5bf9e0d2dd02982cfbca0146b7e99
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jan 6 23:11:33 2014 +0100

    websocket: store sub protocol value for later use in encode_and_send_ws_frame()
    
    - the ws connection pointer can be set null if the browser closes the
      connection
    - patch by Vitaliy Aleksandrov, FS#364
    
    (cherry picked from commit 438eafc92ecf9d3b52f95c9952bc26b147fdf328)

commit 3bfb9030dda5776744efc4f408557e044b4ebb75
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jan 6 22:52:11 2014 +0100

    htable: free temporary slots used to reload hash table via rpc command
    
    - use system memory for temporary slots
    
    (cherry picked from commit f35c49085bdcc623ef45aa33a99af3265d3e6eeb)

commit 2b450f573bdbcb88d0418a43a6707875f050eb33
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jan 6 22:46:48 2014 +0100

    htable: use system malloc for temporary allocation of hash table realod slots
    
    - copes better with large number of slots, without a need to use shm
    
    (cherry picked from commit 13626ccffeaa7654c58576c3d1cc417dea865ca9)

commit 75e904f2c2034075383b412e2dcb18c6fb01c7c3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jan 2 13:22:28 2014 +0100

    htable: use pkg for temporary hash table slots used for reload
    
    - free the temporary slots after reload, reported in FS#385
    
    (cherry picked from commit 53689b55632c6208e6326f1a5f4b3c45da216f43)

commit 71463b06efa2997950aaf1ef088076258fe8a03a
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Sun Jan 5 18:16:04 2014 +0000

    modules/websocket: added OpenSSL licensing exception
    
    (cherry picked from commit 661d7d3a6231713861a8a1236dd7d783113c2890)

commit bdb3a86c4453790a91de5aa2320de5b5bb26ad5c
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Sun Jan 5 18:15:33 2014 +0000

    modules/outbound: added OpenSSL licensing exception
    
    (cherry picked from commit 6741c47ad75806355cd7564d419df56acc68987b)

commit fb364e0b29ce388574a61ebc4a428c559c411a2a
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Sun Jan 5 18:15:07 2014 +0000

    modules/auth_ephemeral: added OpenSSL licensing exception
    
    (cherry picked from commit 99960be1d55df2ba4ca596c42c8e78e36dad3cf1)

commit df0218611b8f27ccaa924b8f88560c2e81966823
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jan 2 11:25:56 2014 +0100

    tmrec: updated the examples with tmrec duration
    
    - hint to read rfc2445 for duration format
    
    (cherry picked from commit 99d1170469c60206992c083f2ba0e9dc6b580d37)

commit 2ac00f9083846b958da5396cb4f5a51527957324
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jan 3 10:11:26 2014 +0100

    acc: regenerated README

commit 4ac82cdf92ae6c0e2ff9c1238bfe28cfcefea99c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jan 3 10:04:39 2014 +0100

    acc: added note about MySQL InnoDB not supporting INSERT DELAYED
    
    - reported by Daniel Tryba
    
    (cherry picked from commit d26eff22c8a543c63a40cd7d91bb3c70f04aabc6)

commit a4060da5e1fe1e64c224ff32d669a699a0d5cd1d
Author: Juha Heinanen <jh@tutpro.com>
Date:   Thu Dec 26 17:51:04 2013 +0200

    modules/pua: added some missing lock releases
    (cherry picked from commit 4eb338611e716e7a32f252acbae52bace6047a0a)

commit 9e8c3f90e9467153b1e63a257ccdfb09adc4ecfd
Author: Juha Heinanen <jh@tutpro.com>
Date:   Thu Dec 19 16:21:25 2013 +0200

    modules/pv: fixed params and param transformation
    
    - params need to be taken from sip_params field of sip_uri struct
    (cherry picked from commit e54b3ec673cb32664a1e8de2e591190f22216724)

commit d75bc3b69151a9d0391309e6bb51784f3b6b9a83
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Dec 16 09:26:03 2013 +0100

    db_flatstore: update timestamp for kamailio specific rpc rotate
    
    - do also in 'rotate' command, not only in 'k_rotate'
    - from a patch by Abdelkader Allam
    
    (cherry picked from commit b15aefa31e45f1ad6a45b64905f9fae24e0f790e)

commit 98ecf7d2c5753357fd2c1d1e8e72f425e4d48f9b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Dec 12 15:50:27 2013 +0100

    snmpstats: fixe MIB file definitions
    
    - patch by takeshi, FS#363
    
    (cherry picked from commit ab75785aa707f10fdbccfb0531a0f35e820f5ebc)

commit 5b869a7c1c584f2762610c5310e7281375c8103d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Dec 11 23:58:11 2013 +0100

    tm: reset temporary linking of reply to transaction after branch failure route execution
    
    - reported by Robert Boisvert, FS#379
    
    (cherry picked from commit 0ebc983a422cd5ee4baa39bb3ef3bdbeeefd4571)

commit e96a8b80fd253777e1d001ad778c5a62473ba010
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Dec 11 23:01:41 2013 +0100

    avpops: create a local pv structure when parameter is only flags
    
    - flags details are stored inside it
    - fixes crash at startup reported by Kevin Scott Adams, FS#381
    
    (cherry picked from commit 3c88f1de9d647db8a14bae45af1fa3b34f74d4e6)

commit eaeb74f5b6af5be13f88de93729998f13e9a06b7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Dec 11 09:49:52 2013 +0100

    core: safety check for double free in q_malloc as in f_malloc
    
    (cherry picked from commit 943a5941f5ab479803fb30e19e9fa607f0f0fe14)

commit 8df9d2336e7de2648288cf8ff6821e6820d88da9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Dec 9 10:06:15 2013 +0100

    usrloc: avoid double locking when preloading attributes
    
    - reported by Seudin Kasumovic, FS#378
    
    (cherry picked from commit 888635bfa3719afeeea6f5f0d407aa862ceb34ac)

commit efb2670ef03b69cb0ae26e7c9ac427c995ffbacf
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Dec 9 10:05:11 2013 +0100

    registrar: handle error case when deleting contact fails for unregister()
    
    - reformatted file
    
    (cherry picked from commit 67d218e29457ffd75148c8c520b26ec6f3f41719)

commit f08c9545016da2bb974a1a8ded82c7aa25e9b704
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Dec 7 13:35:45 2013 +0100

    tm: safety checks inside t_next_contacts()
    
    (cherry picked from commit 21027d0c17558f3a1a4797049448cbbdfe50554f)

commit 45ea3c6de26def1fa704f3e444bd37800ca09d9f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 18:02:36 2013 +0100

    usrloc: proper index for domain column when laoding extra attributes
    
    - patch by Seudin Kasumovic, FS#377
    
    (cherry picked from commit 551524cfc83b922c23e2d26f8cc5950df2a0af54)

commit 90681624c54f0ec0b1259e205bcc0274316b4549
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 17:16:25 2013 +0100

    core: fixed several clang compiler warnings
    
    (cherry picked from commit f0fb6f1e9fbb2f7f0c2bed5ba0d50a56cf5cf444)

commit 5552d9f733a6423d4d940f9b93a6808de0800a1d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 16:33:04 2013 +0100

    Makefile.defs: compiler optimization level made variable
    
    - allow using -O3 for clang, which gives error on the former default -O9
    
    (cherry picked from commit 0713c0de50f8c2f4da2ee0ef33b0505c37792392)

commit c56e66287d4456692bdad0f2454896ffd342cf0d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 11:32:41 2013 +0100

    sdpops: fix setting 0 instead of \r for sdp_get_line_startswith()
    
    - reported by Tuan Viet Nguyen
    
    (cherry picked from commit 041b12dc6e5ad88e981d44180436a90518cbcf0d)

commit bd5335ac84bdb8854a7b7dab41136fe6abd01c9f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Dec 5 09:58:38 2013 +0100

    Makefile.groups: include gzcompress, sipt and mohqueue in packaging groups
    
    (cherry picked from commit 4dcbd1b1cbd4854607d286094c42d257623c548d)

commit 7cc7bde95757ea8861c07acafeb528e09e0b52ac
Author: Hugh Waite <hugh.waite@crocodile-rcs.com>
Date:   Wed Dec 4 22:37:31 2013 +0000

    dialog_ng: Fix segfault in dlg_new_dialog
    
    (cherry picked from commit 32f9c9187a9d886c46b24ee38173274da63febda)


===================== 2013-12-04 Version 4.1.0 Released =====================

===================== Changes Since Version 4.0.0 ===========================

commit 4ffd05e4664ca0af4dd101bedf12b40b251446aa
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Dec 4 15:33:14 2013 +0100

    Makefile.defs: version set to 4.1.0
    
    - new major release

commit 3ad1f6afffe8250a3695ac8233bdb746bcfdcecf
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Dec 4 15:02:22 2013 +0100

    doc/rpc_list: regenerated the lists of rpc commands
    
    (cherry picked from commit 2ffeea75931600e2da70d696a9965a5b7329211b)

commit ab21be6c76bc2b3010d937bbf1d0b2d2fd3a7e7b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Dec 4 14:34:04 2013 +0100

    doc/rpc_list: added sctp in the list of modules exporting rpc commands
    
    (cherry picked from commit 56c772fbd1490a7cef3f748c61d1c7d7be3167a3)

commit 8f488c2ec4919052dfb12e8135b672411957c44e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Nov 15 10:08:12 2013 +0100

    app_perl: docs updated with reset_cycles parameter and rpc commands
    
    (cherry picked from commit b1f4dbeef93511563164de2f030f510f5a2cf2d9)

commit c1b11585f72c5b80efdf6c79d0b76391a4dbdef1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Nov 15 09:52:29 2013 +0100

    app_perl: added rpc commands to set/get the value for reset_cycles
    
    (cherry picked from commit de2c39a1857d74443c6b1fa4f06cbb18d3dd8026)

commit 6a654f18f579aaf812a325a0b1a678ace5236051
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Nov 15 09:28:25 2013 +0100

    app_perl: added mechanism to avoid leaks specific to persistent perl interpreter
    
    - it is not easy to track the scope of variables, especially in libs,
      the solution being to re-init the interpreter
    - new module parameter reset_cycles to specify the number of execution
      cycles after which the interpreter is reset. Default is 0 - don't
      reset at all
    
    (cherry picked from commit b5527627601c9e41ebbfaccb98bc2cf0bc003bdb)

commit 8991684e94def6efa74d827753c2fe1c3e6d9d97
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Nov 14 23:00:32 2013 +0100

    app_perl: declare extern environ variable
    
    - without it doesn't compile on darwin and it is recommended way to do
    - provide some fake argc and argv to PERL_SYS_INIT3() to avoid compile
      warnings
    
    (cherry picked from commit 34ad8c295b45bc52cc5a071bf2b5651865389f94)

commit 99c4af0c61994e59d902defcf985a865a8d6b8f0
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 4 11:46:29 2013 +0100

    pkg/kamailio/deb: update changelog

commit fb7e342ce500cc21e9f15a15f51e3b0ecad29310
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 4 09:10:37 2013 +0100

    pkg/kamailio/deb: add new modules
    
    (cherry picked from commit e043c3a44b163e511e62af5c7290fb587141b400)

commit 983a1b29096c5bd2ef0db6f5cab80bfc1a5d326a
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue Dec 3 16:46:32 2013 +0100

    pkg/kamailio/deb: add jessie release
    
    (cherry picked from commit daee150595e6fabdf53aa66425d32234ec7bbde7)

commit 6fc672fc4153c85c3742928d7c7e897f1f7387c7
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue Dec 3 16:11:00 2013 +0100

    pkg/kamailio/deb: Add dnssec module ( jessie only )
    
    (cherry picked from commit 50b1c3a52c150201a563060cd1059a49ada89af2)

commit c11fb2733024d7739e183c842cef4a386e090131
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue Dec 3 15:51:41 2013 +0100

    pkg/kamailio/deb: add new modules app_java, autheph, sctp
    
    (cherry picked from commit 450d7ecb49a64e71dd28273b470911bd933bc209)

commit 0a9055c1989aee3878d11a931daad8c971b15835
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue Dec 3 16:42:06 2013 +0100

    pkg/kamailio/deb/debian: fix mono deps
    
    (cherry picked from commit f17c51fe48149a6b7634cee2e36ee463e1ee9fef)

commit a3169d02d7527110941fab8de25ba75aae759ce1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 3 23:38:41 2013 +0100

    core: don't increment failed dns query counter for reverse dns lookup at startup
    
    - it can happen before counters are intialized, thus check that before
    - reported by Hugh Waite, FS#375
    
    (cherry picked from commit 89c6d73dd51eb9b96f50d3f04219612fa7725224)

commit a165fa668378da5c312a0c268aaf158ff583127f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 3 23:38:08 2013 +0100

    core: added function to check if counters have been initialized
    
    (cherry picked from commit 8161152b320f3b430523ea08e86a56f79405c2f4)

commit 48a3412afe166f5cbd41a057a22a3333337a2856
Author: Hugh Waite <hugh.waite@crocodile-rcs.com>
Date:   Tue Dec 3 13:00:55 2013 +0000

    websocket: Set pointers to NULL when freeing ws connection strcutures
     - Fixes double free crash FS#364
     - Reported by Vitaliy Aleksandrov
    (cherry picked from commit 95749afb7129e2909b449b79706f0de5d06a3c5d)

commit a31988d657edef079525fa68096dc537e78708c5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 3 12:54:00 2013 +0100

    stun: refreshed readme file

commit 41cc8aa248ea1e736bb3d069b32430cc1e54c0af
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 3 12:50:29 2013 +0100

    stun: updated docs to reflect that it no longer depends on external libs
    
    (cherry picked from commit 305e7b5693e71d2027f8e6462129f8c9f01ad76d)

commit 3c491913dac5060639278f1e645205b1a3959ad3
Author: Peter Dunkley <peter.dunkley@crocodilertc.net>
Date:   Tue Dec 3 01:34:52 2013 +0000

    pkg/kamailio/centos: Updated rel in .spec in preparation for 4.1.0 release

commit 23b582a7ea67c6a6fd8347533020e8b4c0de2dbd
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Dec 2 23:21:24 2013 +0100

    kamailio.cfg: updated the comment about kamailio version

commit 5dc07807bf08aca8b600c90f9d700b49ef0ad454
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Dec 2 22:01:34 2013 +0100

    kamailio.cfg: use set_contact_alias() instead of add_contact_alias()
    
    (cherry picked from commit 66ed11c90e38d948fd75f908b3edd409bca74134)

commit 284f4ef38c3928516e9c4a78b4768de716b850b7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Dec 2 20:42:12 2013 +0100

    mem: malloc(0) should return a valid pointer for free according to specs
    
    (cherry picked from commit f61ff34aac7c7bae3a96fb698a899c8a0e692a9f)

commit 0d0d230ab09da4cd2e6d8331d1feed5b6172cfa1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Dec 2 19:40:04 2013 +0100

    Makefile.defs: version set to 4.1.0-rc2

commit f7ed69d75746dc55e5a48a7a18602124e73cd3cd
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Nov 24 16:06:41 2013 +0100

    tmx: backup and restore existing T and branch pointers for t_cancel_callid()
    
    - reported and initial patch by Guillaume Bour
    
    (cherry picked from commit 60372d613544af1f8f06122eb77fa2a9636a6c3a)

commit 09fb0aae62761ce4f251ab22c6ab9cde55e2c663
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Nov 24 16:05:49 2013 +0100

    tm: exported set_t() and get_t_branch() viam tm api
    
    - allows to backup and restore pointers to T and branch
    
    (cherry picked from commit 777dd5e28ff6b4fcc3b1c44e841eb415c974075f)

commit f06c0421f2d08aa9ec15330dbe7c270b7c67eef4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Nov 21 17:37:33 2013 +0100

    tm: propagate reply/failure route indexes to local uac branch
    
    - affects the updates done in event_route[tm:local-request]
    - reported by Pawel Sternal, FS#371
    
    (cherry picked from commit 715ba52de2031786fd9f05832d5bf73d17d46e47)

commit d3a6f48d379097afc649b16237df46581b251084
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Dec 2 18:17:34 2013 +0100

    tls: clarified licensing based on development history
    
    - some were c&p as they refered to files related to components that were
      developed later than the (c) year (e.g., selects)
    - added openssl exception to gpl parts based on agreement from the
      developers of those components - most of the code was released long time
      ago under BSD by iptelorg. Code was rewrote for 3.1 when asynchronous
      support was developed.
    
    (cherry picked from commit 7771e9cdb58ea1cef008e2a70f53c5f183c26ebe)

commit 4ff3866652be6752e5167071ce02b888acda0e75
Author: Federico Cabiddu <federico.cabiddu@gmail.com>
Date:   Mon Dec 2 17:05:35 2013 +0100

    permissions: re-init db connection for reload cmd
    
    - some workers for specific mi/rpc commands may not have a db connection from the start
    
    (cherry picked from commit cb23be9456c178957399ec9d8ce8a1420d50fc32)

commit a5f8d36ac011be12a9582999a8d6480541106439
Author: Camille Oudot <camille.oudot@orange.com>
Date:   Tue Nov 26 16:08:35 2013 +0100

    modules/ims_registrar_pcscf: fix log

commit 424711ec889661a1212e63f9b0e9761a6e4ed069
Author: Vicente Hernando <vhernando@systemonenoc.com>
Date:   Thu Nov 28 12:16:05 2013 +0100

    modules/ndb_redis: solved bug in second call to redisvCommand.
    
    (cherry picked from commit 52a34d269931f6f3a50b3fc532405624b9e38d23)

commit 0b85493f3c1bc7c6cbd48f39aea9d3ecc135d4ff
Author: Richard Fuchs <rfuchs@sipwise.com>
Date:   Tue Nov 26 10:36:18 2013 -0500

    rtpproxy-ng: remove trailing double \r\n from multipart SDP

commit 553d6aff9eecaec38547910d4dd46fcd71b57583
Author: Hugh Waite <hugh.waite@crocodile-rcs.com>
Date:   Fri Nov 22 09:39:40 2013 +0000

    modules/avpops: Fix 'uninitialised variable' warning
    (cherry picked from commit 54020b00893ee259baee714d7d17adc6d31f9112)

commit 20822c5227962508d13bce48a653e594cbfaeff1
Author: Hugh Waite <hugh.waite@crocodile-rcs.com>
Date:   Fri Nov 22 09:35:55 2013 +0000

    modules/usrloc: Update contact field when updating a contact in the DB
    - Fixes FS#368
    (cherry picked from commit a55018deb431ef32ee2bcd45610903327850757d)

commit 18afdc79aeb2b46c6eda4b66e40efae49d524701
Author: Hugh Waite <hugh.waite@crocodile-rcs.com>
Date:   Fri Nov 22 09:28:38 2013 +0000

    modules/registrar: Invalidate temporary GRUUs when the Call-ID changes for a sip.instance
    - Fixes FS#368
    (cherry picked from commit 27eba09b603b265ce4213d238c132249189ae6e8)

commit b6c109a38f8fca82005166ed73d370a2f974a3db
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Nov 21 20:24:20 2013 +0100

    sl: README updated

commit 93428405a7d9bba3aee3bf317ea76f232739c9af
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Nov 21 19:14:17 2013 +0100

    sl: docs updated to reflect usage of send_reply()
    
    (cherry picked from commit e7b73f7e0160eac1ca445201fbf796df0dd13ce0)

commit 6125176d04c75d3a3f0b57119696eca2f63c3645
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Nov 21 19:09:43 2013 +0100

    sl: allow send_reply() in the route block types supported by t_reply() and sl_send_reply()
    
    - reported by Juha Heinanen, FS#362
    
    (cherry picked from commit c77aaf38eafe1d3549d266feebf76ac0b50738ea)

commit 7e74944eb6a55a5e9a817a894af1ebbbc8ce9733
Author: Timo TerÃ¤s <timo.teras@iki.fi>
Date:   Fri Nov 15 16:06:25 2013 +0200

    modules/sca: fix hash entry deletion
    
    sca_hash_table_slot_kv_delete_unsafe() uses internally sca_hash_entry
    but incorrectly called sca_hash_table_slot_kv_find_unsafe() to
    initialize the entry. That function returns the node value, not the
    node itself. Use instead sca_hash_table_slot_kv_find_entry_unsafe().
    
    Should fix the crash in FS#366.
    
    (cherry picked from commit 56e4f4518028e73f9ebd053242a100a5c3b7eb53)

commit 85e9202d14eda0a43d566aa14c0df47a78eb24f3
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Fri Nov 15 09:08:03 2013 -0500

    usrloc: fix crash while printing error log
     - fix a copy/paste error that lead to a NULL pointer
    (cherry picked from commit 10115f88637d1371a8ddeb5fe9c36c31ada49fc4)

commit 82d4a39a4f7cd81afbcaed8de8bec0e3a7747e53
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Nov 14 16:12:27 2013 +0100

    Makefile.defs: version set to 4.1.0-rc1
    
    - dedicated brach 4.1 has been created for release series 4.1.x

commit 8c7aa83346e18792d9a622c63c83cff81dcc144b
Author: Jason Penton <jason.penton@smilecoms.com>
Date:   Wed Nov 13 15:12:48 2013 +0200

    modules/dialog_ng: fixed double shm memory free
    	- happens when calling get_dlg function from cfg file

commit 1710c596b9a9383d2aa48d3432b6ada429981863
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Nov 13 10:38:17 2013 +0100

    Makefile.defs: version set to 4.1.0-pre2

commit 644ffab0450d49aa36cfa803a41eff9db1ddb13a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Nov 13 10:37:17 2013 +0100

    Makefile.defs: enabled memory debugging
    
    - to be kept for the rest of testing period to spot eventual buffer
      overflows

commit 254d0c43a84ec87801e58b4f990a2029c0e27c6f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Nov 12 21:03:01 2013 +0100

    tm: init sock_str to null value if no sock pointer is set in branch
    
    - case of creating branches from a 3xx reply
    - reported by juliabo [at] gmail
    - identation made coherent with tm module style

commit 5d80155a69f3c9865196e377ac0ecef16cd39cfe
Author: Charles Chance <charles.chance@sipcentric.com>
Date:   Tue Nov 12 17:28:51 2013 +0000

    memcached: add section ids in documentation

commit a65ee19108b1cdff31ec93b25020af0c9eab8080
Author: Charles Chance <charles.chance@sipcentric.com>
Date:   Tue Nov 12 17:28:15 2013 +0000

    dmq: add section ids in documentation

commit 35ae624ba939b736bb2f52cd5fb4908deec0a133
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Nov 12 15:50:51 2013 +0100

    pua_reginfo: fixed typo related to module name in docs example
    
    - reported by Marius Pedersen

commit a9fc979c839b44411e3c34076591c64c16d2fe87
Author: Ãyvind Kolbu <oyvind.kolbu@usit.uio.no>
Date:   Tue Nov 12 15:47:30 2013 +0100

    core: respect order field in NAPTR, as required by RFC 2915
    
    - the beaviour is controlled by core parameter dns_naptr_ignore_rfc
    - default is 1, preserving current behaviouf to ignore rfc requirements
      (for backward compatibility)

commit 96e021babe6da540ac8e47f35b30bb0fd7146245
Author: Richard Fuchs <rfuchs@sipwise.com>
Date:   Mon Nov 11 12:40:05 2013 -0500

    rtpproxy-ng: remove code artifact that broke IPv6 received-from addresses

commit 3bcf5579c8e47422378fcf6dfaa361e3fd126ce5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 11 12:23:29 2013 +0100

    ChangeLog: set the content with changes since branching for 4.0

commit 7436e3f66782597d66d052ee9c87bdb3b91756ef
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 11 11:21:21 2013 +0100

    kamctl: regenerated db schema scripts
    
    - updated after mohqueue default date change

commit 8ebd2350ef97c6bac856850a3230ed3e245bd3ed
Author: Hugh Waite <hugh.waite@crocodile-rcs.com>
Date:   Fri Nov 8 20:30:08 2013 +0000

    tls: TLSv1.1 supported since openssl v1.0.1

commit 55dd8073c7d06f3af37cded55e520e64457c2b42
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Nov 8 16:41:30 2013 +0100

    rtpproxy-ng: ids to sections in documentation

commit 4060340d3af8112ad73ea881ab79270c06544476
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Nov 8 16:32:35 2013 +0100

    debugger: ids to sections in documentation

commit 5f1d6744aa20dc5774c8403bf918a9543afe6c75
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Nov 8 16:28:19 2013 +0100

    avp: ids to sections in documentation

commit 3e6bef55f91206d7cf956a61e0b426bab5469e7b
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Nov 8 16:03:25 2013 +0100

    avpops: ids to sections in documentation

commit 0e676d0062d7db0875ccc97053304807cbc5747e
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Nov 8 15:56:33 2013 +0100

    usrloc: ids to sections in documentation

commit a88f9d4b79a40221e058c31bbdd21c8c25ba5003
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Nov 8 15:21:58 2013 +0100

    app_lua: ids to sections in documentation

commit ae0e9eef521fa39ae306a2c64e4add61d5e8af6f
Author: Robert Boisvert <rdboisvert@gmail.com>
Date:   Wed Nov 6 14:12:10 2013 -0500

    mohqueue: remove call from queue if caller does not exist

commit 456c387e08ce40ea2c0f1e5e5f94b367ff9fa361
Author: Robert Boisvert <rdboisvert@gmail.com>
Date:   Tue Oct 29 18:10:25 2013 -0400

    mohqueue: remove sql table call_time column's default value
    
    it is not supported in some database properly, and it is not
    really needed.

commit 04b457735f0bafa6ff214cb2d69afbe721d89bf1
Author: Andrew Mortensen <admorten@isc.upenn.edu>
Date:   Thu Nov 7 14:52:29 2013 -0500

    modules/sca: restore correct check for NULL in SCA_CALL_INFO_EMPTY.
    
    - should also suppress -Waddress error without relying on gcc _Pragma.

commit 0fbdb8cf7a7687d6ecc8049dfdcb1244abd726af
Author: Hugh Waite <hugh.waite@crocodile-rcs.com>
Date:   Wed Nov 6 10:34:01 2013 +0000

    tls: Fix minor typo in documentation

commit fe914e16945caf6c5c11b81514dff89a0739b30e
Author: Richard Good <richard.good@smilecoms.com>
Date:   Wed Nov 6 09:14:45 2013 +0200

    modules/dialog_ng: Fix "CRITICAL bogus event 6 in state 2" problem
    	Use TM callback TMCB_RESPONSE_READY instead of TMCB_RESPONSE_OUT to prevent race condition resulting in bogus event

commit cb66f43187ea3bcac36681b82630456deeabc64c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Nov 5 15:10:29 2013 +0100

    kamctl: added shortcuts for dialog mi commands

commit 082a6c43938cf8e3839d46fd070e391bd522d4ed
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Nov 5 10:33:55 2013 +0100

    dialog: init cseq to 0 if not available yet for one side
    
    - based on a report by Morten Isaksen

commit 8d6a981543a044fddc3448c93dba9ed35afac0c0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Nov 5 10:15:13 2013 +0100

    pua_dialoginfo: fixed code formatting
    
    - patch by  Kristian HÃ¸gh, FS#360

commit d48d36df40dee374e63ef9b6a6c1bafc4af0e8b0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Nov 5 09:41:04 2013 +0100

    dispatcher: typo and ids to sections in documentation

commit f33076415561d3efbfa9d804d00a4b0784898f50
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 4 21:46:34 2013 +0100

    sl: fix startup detection of event route
    
    - patch by Sergey Okhapkin

commit 90227fbf44ddc67bfb49f8f7e8fd7e1b33189349
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 4 14:26:19 2013 +0100

    presence_dialoginfo: check relevance of the state for single dialog notification
    
    - rework from a patch in tracker, FS#341

commit 27a73a806cece55bc7c707735856770137c2d680
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 4 11:21:27 2013 +0100

    Makefile.defs: version set to 4.1.0-pre1

commit 8a246b06838b99e63d86fe186b23a23f57347548
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 4 10:04:35 2013 +0100

    pua_reginfo: reflect use domain from usrloc
    
    - avoid duplicate contacts if domain is not considered
    - patch by  Wonbin Cho, FS#350

commit 16649609796ec336278b073d86045f72a9dd7886
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Nov 3 13:23:32 2013 +0100

    tls: ifdef to use TLSv1.1 only for openssl/libssl v1.0.0+

commit f4bf810a5af5b2d133df30e625691cc7b6ad2cf5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Nov 3 13:15:31 2013 +0100

    tls: refreshed the README

commit 1e2bb79a135bef9936fb5d5e0fb9a708589452b9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Nov 3 13:14:31 2013 +0100

    tls: listed TLSv1.1 and TLSv1.2 as values for tls_method parameter

commit ea32bf9d3cf36c3562ca34d572bbf07ed144e105
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Nov 3 12:55:08 2013 +0100

    tls: extended supportd tls methods
    
    - TLSv1.1 and TLSv1.2 (from openssl 1.0.1e on) added to the internal
      list

commit 26fa46a421e0bb5e00e32115b610100481e64e6d
Author: Peter Dunkley <peter.dunkley@crocodilertc.net>
Date:   Sat Nov 2 21:45:04 2013 +0000

    pkg/kamailio/centos: Improvement to the CentOS init.d script

commit 039f52deb384c71ecfb578e2cd648153dd9937d1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Nov 2 19:28:36 2013 +0100

    tls: include dprint.h where log functions are used

commit 25ee7ea17b6553ce44eda6c0665ff80cfc41db35
Author: Juha Heinanen <jh@tutpro.com>
Date:   Fri Nov 1 21:27:31 2013 +0200

    modules/mtree: added 'multi' param to mtree definition
    - new 'multi' param makes it possible to store both integer and string
      typed mtrees into single db table

commit 66185905850cd2ac9ab933776184da0f0882e5ac
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Nov 1 15:33:08 2013 +0100

    registrar: clean static values at pack_ci

commit f67171cf3be1ade0e1c9dd013d560c87b3fd4359
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Oct 10 15:21:47 2013 +0200

    usrloc: db_update contact by instance + reg-id

commit bc66a385e8a282638c8d5cfa566f971c62cd341b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Nov 1 09:39:32 2013 +0100

    uac: reset registration authentication flag
    
    - reported by  rene montilva (fs#352)

commit 1cc0144e434fdcf76013e9424d31928c260d4377
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Oct 30 22:11:04 2013 +0100

    kamctl: updated dispatcher command to current db table fields
    
    - parameters flags, priority, attrs and description are optional

commit bfc2215d71734b09a1d7acd4dbdbe919b234c30f
Author: Juha Heinanen <jh@tutpro.com>
Date:   Wed Oct 30 20:49:26 2013 +0200

    Revert "modules/mtree: when loading data from db, load each tree separately"
    
    This reverts commit 6fc84c2cf610791939ba73e38b8b5b3c0b5cd047.

commit 6fc84c2cf610791939ba73e38b8b5b3c0b5cd047
Author: Juha Heinanen <jh@tutpro.com>
Date:   Wed Oct 30 17:31:04 2013 +0200

    modules/mtree: when loading data from db, load each tree separately

commit f0751ffa2d1d99c0a54707cfe22926bea9c07123
Author: Hugh Waite <hugh.waite@crocodile-rcs.com>
Date:   Wed Oct 30 17:12:05 2013 +0000

    modules/rls: Fix memory leak in rls
    - Leak would occur in two error cases
    - Also improved diagnostics to display uri on various failures

commit 76536ec5332d7897cd4259b271508cc9d4e2bc2e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Oct 30 16:08:47 2013 +0100

    kamailio.cfg: removed modules_k from path for modules

commit 328350a0d718990f8a87f25f8c12f1c85d61220f
Author: Richard Good <richard.good@smilecoms.com>
Date:   Wed Oct 30 12:50:04 2013 +0200

    modules/ims_charging: fixed failed reservation bug
    	- Reservation checks dialog integrity with h_entry < 0
    	- The hash that creates h_entry can return 0 - this check should be <= 0

commit a7037aad9963678347bf2b1c15c4994e95570f86
Author: Richard Good <richard.good@smilecoms.com>
Date:   Wed Oct 30 12:49:26 2013 +0200

    modules/ims_charging: code clean up, removed duplicate timer init and dlg bind

commit a3db949272db7dbda4fa5fd1ad68d23d56deacc0
Author: Richard Good <richard.good@smilecoms.com>
Date:   Wed Oct 30 09:15:51 2013 +0200

    modules/tm: code cleanup removed unused method faked_resp and free_faked_resp

commit 15a14440f07f787501e116ab4901ab5a53668f4a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Oct 29 22:00:18 2013 +0100

    kamctl: added new db tables in kamdbctl lists

commit 2e033c85d2c66c47de15f355298012f012adb15c
Author: Richard Fuchs <rfuchs@sipwise.com>
Date:   Tue Oct 29 15:30:36 2013 -0400

    rtpproxy-ng: fix extraction of multipart SDP body
    
    reported by: Jasmin Schnatterbeck

commit 355ab783a99e413eb96a385ab067336316aaafda
Author: Richard Good <richard.good@smilecoms.com>
Date:   Tue Oct 29 12:40:42 2013 +0200

    modules/cdp/acctstatemachine.c: fixed incorrect reservation expiry warning
    	First check if acc state is OPEN before sending reservation expiry warning

commit c4a4b4f599ba428330899e804877e85d3fdcc3a4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Oct 29 11:08:49 2013 +0100

    kamctl: updated db creation scripts

commit ecc6e35b31d59e6e9995a03c6ab00f21a23b1be9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Oct 29 11:07:03 2013 +0100

    srdb1: drop unique constrant on alias user+domain in dbaliases
    
    - it doesn't work for multiple branches when use_domain is set, reported
      by Vassilis Radis

commit da3d48de7d52df83fcb568530441e7ac6475baae
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Oct 29 10:08:04 2013 +0100

    pua_publish: more verbose output for error case when sending publish

commit 73d509f04029dddc94bedba23460d43c81acc13a
Author: Richard Good <richard.good@smilecoms.com>
Date:   Tue Oct 29 10:51:32 2013 +0200

    modules/ims_registrar_pcscf: replaced incorrect LM_ERR with LM_DBG

commit 41a9fbf38ba84e542a546893a6ce9c48f14f3aa3
Author: Jason Penton <jason.penton@smilecoms.com>
Date:   Tue Oct 29 10:31:52 2013 +0200

    modules/tm: fixed placement of variable declarations to top of scope block

commit 716932aa77a0f22f00d2ccee8a89cd84b6674f0a
Author: Jason Penton <jason.penton@smilecoms.com>
Date:   Tue Oct 29 09:49:42 2013 +0200

    modules/tm: cosmetic fixes and comment fixes

commit a7d9ea3ceda6b933807f0345e327849e60d0fa57
Author: Jason Penton <jason.penton@smilecoms.com>
Date:   Tue Oct 29 09:42:45 2013 +0200

    modules/tm: last pkg_mem leak resolved for async replies (nonshm lumps)

commit 3022220043bcc9c421ac175b2a3290950014a7fc
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Oct 29 08:34:29 2013 +0100

    kamctl: regenerated db script for mohqueue tables

commit 3eeeed2aeeb924afeabc3fc8337561624f0c41d0
Merge: 946e1f0 b5638f7
Author: Jason Penton <jason.penton@smilecoms.com>
Date:   Mon Oct 28 15:03:08 2013 +0200

    Merge branch 'master' of ssh://git.sip-router.org/sip-router

commit 946e1f01889c67a835583f4df2c773d227693ea7
Author: Jason Penton <jason.penton@smilecoms.com>
Date:   Mon Oct 28 14:51:12 2013 +0200

    modules/tm: fixed pkg memory leak in TM which happens in async reply processing

commit b5638f712711deb8413d7e585369adf8f4a421ee
Author: Richard Good <richard.good@smilecoms.com>
Date:   Mon Oct 28 14:41:22 2013 +0200

    modules/ims_qos: memory optimisation
    	Fixed pkg memory allocation for framed IP AVP and flow buffer AVP
    	Instead of repeatedly alloc'ing and free'ing pkg memory we allocate once and re-use
    	Results in better pkg memory overhead

commit 3856e9e81c8410b220b893a0dfe7114bba6bdc0d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Oct 27 16:59:32 2013 +0100

    core: handle pv comparison with $null as when defined is used
    
    - reported by Victor Seva, closes FS#358

commit 3d716a94b620e0115381b164595ef0398c816856
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Oct 26 08:59:09 2013 +0200

    kamctl: use a variable to set the now() function or a replacement for it
    
    - sqlite uses instead the string returned by 'date' call, as it doesn't
      have now()
    - reported by Peter Dunkley, FS#356

commit 2a046e5fd3c47bc7753190425b911b4114667563
Author: Peter Dunkley <peter.dunkley@crocodilertc.net>
Date:   Thu Oct 24 20:44:03 2013 +0100

    pkg/kamailio/centos: added app_java to CentOS RPMs

commit 9c765e89ea7647b1e9c5e36eb0b324eec1d92b7d
Author: Peter Dunkley <peter.dunkley@crocodilertc.net>
Date:   Thu Oct 24 20:13:11 2013 +0100

    modules/app_java: updated Makefile so that it builds on CentOS 6

commit 9a67a730df4f6c6584e8c52934d5feb16f86ee2e
Author: Richard Fuchs <rfuchs@sipwise.com>
Date:   Thu Oct 24 12:34:05 2013 -0400

    tm: fix possible segfault in cancel_branch()

commit 9ca1648fbf167748bcf9155794f703632ca87503
Author: Charles Chance <charles.chance@sipcentric.com>
Date:   Thu Oct 24 16:36:01 2013 +0100

    htable: ht_dmq_handle_msg() - do not call parse_headers on cloned message

commit 2c990487a780bce2ee2fe64e155ec3f1bc1bdebf
Author: Charles Chance <charles.chance@sipcentric.com>
Date:   Thu Oct 24 16:15:10 2013 +0100

    memcached: revert earlier doc change regarding minimum library version (we now have backward compatibility built in)

commit fc4f2216f867b00a6685abdf51b8165572f24f69
Author: Carlos Ruiz Diaz <carlos.ruizdiaz@gmail.com>
Date:   Thu Oct 24 11:05:17 2013 -0300

    ims_charging: fixed deadlock when interim CCA timeout occurs

commit b0797b765af78f19d942a87ea978037027da57c3
Author: Peter Dunkley <peter.dunkley@crocodilertc.net>
Date:   Thu Oct 24 13:10:08 2013 +0100

    pkg/kamailio/centos: added memcached package to .spec
    
    - Also:
      - updated README to remove memcached from list of unbuilt modules
      - moved auth_identity into the tls package
    - List of modules not built for CentOS is now:
      - app_java: should be buildable but Makefile needs work
      - app_mono: needs newer version of mono-devel than available in base or EPEL
      - db_cassandra: needs specific versions of thrift (thrift not in base or EPEL
        at all anyway)
      - db_oracle: requires non-free Oracle client SDK
      - iptrtpproxy: obsolete
      - jabber: obsolete
      - osp: requires OSP Toolkit which is not available in base or EPEL

commit adfa299a1a01aba1c69c1129d78170056d50db42
Author: Charles Chance <charles.chance@sipcentric.com>
Date:   Thu Oct 24 12:14:38 2013 +0100

    memcached: added alternate memory management wrappers for backwards compatibility with older libmemcached versions and added preprocessor check for the correct ones to use based on installed version.

commit a067a3d33ad67c260a3bc377cd4203d41880ca6b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Oct 24 07:44:03 2013 +0200

    tm: use internal flags field to mark suspended replies with FL_RPL_SUSPENDED
    
    - it was set on cfg flags, resulting in messing up with what was used in
      config file
    - reported by Juha Heinanen

commit 6b8b8a050e4490302d1f1f940a7fda95784cce46
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Wed Oct 23 14:53:04 2013 +0100

    modules/xcap_server: fixed fetching of an element (GET with XPath)
    
    - This is a mandatory part of XCAP and DELETE/PUT of elements (using XPath)
      is supported in xcap_server.
    - The code to get a node from a document was all in there but never called.

commit 3b028d308fac3a4f7ae1e74021882657753f2ee8
Author: Charles Chance <charles.chance@sipcentric.com>
Date:   Wed Oct 23 12:01:27 2013 +0100

    dmq: Fixed bug/error in original code where sip_msg was parsed after cloning to shm, leading to memory errors. Also fixed several memory leaks.

commit eb97ddb20368c019b331cfd09e793a0431d49940
Merge: f6d530e 58a3069
Author: Jason Penton <jason.penton@smilecoms.com>
Date:   Tue Oct 22 20:59:26 2013 +0200

    Merge branch 'master' of ssh://git.sip-router.org/sip-router

commit f6d530e68ffe9db11f5f148c51f8bff0b542f028
Author: Jason Penton <jason.penton@smilecoms.com>
Date:   Tue Oct 22 20:57:52 2013 +0200

    modules/cdp: allow CDP child processes to respond to dynamic cfg changes
    	- this for example allows dumping pkg memory using core cfg variables similar to SIP workers, etc

commit 58a3069927a2e37c327256cd3475d7a7f8a2f5c4
Author: Peter Dunkley <peter.dunkley@crocodilertc.net>
Date:   Tue Oct 22 11:08:08 2013 +0100

    pkg/kamailio/centos: updated README to remove mi_xmlrpc from the set of unbuilt modules

commit d79cffa79ab740bc3e724fc0e9b8fc9f7236af44
Author: Peter Dunkley <peter.dunkley@crocodilertc.net>
Date:   Tue Oct 22 11:07:40 2013 +0100

    pkg/kamailio/centos: updated .spec to add mi_xmlrpc to xmlrpc package

commit 05f0ed6d77602f3ee1a2cfc8cee1c760dc2f6800
Author: Peter Dunkley <peter.dunkley@crocodilertc.net>
Date:   Tue Oct 22 10:45:56 2013 +0100

    modules/mi_xmlrpc: fixed compilation warning

commit b3dedff1053a1d35e803f3824042732f07532b77
Author: Muhammad Shahzad <shaheryarkh@gmail.com>
Date:   Tue Oct 22 10:43:43 2013 +0100

    modules/mi_xmlrpc: patched so that it now builds for CentOS
    
    - Patch by Muhammad Shahzad <shaheryarkh@gmail.com>
    - Committed by Peter Dunkley <peter.dunkley@crocodile-rcs.com>

commit 11abcfd96f30aa5f0032385ac5893c27bdf6315b
Author: Charles Chance <charles.chance@sipcentric.com>
Date:   Mon Oct 21 14:40:10 2013 +0100

    memcached: added minimum libmemcached version required to documentation

commit 4bffd1950e4481a734141ae6cf755458f341f45b
Author: Peter Dunkley <peter.dunkley@crocodilertc.net>
Date:   Mon Oct 21 13:40:46 2013 +0100

    pkg/kamailio/centos: updated README that explains which modules are not built for CentOS
    
    - The modules not built at this time are:
      - app_java
      - app_mono
      - db_cassandra
      - db_oracle
      - iptrtpproxy
      - jabber
      - memcached
      - mi_xmlrpc
      - osp

commit e3524fb816c1fad04b3c855e3fe88151b33e24c8
Author: Peter Dunkley <peter.dunkley@crocodilertc.net>
Date:   Mon Oct 21 13:37:45 2013 +0100

    pkg/kamailio/centos: updated .spec to build packages with dependencies that can be met by EPEL
    
    - This means the computer building the RPMs needs to have access to EPEL and
      the appropriate dependencies installed from it.  However, there will be
      no need to have EPEL dependencies installed on a running instance _unless_
      you want to use one of the modules with an EPEL dependency.
    - The modules supported with EPEL are:
      - acc_radius, auth_radius, misc_radius, peering
      - carrierroute
      - dnssec
      - geoip
      - json, jsonrpc-c
      - ndb_redis

commit 9f08b58f58585559646b470ae9f4b9801617ba73
Author: Peter Dunkley <peter.dunkley@crocodilertc.net>
Date:   Sun Oct 20 23:52:23 2013 +0100

    pkg/kamailio/centos: updated rel in .spec

commit ce9f46a3778cd6c79f2411b5934e3ad320cf6de4
Author: Peter Dunkley <peter.dunkley@crocodilertc.net>
Date:   Sun Oct 20 23:46:35 2013 +0100

    pkg/kamailio/centos: removed out-of-date BoxGrinder appliance files

commit 0de2ae72410f0672f174a8cae34d4ac12798a188
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Sun Oct 20 23:27:58 2013 +0100

    pkg/kamailio/centos: updated documentation

commit 61ad39509ca1d739d00d0386ab5a991cf54477d8
Author: Ãyvind Kolbu <oyvind.kolbu@usit.uio.no>
Date:   Sun Oct 20 22:04:16 2013 +0200

    fix dns srv failover when no UDP record is present
    
    - refactored code for srv lookup to have less code duplication

commit 820046b04c2218273a11f905dc798812d7ca0ca6
Author: Jason Penton <jason.penton@smilecoms.com>
Date:   Fri Oct 18 09:21:02 2013 +0200

    modules/ims_registrar_scscf: added outstanding documentation

commit 37f284d2d9bbe6dac4888600d0b99ccc58d22eb9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Oct 17 18:18:17 2013 +0200

    Makefile.defs: version set to 4.1.0-pre0

commit 324e458ad68e97edaf2240e0f79b7380e77d268c
Author: Richard Good <richard.good@smilecoms.com>
Date:   Thu Oct 17 16:46:09 2013 +0200

    modules/ims_qos: second iteration of ims_qos module
    	- module now support media authorization over Diameter Rx (between P-CSCF and PCRF)

commit d5c482ca06ff4b8529ea00d421484addd0203c37
Author: Richard Good <richard.good@smilecoms.com>
Date:   Thu Oct 17 16:44:46 2013 +0200

    modules/tm: Edited documentation to show that t_suspend/continue can now be used on SIP responses

commit 16e763c32d7a2b9fc451185e028a90b3be758f65
Author: Richard Good <richard.good@smilecoms.com>
Date:   Thu Oct 17 16:41:15 2013 +0200

    modules/tm: extended tm async support to SIP responses
    	-t_suspend and t_continue functions now work with SIP responses as well as requests

commit 8b8132c17c126ff4edb2f5c9544dbd30894f6108
Author: Richard Good <richard.good@smilecoms.com>
Date:   Thu Oct 17 16:40:07 2013 +0200

    parser: defined new FL_RPL_SUSPENDED used for suspend on reply

commit cc8bc36c67a0b8e7317c06c50a88e8e6aa15d790
Merge: 217e508 2f368b6
Author: Carsten Bock <carsten@ng-voice.com>
Date:   Wed Oct 16 14:12:51 2013 +0200

    ims_charging: Merge branch 'ims_charging' into master

commit 2f368b676acb026bf4647af02108a24e49e30581
Author: Carlos Ruiz Diaz <carlos.ruizdiaz@gmail.com>
Date:   Fri Oct 11 00:07:18 2013 -0300

    ims_charging: fixed bug causing dialog cb function to be called more than once
    
    - removed possible race condition in dialog cb
    - improved the way locking was performed

commit 217e5089df327215dd5078a72dd5b14526640191
Author: Jason Penton <jason.penton@smilecoms.com>
Date:   Thu Oct 10 16:04:49 2013 +0200

    modules/ims_charging: restored an unlock that will cause deadlock if omitted

commit bae7fcb9be9a4cf88693e6c4180e3c1e6f4b6c1d
Author: Jason Penton <jason.penton@smilecoms.com>
Date:   Thu Oct 10 15:36:59 2013 +0200

    modules/ims_charging: fixed bug not initialise AVP string value for success CCA

commit 6ccca97cba61e75e9da0b6d36f1ee38fc88e94f3
Merge: db618dd 83add48
Author: Jason Penton <jason.penton@smilecoms.com>
Date:   Thu Oct 10 15:01:07 2013 +0200

    Merge branch 'master' of ssh://git.sip-router.org/sip-router

commit db618ddbdc2ec92a508acd913f2f847a4fb59cae
Author: Jason Penton <jason.penton@smilecoms.com>
Date:   Thu Oct 10 14:59:23 2013 +0200

    modules/ims_charging: corrected default termination cause code to DIAMETER_LOGOUT
    	- also corrected typo
    	- added other termination cause code defines for future use

commit 83add48b7c1cdf0d9f64c24bcc134195699daac1
Author: Robert Boisvert <rdboisvert@gmail.com>
Date:   Thu Oct 10 08:25:05 2013 -0400

    mohqueue: fixes
    
    * cleaned up all error paths (fixed crashes)
    * added support for INVITEs that get stuck
    * adjusted code to avoid compiler warnings
    * PRACK only invoked if Require: 100rel set
    * fixed bug that allowed a new call to be created more than once
    
    Documentation
    * updated NOTES

commit ac5835c0aff657cae169432466851c9f2cbca8ad
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Oct 10 12:45:45 2013 +0200

    cfgutils: init probability pointer to NULL
    
    - otherwise it can be an attempt to free it when the kamailio does not
      start due to config errors
    - reported by Dragos Oancea

commit a3bddf300ff82b9d811acb5dd6ec2e25f0eab07c
Author: Jason Penton <jason.penton@smilecoms.com>
Date:   Wed Oct 9 17:55:20 2013 +0200

    module/tm: changed log level from WARN to DBG for informational message

commit 2dc78738af4a0693e0a4d3f77e2174586d53d90b
Author: Carlos Ruiz Diaz <carlos.ruizdiaz@gmail.com>
Date:   Tue Oct 8 15:52:09 2013 -0300

    ims_charging: removed session unlock function call when no lock was acquired

commit dcce66b2a3db3aeaa5de1a87429320731ab3795c
Merge: 121e828 639ce58
Author: Carsten Bock <carsten@ng-voice.com>
Date:   Tue Oct 8 18:43:14 2013 +0200

    ims_charging: Merge branch 'ims_charging' into Master.

commit 121e828e2bedd3f76a1343f7257978153e78fc8f
Author: Peter Dunkley <peter.dunkley@crocodilertc.net>
Date:   Tue Oct 8 02:37:43 2013 +0100

    pkg/kamailio/centos: added mohqueue to CentOS build

commit 03dbfd4c97290028212ddb04eea5faf5ef4ba007
Author: Peter Dunkley <peter.dunkley@crocodilertc.net>
Date:   Tue Oct 8 02:27:24 2013 +0100

    modules/mohqueue: created text README file from doc source

commit a39adb3497b5b095126e835104d637669dee2a7e
Author: Carsten Bock <carsten@ng-voice.com>
Date:   Mon Oct 7 16:17:53 2013 +0200

    ims_charging: Add statistic ccr_timeouts

commit e4e84c80232a5acc60b64adb541b54b6967189f6
Author: Timo TerÃ¤s <timo.teras@iki.fi>
Date:   Mon Oct 7 17:09:59 2013 +0300

    mohqueue: fix build error due to get_debug_level api change
    
    Should have tested better before merging. Should probably remove the
    whole debug print helper and use core functions directly now that
    the core supports per-module debugging.

commit 62860094af838710ee5b9892cfb9f99f615055f6
Author: Hugh Waite <hugh.waite@crocodile-rcs.com>
Date:   Mon Oct 7 10:01:56 2013 +0100

    tm: Restore ruid value in sip_msg struct after creating transactions from branches
    
    - Fixes crash when freeing memory

commit a4370dc336e5552b93d32314249d4d613d77ef99
Author: Jason Penton <jason.penton@smilecoms.com>
Date:   Mon Oct 7 12:49:00 2013 +0200

    modules/tm: missing lock initialisation for async_lock
    	- related to commit 5ab44c7c2fc78038302bf455ff49e374fc79550b

commit ca060f98bbecb407d5d29cbe19cec821d3990330
Merge: 6e19deb 24f66ec
Author: Timo TerÃ¤s <timo.teras@iki.fi>
Date:   Mon Oct 7 11:18:02 2013 +0300

    Merge branch 'tteras/mohqueue'

commit 6e19debdf9b240c71ca90bfd6cadd46f0f57ace8
Author: Carsten Bock <carsten@ng-voice.com>
Date:   Mon Oct 7 10:15:11 2013 +0200

    examples/pcscf: Removed dependency to Presence-User-Agent and SQLite.

commit c9395e690435cdb8fc62b7fb13b378fe0a6ca8e5
Author: Charles Chance <charles.chance@sipcentric.com>
Date:   Mon Oct 7 07:52:21 2013 +0100

    htable: update documentation for dmq integration

commit 6a20bf80ae014801667c5a23782b33af5467c409
Author: Charles Chance <charles.chance@sipcentric.com>
Date:   Mon Oct 7 07:44:38 2013 +0100

    htable: initial dmq integration

commit 24f66ecc72064c9bf40deeb324e666b6b95dfa83
Author: Timo TerÃ¤s <timo.teras@iki.fi>
Date:   Mon Oct 7 08:41:37 2013 +0300

    mohqueue: remove handwritten .sql, it is now autogenerated

commit 1af34ca5b9f799b83242a9ecddf8abe9521114dd
Author: Robert Boisvert <rdboisvert@gmail.com>
Date:   Thu Oct 3 11:36:08 2013 -0400

    mohqueue schema files

commit f8f3d34ba5471742676831b22b1c872823a31cba
Author: Andrew Mortensen <admorten@isc.upenn.edu>
Date:   Sat Oct 5 13:14:09 2013 -0400

    modules/sca: fix compiler warning for macro.
    
    - correct "always evaluates to true" when using address of stack variable.

commit 2f0043b153c60380e35c8ec4c33a9bbc7fb2b05c
Author: Andrew Mortensen <admorten@isc.upenn.edu>
Date:   Thu Sep 19 13:49:24 2013 -0400

    modules/sca: fix return value of sca_call_info_uri_update()
    
    - return value of 0 can bubble up as return value of sca_call_info_update(),
      causing early script termination (exported function returning 0 in script
      is equivalent to "exit")
    - report and patch from Timo TerÃ¤s

commit 2efe3e365e1670cc3ac8b4900a1104c3720d44fb
Author: Andrew Mortensen <admorten@isc.upenn.edu>
Date:   Tue Aug 20 15:54:17 2013 -0400

    modules/sca: AoR should not be treated as SCA if there are no subscribers.

commit 58a47ac21d09bf6feb1431bbe490643e9827c876
Author: Andrew Mortensen <admorten@isc.upenn.edu>
Date:   Tue Aug 20 15:14:26 2013 -0400

    modules/sca: improved handling of host-only Contact URIs

commit 3b1f87523bdc53538c1b6f409ba9470048572701
Author: Andrew Mortensen <admorten@isc.upenn.edu>
Date:   Mon Jul 22 00:48:46 2013 -0400

    modules/sca: restore missing prototype.
    
    sca_subscription_aor_has_subscribers

commit 97653df1d93636771c7b2fa8e4f9aef002ee7e5b
Author: Andrew Mortensen <admorten@isc.upenn.edu>
Date:   Mon Jul 22 00:42:18 2013 -0400

    modules/sca: detect when an AoR is no longer SCA.
    
    Don't, for example, create an appearance for callees that do not send
    a Call-Info header, and whose AoR also has no subscribers.

commit a6f80374c4dd3d09fa7e25a8e6c59dab0bf2fae5
Author: Andrew Mortensen <admorten@isc.upenn.edu>
Date:   Mon Jul 22 00:37:32 2013 -0400

    modules/sca: Clear stale line-seize appearances via timer.
    
    Some badly behaved/buggy UAs don't know when to say when.

commit 84d1981ce059fcdd7a5113428b0227fbb0b977ab
Author: Andrew Mortensen <admorten@isc.upenn.edu>
Date:   Thu Jun 13 16:06:10 2013 -0400

    modules/sca: fix regression: restore purge expired timer

commit c0fb2a67a699e30fd3274c9f864918e6e02e1926
Author: Andrew Mortensen <admorten@isc.upenn.edu>
Date:   Thu Jun 13 15:34:00 2013 -0400

    modules/sca: clear appearance on receipt of out-of-dialog SUBSCRIBE
    
    - If a call-info SUBSCRIBE with no To-tag arrives from a subscriber
      with an active subscription, release any appearances owned by the
      subscriber, on the assumption that the subscriber has lost track
      of SCA (reboot, power/network loss).

commit ef9b12d213416f910e0c11bdeecf9112032939f8
Author: Andrew Mortensen <admorten@isc.upenn.edu>
Date:   Thu Jun 13 15:30:40 2013 -0400

    modules/sca: detect and clear orphaned appearances caused by answer glare
    
    - set appearance state created by SCA callee answer to ACTIVE_PENDING,
      and promote to ACTIVE on ACK from caller. If no ACK from caller is
      received within 30 seconds (enough time for retransmission to fail),
      the ACTIVE_PENDING appearance will be cleared by the
      sca_appearance_purge_stale timer.

commit 1ef4587612806a94c7a81aac4f768b9bbe472b43
Author: Andrew Mortensen <admorten@isc.upenn.edu>
Date:   Wed May 15 16:13:23 2013 -0400

    modules/sca: reconcile Contact and From URIs in ACK callback.
    
    - fix Music-on-Hold in Polycoms when SCA caller has MoH enabled and SCA callee
      does SCA hold/pickup with identical To & From URIs. Previously, module would
      end up looking up an appearance for callee in ACK callback instead of caller.

commit 185bd40d1a197709d28d9b966ed8fd4b4c00faf9
Author: Andrew Mortensen <admorten@isc.upenn.edu>
Date:   Tue May 14 16:25:06 2013 -0400

    modules/sca: improved BYE handling.
    
    - Clear appearances for both legs on BYE request if possible.

commit 36ad80745607fca859578b8423cbd767f4c5b095
Author: Andrew Mortensen <admorten@isc.upenn.edu>
Date:   Tue May 14 16:23:46 2013 -0400

    modules/sca: free previous appearance owner, callee, dialog if non-NULL.

commit bb21b5e0bc7aaf001799e259b81aebe28168afb1
Author: Andrew Mortensen <admorten@isc.upenn.edu>
Date:   Thu May 2 15:12:16 2013 -0400

    modules/sca: change logging level for failed lookup by appearance-index.
    
    - appearance-index won't be found yet if SCA callee is answering, logging
      at WARN is misleading.

commit 98b8ba06dfaec49331dbfc3164e02a490e0db214
Author: Andrew Mortensen <admorten@isc.upenn.edu>
Date:   Tue Apr 30 23:31:12 2013 -0400

    modules/sca: space-separate dialog tags in sca.all_appearances output

commit 002dc46fee94edf8b7086d7d3bb0286979213532
Author: Andrew Mortensen <admorten@isc.upenn.edu>
Date:   Tue Apr 30 23:10:10 2013 -0400

    modules/sca: track appearance times.
    
    Include time of last state chance in sca.all_appearances output.

commit ac298442533c048e5ccacf6b3ad0cb36d52c2eff
Author: Andrew Mortensen <admorten@isc.upenn.edu>
Date:   Wed Apr 24 11:30:35 2013 -0400

    modules/sca: add sca.subscription_count to rpc exports list.

commit 815d70e5156c2a878e59c59182ffa957f1d75a80
Author: Andrew Mortensen <admorten@isc.upenn.edu>
Date:   Wed Apr 24 01:18:27 2013 -0400

    modules/sca: RPC: fix sca.show_subscription, add sca.subscription_count
    
    - sca.subscription_count will eventually be subsumed by sca.stats.

commit 2e0af20cd7a5b3e46ceb36ef3919df78c1bdf1df
Author: Andrew Mortensen <admorten@isc.upenn.edu>
Date:   Thu Apr 18 13:52:10 2013 -0400

    modules/sca: fall back to tag lookup if lookup by index fails.
    
    - Fix appearance tracking for SCA implementations with inconsistent
      Call-Info header inclusion.

commit a6f038343de57ca6bd257e442af41feae2b18c4d
Author: Andrew Mortensen <admorten@isc.upenn.edu>
Date:   Mon Apr 15 20:16:36 2013 -0400

    modules/sca: add SCA_DB_DEFAULT_FETCH_ROW_COUNT

commit 562e49dc6e6fb9adb47adecbda8bfb94f12d86aa
Author: Andrew Mortensen <admorten@isc.upenn.edu>
Date:   Mon Apr 15 20:11:08 2013 -0400

    modules/sca: use DB fetch queries when restoring subscribers from database.
    
    - Previously used standard query, exhausting pkg memory when subscriber
      count is high.

commit 92114b530e6a206af1fe173a948cb542a62717c2
Author: Andrew Mortensen <admorten@isc.upenn.edu>
Date:   Mon Apr 15 20:09:01 2013 -0400

    modules/sca: only check if callee is SCA if callee_aor has a value.

commit 1e9708462f0e709e795813490d56897d0f44997c
Author: Andrew Mortensen <admorten@isc.upenn.edu>
Date:   Mon Apr 15 17:17:05 2013 -0400

    modules/sca: add check for empty AoR in lock_shared_appearance calls.
    
    - Sanity checking

commit 6cdc9c4f3e915fbad5da1112b9e0553726e877f2
Author: Andrew Mortensen <admorten@isc.upenn.edu>
Date:   Thu Apr 11 22:34:10 2013 -0400

    modules/sca: clear appearance on t_reply with error after receiving 18x.
    
    - Receiving a 18x provisional reply triggers line-seize subscription
      termination. Releasing the seized appearance while processing a t_reply
      with an error status *after* getting a 18x would fail because
      sca_subscription_terminate could not find a matching line-seize
      subscription. In that case, look up appearance by tags and release it.

commit 28978be4d825e08a455387209af6dda4aa4bdfde
Author: Charles Chance <charles.chance@sipcentric.com>
Date:   Fri Oct 4 18:40:42 2013 +0100

    dmq: fix memory leak in dmq_send_message()

commit cf4275d4cb16dce4cbac48ca946a66e9f1626c35
Author: Charles Chance <charles.chance@sipcentric.com>
Date:   Fri Oct 4 14:57:39 2013 +0100

    memcached: fix memory leak, discovered on a report by Dragos Oancea

commit 0f3a566dd699090cf6a558edc3aefac2c41e24e5
Author: Henning Westerholt <hw@kamailio.org>
Date:   Fri Oct 4 14:47:06 2013 +0200

    memcached: comment clarification for wrapper for libmemcache callbacks

commit 0978c77d694cecd1b7813775a498f6495ae844dc
Author: Henning Westerholt <hw@kamailio.org>
Date:   Fri Oct 4 14:22:39 2013 +0200

    avpops: add a note to the docs that avp_db_query is deprecated and sqlops is better

commit 673243a06200b8961756ebe3957bf9bd9059c2bb
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Oct 4 13:11:23 2013 +0200

    nathelper: updated docs with udpping_from_path

commit 565ba8d4b71ae5a43027c51e3caf06f20a10b14d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Oct 4 13:07:44 2013 +0200

    nathelper: new mod param - udpping_from_path
    
    - enable sending UDP pings with raw sockets from Path address
    - patch by Marcus Hunger

commit 9bb88b5b22901b258fdbcd874264b823a8443869
Author: Juha Heinanen <jh@tutpro.com>
Date:   Fri Oct 4 14:04:22 2013 +0300

    dialplan: improved debug messages so that used dpid is shown

commit 88e2da3c54a1cef967d96a5753b1f7f014ba689e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Oct 4 12:14:25 2013 +0200

    acc: time_format parameter documentation
    
    - eclosed exaples in dotted lines like in most modules to highlight them
      on text output

commit df4fbc220efd333fa638831167dd4fe5e69a89a2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Oct 4 12:02:32 2013 +0200

    acc: new parameter acc_time_format
    
    - specify the format to print time as string for acc_time_mode=3 (using
      localtime) and acc_time_mode=4 (using gmtime)
    - default value is "%Y-%m-%d %H:%M:%S"

commit fed0a07d86c9e4d365cb7a5e25d4aaacb4b9adf2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Oct 3 10:00:22 2013 +0200

    dialog: fixed typos in log messages

commit f12aa1b3c16b475029f0a3474b30f3b17ea18056
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Oct 3 09:58:04 2013 +0200

    dialog: decode alias parameter from contact address and use it as dst uri
    
    - makes dialog module to work with set_contact_alias() as first hop
      after a nat router

commit a41cb60d5171566e13f18b45f50d173f38d206c0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Oct 3 09:37:54 2013 +0200

    nathelper: documentation for set_contact_alias()

commit 58659b0cabb623c6420c186755c968b4550ff09c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Oct 3 09:16:38 2013 +0200

    nathelper: set_contact_alias() new function for adding alias parameter to contact uri
    
    - similar to add_contact_alias(), but this works like
      fix_nated_contact(), in the way that new contact uri is immediately
      visible to other modules (e.g., dialog, presence)

commit 217f9fddbca31e06075132dd75a645d612d7af93
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Oct 3 09:13:39 2013 +0200

    core: helper functions to add or restore alias parameter to an uri

commit 639ce584258f2c2ad4331bbd9ae2599a86edc80b
Author: Carlos Ruiz Diaz <carlos.ruizdiaz@gmail.com>
Date:   Thu Oct 3 11:56:13 2013 -0400

    ims_charging: read diameter AVP MAC value dynamically from $avp
    
    - $avp(ro_mac_value) can be either present or not. In case it is not, default value is used
    - $avp(cca_result_code) now supports interpolation

commit 753e93d3ad1658c104963c208c4e36b23c1dd307
Author: Robert Boisvert <rdboisvert@gmail.com>
Date:   Thu Oct 3 09:22:54 2013 +0300

    modules/mohqueue: pull changes from upstream
    
    Merges up to upstream commit a3f679430d853d5b1b71ba92d8547ca2c86509ec.
    
    Changes in code:
    * fixes RTP stop not being sent
    * use pcbp->req instead of -> in rtp_destroy
    * fixed uninitialized varbs
    * use close_call () for no response on INVITE
    * changed to return handled if reINVITE sent
    * switched to using fixup_svpe functions
    
    Documentation:
    * added comment about rtpproxy limit
    * adjusted to remove hold sequence in transfer out

commit 9978906d39071908234f0236ea8693844a3c5ba1
Author: Charles Chance <charles.chance@sipcentric.com>
Date:   Thu Oct 3 05:59:09 2013 +0100

    dmq: regenerated readme

commit 3f6445f4620e3866dc859b9cfb6710e28bd407e5
Author: Charles Chance <charles.chance@sipcentric.com>
Date:   Thu Oct 3 05:54:01 2013 +0100

    dmq: add content-type header

commit 127bf3d5be959a1287ae0fac91cf89e27ed01f42
Author: Peter Dunkley <peter.dunkley@crocodilertc.net>
Date:   Wed Oct 2 22:14:15 2013 +0100

    pkg/kamailio/centos: put core files in /tmp on CentOS

commit b2c5c598a38c770c2c4a7aef7c8267ad43fc6cd7
Author: Juha Heinanen <jh@tutpro.com>
Date:   Wed Oct 2 20:39:22 2013 +0300

    modules/db_mysql: use autocommit var to start and stop transactions

commit f5aec1db89664ad3b1a5d20ac81da4acda7d1d92
Author: Carsten Bock <carsten@ng-voice.com>
Date:   Wed Oct 2 17:21:11 2013 +0200

    ims_charging: docs: Fixed linebreaks in examples, regenerated README

commit 6faf12653c1db9f011b1826061824c831bda3f58
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Oct 2 16:43:35 2013 +0200

    memcached: use pv buffer to clone the memcache value in pv strucutre
    
    - avoid leak occured by usage of pkg_str_dup()
    - reported by Dragos Oancea

commit 9909e05d46d0cdd22227b3b8c1b1d60253a135e2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Oct 2 16:43:12 2013 +0200

    memcached: use pkg-config if available for flags and libs in Makefile

commit 3f3c865ed04e1b0b8eb3762622662a76ce92b2e2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Oct 2 14:23:53 2013 +0200

    core: helper function to get source address as uri or proxy format

commit 5db86a941a909c17a0f9ee1b04febbe4c60033bd
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Oct 2 14:15:18 2013 +0200

    core: skip dns srv for websocket after check if domain is ip
    
    - reported by Peter Dunkley

commit 49720ce99e72ded34c67a9ee4d17a9cedaf0a0f4
Author: Hugh Waite <hugh.waite@crocodile-rcs.com>
Date:   Wed Oct 2 10:04:35 2013 +0100

    xcap_server: Fix memory allocation check bug in xcap_misc
    
    - Would cause crash if out of package memory

commit 93af236644058b4e97162eae689f9b32b8076691
Author: Timo TerÃ¤s <timo.teras@iki.fi>
Date:   Wed Oct 2 09:05:22 2013 +0300

    mohqueue: new module
    
    module to queue up calls in music-on-hold and then retrieve them
    
    imported from https://github.com/rdboisvert/mohqueue
    commit f796f259ed1728e19adb31d76af5f6c3f548f021
    
    excluding LICENSE which is redundant now that the module is part
    of the kamailio source tree.

commit fd9fcd75c222b73a2b70793e5d79c7494f757a1e
Author: Peter Dunkley <peter.dunkley@crocodilertc.net>
Date:   Wed Oct 2 01:30:37 2013 +0100

    modules/auth_ephemeral: Added MI commands for shared secret management
    
    - Can add, remove, and display shared secrets with MI commands
    - This means you can add/revoke secrets without a restart

commit 6c7a0f3cdaee5ea0300d014f07e4d68f45c6e20b
Author: Peter Dunkley <peter.dunkley@crocodilertc.net>
Date:   Wed Oct 2 01:29:45 2013 +0100

    modules/websocket: tidied up MI commands
    
    - Fixed leak in error situations
    - Improved error responses

commit 1c74725dc14fc40d9b553950e212241821351878
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Oct 1 23:18:07 2013 +0200

    core: don't attempt srv lookup for proto ws or wss

commit 2934e46a18d9cfba05e657bc1dbbaa559a31b103
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Oct 1 23:03:32 2013 +0200

    registrar: fix compile warning after previous patch

commit 6cfd13cbddd1869ffbc947fdecd77d18a3fcb886
Author: Peter Dunkley <peter.dunkley@crocodilertc.net>
Date:   Tue Oct 1 10:52:01 2013 +0100

    core: fix TCP connection leak
    
    - patch provided by Vitally Aleksandrov

commit b5b570f278124bf0456d43a36a7c0eb5eaa9efe6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Oct 1 09:34:17 2013 +0200

    tm: added t_use_uac_headers() to documentation

commit 0e71fec1e108e1c9b97486ced8c1328738ca13c2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Oct 1 09:27:46 2013 +0200

    tm: new function t_use_uac_headers()
    
    - set internal flags to tell tm to use UAC side for building headers for
      local generated requests (ACK, CANCEL) - useful when changing From/To
      headers using other functions than uac_replace_[from|to]()

commit 5ac033cf85921b4c364d6d463bc75ebd22c5721a
Author: Peter Dunkley <peter.dunkley@crocodilertc.net>
Date:   Mon Sep 30 23:38:56 2013 +0100

    pkg/kamailio/centos: Added ims_charging module to .spec
    
    - Removed cdp package and put cdp and cdp_avp modules into ims package

commit 576dce3cfdbf3cfa36fcac4f26aa3312f4add37a
Merge: 1c3e761 f96c7f5
Author: Carsten Bock <carsten@ng-voice.com>
Date:   Mon Sep 30 22:38:42 2013 +0200

    ims_charging: New module for Diameter-Ro-Operations (IMS-Charging), Merge into Master
    
    Credits go to:
    - Jason Penton (jason.penton@gmail.com)
    - Carlos Ruiz Diaz (carlos@ng-voice.com)
    
    Merge branch 'ims_charging'

commit f96c7f5a44e510dbc0e3483d98c8484a6a603c23
Merge: 8b3d53b 792fc3c
Author: Carsten Bock <carsten@ng-voice.com>
Date:   Mon Sep 30 22:36:35 2013 +0200

    Merge branch 'tmp/ims_charging' of ssh://git.sip-router.org/sip-router into ims_charging
    
    Conflicts:
    	modules/ims_charging/README
    	modules/ims_charging/doc/ims_charging.xml
    	modules/ims_charging/doc/ims_charging_admin.xml
    	modules/ims_charging/mod.c

commit 8b3d53b35f22c2de2203450af23dd8282ba8a7bc
Author: Carsten Bock <carsten@ng-voice.com>
Date:   Mon Sep 30 20:46:30 2013 +0200

    ims_charging: Beautified XML-Doc for IMS-Charging

commit 1200242cadb445988b7e582fe62a3662caf99586
Author: Carlos Ruiz Diaz <carlos.ruizdiaz@gmail.com>
Date:   Mon Sep 30 14:40:54 2013 -0400

    ims_charging: added some stats
    
    - billed_secs
    - ccr_avg_response_time
    - ccr_responses_time
    - failed_final_ccrs
    - failed_initial_ccrs
    - failed_interim_ccr
    - final_ccrs
    - initial_ccrs
    - interim_ccrs
    - killed_calls
    - successful_final_ccrs
    - successful_initial_ccrs
    - successful_interim_ccr

commit 4a050987a20a7489f08d9b7e88566439a764d013
Author: Carsten Bock <carsten@ng-voice.com>
Date:   Mon Sep 30 13:30:41 2013 +0200

    ims_charging: Regenerated README after documentation update

commit a0bdd980634635ca00a3ce87ac0ea03070b2a6ea
Author: Carsten Bock <carsten@ng-voice.com>
Date:   Mon Sep 30 13:30:38 2013 +0200

    ims_charging: Fixed minor typos in ims_charging-documentation

commit e9c7039efe2df811ba6e09829e7b713e5a25a808
Author: Carsten Bock <carsten@ng-voice.com>
Date:   Mon Sep 30 13:24:51 2013 +0200

    ims_charging: Regenerated README after documentation update

commit 46e1160be51d5c731fa1380f23d9d6dd0ca76f26
Author: Carsten Bock <carsten@ng-voice.com>
Date:   Mon Sep 30 13:23:05 2013 +0200

    ims_charging: Fixed minor typos in ims_charging-documentation

commit c689a44ad13b430ac425e0efd46badf4ad021950
Author: Carsten Bock <carsten@ng-voice.com>
Date:   Mon Sep 30 13:21:04 2013 +0200

    ims_charging: Fixed minor typos in ims_charging-documentation

commit 5b3ef601025eeeda556b433b6257beaf88a7ee91
Author: Carsten Bock <carsten@ng-voice.com>
Date:   Mon Sep 30 13:20:04 2013 +0200

    ims_charging: Fixed minor typos in ims_charging-documentation

commit ad7fb226901ca6ebc6119df0994054ba51100951
Author: Carsten Bock <carsten@ng-voice.com>
Date:   Mon Sep 30 13:16:20 2013 +0200

    ims_charging: Fixed minor typos in ims_charging-documentation

commit b9c8f31cfba447326869c32c87cb728c04ec0e28
Author: Carsten Bock <carsten@ng-voice.com>
Date:   Mon Sep 30 12:58:56 2013 +0200

    ims_charging: Documentation updates.

commit 792fc3cbc1a1181a482659ea5743681f1a52b911
Author: Carlos Ruiz Diaz <carlos.ruizdiaz@gmail.com>
Date:   Mon Sep 30 15:57:23 2013 -0400

    ims_charging: updated documentation

commit 6fdc83ecd7fa5313635a0041e76498704b0c8225
Author: Carsten Bock <carsten@ng-voice.com>
Date:   Mon Sep 30 20:46:30 2013 +0200

    Beautified XML-Doc for IMS-Charging

commit ef073a82f81af6e51dff19dcadfe4a8cb760c07d
Author: Carlos Ruiz Diaz <carlos.ruizdiaz@gmail.com>
Date:   Mon Sep 30 14:40:54 2013 -0400

    ims_charging: added some stats
    
    - billed_secs
    - ccr_avg_response_time
    - ccr_responses_time
    - failed_final_ccrs
    - failed_initial_ccrs
    - failed_interim_ccr
    - final_ccrs
    - initial_ccrs
    - interim_ccrs
    - killed_calls
    - successful_final_ccrs
    - successful_initial_ccrs
    - successful_interim_ccr

commit 1c3e761fbd087ee578ce305d89f6b8ee4e9ab79d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Sep 30 16:49:26 2013 +0200

    app_perl: use local buffer to print dynamic string in pv_sprintf()
    
    - avoid pkg malloc for temporary need
    - fix leak in case of fmt parse error, discovered on a report by Dragos
      Oancea

commit 0696e668d75be14922980dbc9f67aa91eaf688fd
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Sep 30 15:54:44 2013 +0200

    registrar: simplified getting value for max_contacts xavp

commit 308f2920df586065e0bf8ef02d7c77b1c94a4836
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Sep 30 15:49:10 2013 +0200

    registrar: option to take the socket from an xavp
    
    - child named "socket" of xavp named by xavp_cfg parameter

commit 89bd52a84d5e0d75572caff61346d0c3750c868a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Sep 30 15:47:30 2013 +0200

    core: helper functions to get xavp child nodes
    
    - one function to get the $xavp(rootname=>childname) in code
    - wrappers for child node, child node with int value and child node with str value

commit e266b01116513a4fcea5df1c761ef1981e17f8f8
Author: Carsten Bock <carsten@ng-voice.com>
Date:   Mon Sep 30 13:30:41 2013 +0200

    Regenerated README after documentation update

commit e98012e859ea6dd2c198d650f272d3e489758a22
Author: Carsten Bock <carsten@ng-voice.com>
Date:   Mon Sep 30 13:30:38 2013 +0200

    Fixed minor typos in ims_charging-documentation

commit 1265420b8b700eec9c96fd7752a5c3d528a51c32
Author: Carsten Bock <carsten@ng-voice.com>
Date:   Mon Sep 30 13:24:51 2013 +0200

    Regenerated README after documentation update

commit bcdc27641fbec8176cea19fd4cefad1830a5c4db
Author: Carsten Bock <carsten@ng-voice.com>
Date:   Mon Sep 30 13:23:05 2013 +0200

    Fixed minor typos in ims_charging-documentation

commit ba0299bd965de8d513d70151c11bf13c4ec11560
Author: Carsten Bock <carsten@ng-voice.com>
Date:   Mon Sep 30 13:21:04 2013 +0200

    Fixed minor typos in ims_charging-documentation

commit e8a054d0e684b8f73bd0733d7d00d5e6b5e9b23f
Author: Carsten Bock <carsten@ng-voice.com>
Date:   Mon Sep 30 13:20:04 2013 +0200

    Fixed minor typos in ims_charging-documentation

commit 364dc576f602db40e93f446443e278290609237b
Author: Carsten Bock <carsten@ng-voice.com>
Date:   Mon Sep 30 13:16:20 2013 +0200

    Fixed minor typos in ims_charging-documentation

commit 4af2d9a46f1b7be273c079040989bd0d0c884feb
Author: Carsten Bock <carsten@ng-voice.com>
Date:   Mon Sep 30 12:58:56 2013 +0200

    Documentation updates.

commit 3c7f8ba5e3febe4dc2c8eec003436492efefdf2d
Merge: 5ab44c7 b50888c
Author: Jason Penton <jason.penton@smilecoms.com>
Date:   Mon Sep 30 11:21:31 2013 +0200

    Merge branch 'master' of ssh://git.sip-router.org/sip-router

commit b50888cf447ea3a3315e665c97f71a07bb687337
Author: Ãyvind Kolbu <oyvind.kolbu@usit.uio.no>
Date:   Mon Sep 30 11:15:13 2013 +0200

    core: resolve down to A/AAAA records when no naptr records
    
    - try all protocols, not only UDP

commit 5ab44c7c2fc78038302bf455ff49e374fc79550b
Author: Jason Penton <jason.penton@smilecoms.com>
Date:   Mon Sep 30 11:14:54 2013 +0200

    modules/tm: extended async usage
    	- enables resuming of tx in orginal route block tx was suspended, not only failure route
    	- dedicated lock to prevent multiple invocations of suspend on tz (reply lock used to be used)
    	- extra flag (T_ASYNC_CONTINUE) to mark a transaction that is being execute post suspend

commit 6cdae87e29bc4c62651cf843ace680e9a6999d66
Author: Peter Dunkley <peter.dunkley@crocodilertc.net>
Date:   Sat Sep 28 00:30:50 2013 +0100

    pkg/kamailio/centos: updates to CentOS 6 build
    
    - Improved startup scripts
    - Updated .spec
    - README listing and explaining which Kamailio modules are not built for
      CentOS

commit 32e26c3e914366636e4dcc6e8872eea16740e090
Author: Carlos Ruiz Diaz <carlos.ruizdiaz@gmail.com>
Date:   Fri Sep 27 16:05:17 2013 -0400

    ims_charging: added async support
    
    - Ro_ccr is now called asynchronously and resumed on an external custom cfg route
    - Interim and final CCR are now also async

commit 257ca31bb89cb4cb74cad226998574469873bc3b
Author: Peter Dunkley <peter.dunkley@crocodilertc.net>
Date:   Thu Sep 26 23:59:53 2013 +0100

    pkg/kamailio/centos: updated .spec for CentOS 6
    
    - Added gzcompress
    - Updated rel to dev9

commit ac5d846e2e472b1c097992bc2bdcfb58100c6eaa
Author: Peter Dunkley <peter.dunkley@crocodilertc.net>
Date:   Thu Sep 26 23:27:31 2013 +0100

    xhttp: cache the URL string when performing transformations so sequential transformations on the same string do not require a reparse.

commit 96c9a85b607e5c42ec0f0709a2807a60e7d5b1c4
Author: Peter Dunkley <peter.dunkley@crocodilertc.net>
Date:   Thu Sep 26 23:26:38 2013 +0100

    pv: tweaked {param.} transformation so that if the (optional) delimiter parameter is changed between runs the param string is reparsed

commit ed23dbde621a4b60d35639d3c61284b658fb6ad1
Author: Carsten Bock <carsten@ng-voice.com>
Date:   Thu Sep 26 20:21:11 2013 +0200

    Move assert_identity to ims_usrloc_pcscf as we may have more than one IMPI per Port/IP/Proto

commit 78d25dd11a64f36c5372cff3fe5d8a65a0e13396
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Sep 26 15:10:22 2013 +0200

    db_mysql: unlock tables at the end of transaction if they were locked

commit 8e35cef8716bbd0caa406a5080e93acb3c881c41
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Sep 26 13:23:46 2013 +0200

    presence_xml: updated docs about integrated_xcap_server

commit baa4fccc2870df102a66089d6e9b6ca1ff47fc25
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Sep 26 12:59:59 2013 +0200

    mi_rpc: compatibility with libxmlrpc-c3 library on wheezy
    
    - patch by Muhammad Shahzad

commit 378bd71de3b035b497469f89a640931d0792ce4f
Author: Peter Dunkley <peter.dunkley@crocodilertc.net>
Date:   Wed Sep 25 16:12:50 2013 +0100

    xhttp: added transformation to break a URL into "path" and "querystring"

commit 454a28dad2fef3f1adaf0acec9a7f1c320fe6571
Author: Peter Dunkley <peter.dunkley@crocodilertc.net>
Date:   Wed Sep 25 16:11:57 2013 +0100

    pv: updated param transformations so that you can (optionally) specify what the parameter delimiter is
    
    - default behaviour unchanged
    - this allows HTTP URL parameters to be decoded

commit e0abe290c6ff287574e2abcadcc7a0f11197e268
Author: Peter Dunkley <peter.dunkley@crocodilertc.net>
Date:   Wed Sep 25 16:11:23 2013 +0100

    core: updated parse_param so that the delimiter for parameters can be user-defined

commit b6b5b7bf5d08ad20cc00cf89ef3d2f03e913c882
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon Sep 23 21:30:32 2013 +0200

    avpops: refresh README

commit 3abb169001022567aa0be629677b9e445d1c3ca5
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Sep 21 11:26:45 2013 +0200

    avpops: update avp_check documentation related to xavp vars as parameters

commit dd049bad86eca2371b8f6ae1fd73656ff56e4e15
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Sep 21 10:49:57 2013 +0200

    avops: avp_check() xavp as first parameter

commit 8a6a4f5d38ac693e7a79e0e761521375f3f5405b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Sep 23 20:06:20 2013 +0200

    gzcompress: removed empty section in functions chapter
    
    - use deflate overall config example

commit 65783f24859f5da45678f2c8a005ca867cc02b86
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Sep 23 19:01:10 2013 +0200

    gzcompress: added a small usage example in docs

commit 3c65fd74f2473e857996ae1abf2d8fb8dcfaaaab
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Sep 23 18:50:14 2013 +0200

    gzcompress: readme updated to reflect default encoding value to deflate

commit d1263e418b7acbcc6ac798e25fc8bbcd8483fcec
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Sep 23 18:49:06 2013 +0200

    gzcompress: default encoding header value set to deflate
    
    - it is what UA use for this zlib compression algorithm

commit adf32ec8b3e6329d1c75f158a11395a077fc54ea
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Sep 23 18:42:54 2013 +0200

    core: aliased http_reply_hack to http_reply_parse
    
    - a more relevant name for the core parameter that enables parsing http
      replies

commit d84a95b2dff1c373add8822ae7f1d9da495b5cd5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Sep 23 18:41:51 2013 +0200

    gzcompress: enable compression for http messages
    
    - tested replying with compressed body to an HTTP request from FireFox

commit 33557b2de1631601be9b03447e3167d06e8ce1cb
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Sep 23 18:40:48 2013 +0200

    parser: added macros to check if it is a SIP or HTTP reply

commit bd716593efb83d4124c0c0cb824bf158d547ca0d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Sep 21 00:10:43 2013 +0200

    gzcompress: new module to compress/decompress SIP message body using zlib

commit dcfa15de586e28a025e34590e800571b0e3abddf
Author: Charles Chance <charles.chance@sipcentric.com>
Date:   Fri Sep 20 21:07:30 2013 +0100

    dmq: code cleanup, remove redundant includes

commit 4b53052e3c912c927927529cd98a05957e02ab18
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Thu Sep 19 09:19:16 2013 -0400

    presence_conference: fix what it looks like a copy/paste error

commit 1af47db737d8ca6fcfc43f4abb3d3768f5a8257c
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Thu Sep 19 09:01:04 2013 -0400

    pdb: fix warning dereferencing type-punned pointer will break strict-aliasing rules [-Wstrict-aliasing]

commit 6592870dbd2b388b3884d85b9cc69e323f1d175a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Sep 20 15:00:14 2013 +0200

    sl: use global variable for event route index for local response
    
    - rt should have been no longer used after previous commit
    - reported by Ovidiu Sas

commit 8ca99e58442becd4513bb03730806c37f86f0d8f
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Sep 20 13:38:29 2013 +0200

    pv: use pv_get_buffer on pv_core

commit 039081166803f4be4226026e51f43ee9793876a3
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Sep 19 13:27:21 2013 +0200

    pv: get all values for second key for xavp

commit 16f87ae1b1f78938ed56a7c9a336a2853022b86c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Sep 20 13:39:15 2013 +0200

    sl: lookup event route for local response at startup
    
    - group lookup of sl event routes in one function

commit f8697d13be92a79bdfcfd6a824d5e312f7b0d9e0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Sep 20 11:20:42 2013 +0200

    Makefile.defs: version set to 4.1.0-dev9

commit e35fe9c6095361414565b1099dea1ad5950fb38d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Sep 20 11:18:09 2013 +0200

    registrar: note about empty value for received_param

commit 2f213e313a86e16665f6d0acfec959bf23f72b7d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Sep 20 11:15:16 2013 +0200

    registrar: if rcv_parm value is empty, don't add received to contacts in 200ok reply
    
    - otherwise results in malformed value

commit 664b2f30de6518636085d676a32247c7d46bd2da
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Sep 20 11:09:15 2013 +0200

    registrar: list of allowed route blocks updated for save()

commit e2376e34fbabd929d0736bddb8e82ceb25cc3738
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Sep 20 11:07:31 2013 +0200

    registrar: relax usage of save() for failure route

commit 0968ce561b3bb8ea2ad2c7c53c03091e8518a6fe
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Sep 20 11:08:52 2013 +0200

    avpops: allow xavp semantics on second parameter

commit df472fa9bdaa1a796dd220c99a64b1539c8854b5
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Sep 20 11:07:14 2013 +0200

    pv: Move pv_xavp_name_t declaration to core pvar.h

commit 5acf191aee9d10b26b730df20d622e527c656db3
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Wed Sep 18 17:10:10 2013 -0400

    xcap_client: fix what it seems to be an old copy/paste error

commit 11ea7e73f0b541c2759d89a125b69a23cecb9ba9
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Wed Sep 18 16:57:56 2013 -0400

    xcap_client: fix what it seems to be an old copy/paste error

commit e45df83ddb68a90e91cc99fcdbb364f7b09ea541
Author: Peter Dunkley <peter.dunkley@crocodilertc.net>
Date:   Thu Sep 19 18:15:21 2013 +0100

    modules/auth_ephemeral: many improvements
    
    - Some general tidying up of the code
    - Support for both draft-uberti-rtcweb-turn-rest format usernames
      and the original format
    - New non-digest authenticate function that can be used to authenticate
      WebSocket handshakes (based on URL and Cookie: contents) - this means no SIP
      level authentication is required for WebSocket traffic
    - Check functions to verify that the From:/To: URIs match the user-string part
      of ephemeral usernames
    - Check function so you can re-check the timestamp (for example, when caching the
      ephemeral username during WebSocket handshakes you may want to check it is still
      valid when a SIP request arrives)

commit f7fe8b68ffb100fbaa27344e4bee7ba69c760584
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Sep 19 15:59:18 2013 +0200

    pkg: kamailio - provide -f $CFGFILE to init.d config check function
    
    - reported by Grant Bagdasarian

commit 7730b5c3cf6b889f34de6004ce87341c746968ca
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Sep 19 15:50:29 2013 +0200

    core: msg_ldata_t field is memset to 0 in the shm clone

commit 859a322a1f664fcdd9563619fa0448be2911aa07
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Sep 19 15:49:48 2013 +0200

    outbound: updated access cached flow through local data structire in sip_msg_t

commit 4b99ad9e3bc364745d21eef11a392168eeb17077
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Sep 19 15:49:17 2013 +0200

    tm: reset local data structure for faked request after failure handlers

commit 949e1f3c3e1f1afa02c696403399a093905c3f0a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Sep 19 15:45:43 2013 +0200

    parser: refactored a bit sip_msg_t struct for extra fields needed per process
    
    - a new structure to keep cached decoded flow for outbound, previously
      was declared inline
    - easier to reset it for shm clone and tm faked environment
    - new fields that are needed inside the sip_msg_t but not cloned in shm,
      must be added in the msg_ldata_t structure, accessible via ldv field

commit a3a8457e9bfe4dea48c0acd7421952014346a907
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Sep 19 15:17:38 2013 +0200

    core: fix for warning dereferencing type-punned pointer will break strict-aliasing rules
    
    - related to timer list operation

commit 10cc1dd7a3f4481c677022e7ff0da87f004077f0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Sep 19 15:12:29 2013 +0200

    parser: added note about new fields in sip_msg_t

commit 659b920399ee2a75973c610f5dec4c6292903f67
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Sep 19 13:25:41 2013 +0200

    core: set to NULL the pointers to several sip msg fileds in cloned structure
    
    - instance, ruid and location_ua are reset to null for the clone in shm,
      otherwise they point to pkg and the shm can be used from other
      process, resulting in crash
    - reported and credits for testing and troubleshooting to Alex Balashov

commit cebbacc3167f0fd4a4f3fd96393b5cf85e13d861
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Sep 19 13:24:57 2013 +0200

    tm: faked request fields are freed using wrapper functions from core

commit cae9659766c84e9451e4ea41e61bf85337c89693
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Sep 19 13:23:53 2013 +0200

    parser: use wrapper functions to reset fields in sip_msg_t
    
    - used for freeing the structure

commit deb007275ae6444037e74c82a48fc879a0cc98ad
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Sep 19 12:34:33 2013 +0200

    parser: ppi/pai - fix warning dereferencing type-punned pointer will break strict-aliasing rules

commit aa9f500c80cb5372c40f1eb7f18b4e33dcd6acf5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Sep 19 12:27:35 2013 +0200

    core: a bit of cleaning in sip_msg_t comments

commit 8bb61ea287ccf670ef9cfe990d319249eafbe7c5
Author: Hugh Waite <hugh.waite@crocodile-rcs.com>
Date:   Wed Sep 18 21:58:12 2013 +0100

    modules/app_lua: Fix off-by-one error in modf
    
    - Fixes calling sr.modf with additional parameters

commit 771e9093e343951e12f4875692e9ecc567a277a1
Author: Hugh Waite <hugh.waite@crocodile-rcs.com>
Date:   Wed Sep 18 21:34:16 2013 +0100

    modules/sdpops: Check for valid sdp body in sdp_remove_line_by_prefix
    
    - Fixes crash when used on requests with no body

commit b9c6e70871085e63add429984eac8ee7afc9e49e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Sep 19 00:09:55 2013 +0200

    README: updated version number
    
    - bits of formatting for ToC

commit 89969601d66422fd4dab50b0bb303bb17465c193
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Sep 18 22:23:41 2013 +0200

    pua_reginfo: documented the parameter for reginfo_handle_notify()
    
    - reported in FS#340

commit 9ee44c6079c8d30138ece619295974e17993aa04
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Sep 18 22:17:55 2013 +0200

    pua_reginfo: add ruid for location records
    
    - patch by Wonbin Cho, FS#339

commit ed6884e854cdae63c4f62871a32bdcdcddb8853e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Sep 18 22:02:04 2013 +0200

    pua_reginfo: unlock udomain only when aor is set
    
    - patch by Wonbin Cho, FS#338

commit 3bc87f139bc9635e23a4e92b03d24e00b97706dd
Author: Carlos Ruiz Diaz <carlos.ruizdiaz@gmail.com>
Date:   Wed Sep 18 13:39:23 2013 -0400

    ims_registrar_scscf: fixed bug caused by uninitialized global variable
    
    - "rerrno" variable was not initialized and caused corruption in transaction states

commit 96e760147469a385a0b5512f74afcff8f56cafd1
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Tue Sep 17 09:24:51 2013 -0400

    dispatcher: fix mi/rpc reload command

commit 5e775ff328b73b816e61a0a4718b194591a98251
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Sep 18 14:15:17 2013 +0200

    avops: use pv_cache_get instead of pv_parse_spec.

commit 519de2cdd1ed7fb969d3bb2cf5792d4180078cbb
Author: Juha Heinanen <jh@tutpro.com>
Date:   Wed Sep 18 08:18:33 2013 +0300

    modules/lcr: fixed checking of IPv4 address in to_any_gw_2 function
    
    - Patch was provided by Reinier Boon.

commit af8923703276bb41ea269cc19a7812fea325a250
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Sep 17 15:00:37 2013 +0200

    debugger: reset_msgid parameter was in functions sections
    
    - added some section ids

commit 2710177c2673034d3f026dfa79432e986b8c3a90
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Sep 17 14:55:07 2013 +0200

    debugger: documentation for cfgpkgcheck parameter

commit d1e456b251602e1336e4dbede1e9f8b5d1c19415
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Sep 17 14:47:49 2013 +0200

    debugger: new parameter cfgpkgcheck to do pkg memory check before each action

commit af7c3a816529cde599af9a62bfd174b2de3a2fb6
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Sun Sep 15 18:10:06 2013 -0400

    xmlrpc: fix warning: Ã¢c.lenÃ¢ay be used uninitialized in this function [-Wmaybe-uninitialized]

commit 78a1c7e972b66c882e9466404d1cb6c08982eb91
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Sun Sep 15 18:06:18 2013 -0400

    ipops: fix warning: variable Ã¢tÃ¢et but not used [-Wunused-but-set-variable]

commit aa15067b8a1f44d57551f646acd5058c08abe41f
Author: Mikko Lehto <mslehto@iki.fi>
Date:   Sun Sep 15 16:55:04 2013 -0400

    rtpproxy(-ng): patch: has_sdp() does not exist

commit d1219dc0d0c5e2eab0672a439aa7ce6486c31ba3
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Sun Sep 15 16:38:34 2013 -0400

    xhttp_pi: fix crash when checking bad configs

commit a68e48bc3c322be79a608d91f40d10329c2e9664
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Sep 16 20:31:44 2013 +0200

    corex: new pv $cfg(key) - return attributes for config file
    
    - $cfg(line) - the line of the current action.
    - $cfg(name) - the name of the current conf file
    
    Example of usage:
    
    append_to_reply("P-Cfg-Line: $cfg(line)\r\n");

commit ca568ee6996cc93e8518f277cf34111bc0c78299
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Sep 16 09:53:15 2013 +0200

    core: added wrapper functions to return cfg line and name for current action

commit 4294b7bf3b67f1405869e865c171e268e60d5ee7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Sep 15 22:35:38 2013 +0200

    core: store current executed cfg action in a global variable
    
    - can be retrieved by module to access name of config file and the line

commit e63af00eaa92eed106356cbb1dd6afd8b09f3e69
Author: Charles Chance <charles.chance@sipcentric.com>
Date:   Sun Sep 15 23:38:56 2013 +0100

    dmq: added dmq_load_api to exported functions

commit 923d09f0c1ece04c8d3c2755b5b201b3a2cd2deb
Author: Charles Chance <charles.chance@sipcentric.com>
Date:   Sun Sep 15 23:38:45 2013 +0100

    dmq: regenerated readme

commit b44f00adbf57cb4306a0dcde7a8a1425afe40a8f
Author: Charles Chance <charles.chance@sipcentric.com>
Date:   Sun Sep 15 23:38:30 2013 +0100

    dmq: updated documentation

commit 102074ce6085f963ac03dcb087e1c00941c0337d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Sep 14 09:46:50 2013 +0200

    tm: readme regenerated

commit f328b864418020b1e166b13804fe173110500d75
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Sep 14 09:46:23 2013 +0200

    tm: added missing documentation for t_check_status()

commit 6a51d9e87ac2e51a3c0473e11b3347739ec33dd8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Sep 13 13:47:00 2013 +0200

    textops: free result of subst transformation when is larger than target buffer

commit 56d02f02627bb1d2eca7befaaefbed17ced1f52f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Sep 13 11:08:48 2013 +0200

    usrloc: fixed xml tags and regenerated readme

commit 605360798fbad43cbd3ef1aca3ae76cd9c95c50f
Author: Vitaliy Aleksandrov <vitalik.voip@gmail.com>
Date:   Fri Sep 13 11:05:07 2013 +0200

    usrloc: update connection id for registration refresh

commit f3190358e02141c98304c4c0019bba95490da32c
Author: Peter Dunkley <peter.dunkley@crocodilertc.net>
Date:   Thu Sep 12 22:54:35 2013 +0100

    pkg/kamailio/centos: moved stun from it's own RPM to the main RPM
    
    - stun no longer has external dependencies and doesn't need to be in its own
      RPM

commit 291d6ece47d164d64487c8545de87c64fdc31718
Author: Peter Dunkley <peter.dunkley@crocodilertc.net>
Date:   Thu Sep 12 22:41:37 2013 +0100

    Makefiles: moved stun to the standard module group now that it has no external dependencies

commit 42722f3e70d3316b7c6881907b626b02303d58a6
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Thu Sep 12 16:36:28 2013 +0100

    modules/stun: removed dependency on OpenSSL

commit 0d0c4cc11022a62edfcf5041b36fe4cf5ca95a4d
Merge: 5651be2 6cea922
Author: Carsten Bock <Carsten.Bock@silentcircle-llc.com>
Date:   Thu Sep 12 17:16:09 2013 +0200

    Added support for HTTP-Post to utils: http_query
    
    Merge branch 'carstenbock/utils_post'

commit 5651be2fa5a5d923a89aa70a050d23bcbfda9c38
Author: Peter Dunkley <peter.dunkley@crocodilertc.net>
Date:   Wed Sep 11 13:09:31 2013 +0100

    pkg/kamailio/centos: CentOS build updates
    
    - CentOS .spec is now separate from Fedora .spec. This is because I no
      longer have a Fedora system to test/maintain this on. Old .spec with
      Fedora support is in pkg/kamailio/fedora and can be taken on by
      someone else if needed.
    - Updated rel in .spec to dev8

commit 0f7bc9da0d132720531f3176ee216466f5877146
Author: Peter Dunkley <peter.dunkley@crocodilertc.net>
Date:   Wed Sep 11 11:30:50 2013 +0100

    core: Raspberry-pi builds now work without needing to specify extra flags

commit 6f17209a70e84d91976ea42b476ae248b9b37501
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Sep 10 14:14:52 2013 +0200

    kamdbctl: added missing dbuid tables group creation
    
    - patch by elactrum [at] jamailca.com

commit abf0026782c0ba4643feb25ded022e8c12725584
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon Sep 9 16:52:47 2013 +0200

    uac_redirect: get_redirect() check reason value before using it.
    
    This fix a core dump when get_redirects() config fuction is called with just
    the one parameter.

commit 774752e4d12bd03f01362af55a5e422eade690b2
Author: Carsten Bock <carsten@ng-voice.com>
Date:   Thu Sep 5 19:10:15 2013 +0200

    Another Fix for the ims_charging Module:
    - Use P-Asserted-Identity instead of From-Header
    
    fixed by Carlos Ruiz DÃ­az (carlos@ng-voice.com)

commit 6dc04484e39ceab4887b375d2510f35892d695eb
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Sep 5 11:54:03 2013 +0200

    acc: for time_mode=1, save timestamp in time_attr and microsecs in time_exten
    
    - database records stores time as datetime value
    - new parameter time_exten to allow customization of attribute name

commit 367a0e72be1d5e5de0fa84ca2a8d11f7d5b54abe
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Sep 5 11:08:17 2013 +0200

    acc: fixed c&p typo of parameter name in docs

commit a722cee262664162f183e00788c2d53c4c98b217
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Sep 5 10:04:57 2013 +0200

    kamctl: added scripts to define table acc_cdrs

commit b91f07fce16f5feb0c31f7af59ab9351e274221f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Sep 5 10:04:14 2013 +0200

    lib/srdb1: added id for definition of column start_time in acc_cdrs table

commit dd3c6f19c18cf0c2844f2b2ce155e3f5d7af447a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Sep 5 10:02:01 2013 +0200

    lib/srdb1: initial db schema for acc_cdrs table

commit 9b44e4b48862947f2ea634c6dd611ce7c07546a2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Sep 4 22:59:13 2013 +0200

    registrar: reset r-uri pointer after backup in lookup_branches()
    
    - otherwise can be invalidated by next branch lookup

commit 37e63951b2b05875f07a1d30b8352e3f10a99072
Author: Carsten Bock <carsten@ng-voice.com>
Date:   Wed Sep 4 18:20:20 2013 +0200

    Bug-Fixes:
    - Use P-Asserted-Identity instead of From-Header as User in CCR
    - Store RURI in the ro_session structure (it may have been changed by an Application-Server)
    
    Fixed by: Carlos Ruiz DÃ­az (carlos@ng-voice.com)

commit 96c85efbc40a6d0571e8122cbad30410d2274b24
Author: Carsten Bock <carsten@ng-voice.com>
Date:   Wed Sep 4 14:27:47 2013 +0200

    Initial structure for the docs of the IMS-Charging module (incomplete)

commit 20399521b7df9e808f0999275132cc5460a0104b
Author: Carsten Bock <carsten@ng-voice.com>
Date:   Wed Sep 4 14:00:01 2013 +0200

    add IMS-Charging to Makefile.groups

commit 29cb7be4445995f73e9f425d99c9c5ee818c92de
Author: Hugh Waite <hugh.waite@crocodile-rcs.com>
Date:   Wed Sep 4 12:04:18 2013 +0100

    modules/rtpproxy-ng: Allow PV in second rtpproxy_manage parameter
    
    - Incorrect fixup function caused a crash when the second parameter was given

commit 362d374a61953aee3cf9f96eadaef63c5f22763e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Sep 4 13:04:23 2013 +0200

    topoh: safety check for missing To header
    
    - based on a patch by Michel de Weerd, FS#303

commit acbbae2af3cb2ad1a5b07a7305c5f9761bc78389
Author: Jason Penton <jason.penton@smilecoms.com>
Date:   Wed Sep 4 12:52:16 2013 +0200

    modules/ims_charging: new module for IMS charging
    	- currently supports Ro interface

commit 7abd496560c6274680d451f49355ad1f6a14a6a7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Sep 4 12:33:45 2013 +0200

    db_postgres: use variable for make tool in module Makefile
    
    - fixes builds in BSD systems
    - patch by Victor (coyote), FS#335

commit 2aa5095252f9434c7c2a63ecb130bdaf1346fde9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Sep 4 11:44:23 2013 +0200

    rtpproxy: updated rtpproxy_manage() to handle PRACKs with sdp

commit 72996942662b944b74e6632e1670c989402bf8af
Author: Vitaliy Aleksandrov <vitalik.voip@gmail.com>
Date:   Wed Sep 4 09:56:28 2013 +0200

    usrloc: detect lost tcp connnections on timer and set associated contact as expired
    
    - new module parameter to control this feature: handle_lost_tcp
    - at this moment it is not implemented for db only mode

commit 392a59ab1c12efee1072581f9519fc258444d086
Author: Vitaliy Aleksandrov <vitalik.voip@gmail.com>
Date:   Wed Sep 4 09:55:23 2013 +0200

    registrar: propagate tcp connection id in contact info structure

commit ea45a9b0ff6851d01e09aa62dfe9e7e006552609
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Sep 3 23:16:50 2013 +0200

    pua: basic framework for handling xcap-diff event

commit 0c15125767f8a9001e9c892fee18df3dbad56d2f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Sep 3 23:15:55 2013 +0200

    presence_xml: basic framework for handling xcap-diff event
    
    = can be diabled via modparam disable_xcapdiff

commit 70ec02cfc9a203ea100d6550be3aa5f51f4fa473
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Sep 3 16:16:30 2013 +0200

    acc: option to write dialog-based cdrs to database
    
    - new module parameter cdrs_table has to be set and classic db
      accounting enabled at compile time and db_url set
    - cdr_log_enable - new parameter to turn off writing cdrs to syslog,
      cdr_enable being now used as top level control flag for both cdrs to
      syslog or db

commit 4812b91a3c00e71a3ac9636b88bc75e5368fa657
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Sep 3 15:11:47 2013 +0200

    acc: increment crt position when adding extra time value

commit 4c917438596852b3870ce0236bad8cbd04961270
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Sep 3 14:31:58 2013 +0200

    Makefiles.defs: version set to 4.1.0-dev8

commit ea6514c2af00561643af6a2b671fbd4411048ca1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Sep 3 13:47:24 2013 +0200

    acc: updated readme with the new parameters

commit ede2d6747aabf32538797dfedf13682c5c242831
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Sep 3 13:35:08 2013 +0200

    acc: cast to double for safer conversion in time_mode==2

commit d7884500e89d32bffd34e915b473458645c6dedf
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Sep 3 13:28:54 2013 +0200

    acc: new parameter time_mode
    
    - store additional time value in time_attr attribute/db column
    - if time_mode==1, then time_attr stores the microseconds
    - if time_mode==2, then time_attr store the seconds.miliseconds
      (proposed by FS#163)
    - if time_mode==0 (default), then it is like now, only timestamp stored
    - time_attr value can be set via parameter with same name - it
      represents syslog value or db table column
    - for db accounting, when time_mode==1, the type of column has to be
      int, and for time_mode==2, the type of column has to be double
    - features implemented only for syslog and db accounting

commit 1cec15e057bdec4455e70af951def19e36a78e8e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Sep 2 14:09:18 2013 +0200

    kamctl: added commands to set extra columns in subscriber table
    
    - useful to deal with columns added for load_credentials of auth_db
      module
    - 'sets' - sets a column with string value
    - 'setn' - sets a column with numeric value

commit 7e44ff0be6cbb48c9360bee8601ec3dbff050c02
Author: Carlos Ruiz Diaz <carlos.ruizdiaz@gmail.com>
Date:   Sun Sep 1 19:56:57 2013 -0400

    Fixed potential bug in exceptional condition when max-time updated is called

commit 2685cd9bb6933c2d4b4b97e3b4ed6b98005255c9
Author: Juha Heinanen <jh@tutpro.com>
Date:   Thu Aug 29 17:05:41 2013 +0300

    parser/fline.c: syslog message cleanup when request line parsing fails

commit fbcee0221cd6e22477dc9d1d5a7767c1e572235a
Author: Richard Fuchs <rfuchs@sipwise.com>
Date:   Wed Aug 28 15:03:01 2013 -0400

    rtpproxy-ng: fix possible segfault in rtpproxy_manage
    
    Reported by Hugh Waite

commit e0e0a753d1365d340c17f33bd868085bee304910
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Aug 28 12:02:34 2013 +0200

    dialog: fixed typo related to module name inside log message

commit bf68c071723bda24b07e64660f77872e2bceff1b
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue Aug 27 18:43:39 2013 +0200

    permissions: fix ws support on allow_trusted function.
    
    Thanks to Alex Hermann <alex@speakup.nl>
    Reminder: Never commit with more than one glass of wine.

commit 14835f89fc2b761f73a0caad67d229ec3fedba29
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Aug 27 14:44:17 2013 +0200

    core: set to-params pointer to null after freeing
    
    - avoid potential double freeing issues or invalid pointer access

commit 727aa357d9ee8abcb8471733e22886d2cff386db
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Aug 27 14:00:17 2013 +0200

    kamdbctl: new command add-tables
    
    - creates only tables that are groupped under same id, thus have the sql
      script in a file
    - syntax: kamdbctl add-tables <gid>
    - there has to be a <gid>-create.sql script
    - eg: kamdbctl add-tables lcr

commit a075383454c92bed225b7904920090f515a938d5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Aug 27 11:16:52 2013 +0200

    kamctl: use FIFOPATH instead of OSER_FIFO in kamctlrc
    
    - no longer relation to former project name, however OSER_FIFO can still
      be set to keep the compatibility with older deployemnts, but will be
      used only when FIFOPATH is not explicitely set

commit 8097c2bccb2161f63900bbd5fb87a10eacdd282c
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue Aug 27 00:07:58 2013 +0200

    permissions: update allow_trusted documentation.

commit 573c9031a44168df356818f572f10f69791a1458
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue Aug 27 00:03:49 2013 +0200

    permissions: fix ws support on allow_trusted function.

commit b2a536f0f577026ffa57d0b603c60e6232bc8e78
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Aug 23 21:04:06 2013 +0200

    tm: readme regenerated

commit ef9b69bbb54302e9985dd37d79831b6f80463fc1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Aug 23 21:03:13 2013 +0200

    tm: removed note about no-implentation for no-reply flag for t_relay_to()

commit 6073949aa224ea7a973058891a88a58cc0841860
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Aug 23 21:02:24 2013 +0200

    tm: updated xml docs with t_set_disable_internal_reply()

commit 0f2f9c85eff0b6ad35b4c58dfcde74c8a65559d6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Aug 23 20:53:55 2013 +0200

    tm: re-added the option for no-internal reply on error
    
    - new function t_set_disable_internal_reply(0|1) to disable|enable this
      option per transaction
    - t_relay_to() flags re-enabled for this option

commit 7255693f73bae008e5c7b6b560c52394f7c85308
Author: Carsten Bock <carsten@ng-voice.com>
Date:   Fri Aug 23 17:29:43 2013 +0200

    Very basic DNS-Zone file-example for IMS (for use in the online-tutorial on howto install IMS with Kamailio)

commit 6cea9227c7dc973757d03150685e322fcff115b9
Author: Carsten Bock <carsten@ng-voice.com>
Date:   Thu Aug 22 16:36:48 2013 +0200

    Define missing fixup_functions.

commit b23a74a4732f276315176d9b438bd2596e616799
Author: Carsten Bock <carsten@ng-voice.com>
Date:   Wed Aug 21 20:14:16 2013 +0200

    Fix fixup functions.

commit 8017fa7c67dbb3dd4bdd937be9b841097a44674e
Author: Carsten Bock <carsten@ng-voice.com>
Date:   Wed Aug 21 20:02:23 2013 +0200

    Add support for sending POST-Requests to http_query() method.

commit 134158df11ebf9b6c3deaf71b6010588535eb386
Author: Peter Dunkley <peter.dunkley@crocodilertc.net>
Date:   Thu Aug 22 20:39:41 2013 +0100

    pkg/kamailio/(centos|fedora): Added rtpproxy-ng module to the build

commit c2ccd37891167fb691b2aabc44e12c45cea7d1da
Merge: fd68623 dd76f37
Author: Richard Fuchs <rfuchs@sipwise.com>
Date:   Thu Aug 22 14:19:31 2013 -0400

    rtpproxy-ng: adding module
    
    Merge branch 'rfuchs/rtpproxy-ng'

commit fd68623bebb7053f4b652d7fe58d676b6a019d7c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Aug 22 17:51:49 2013 +0200

    core: efectively run the event_route[core:receive-parse-error]
    
    - reported by Juha Heinanen

commit 0efe5a4d9adb08575938d2c4eb83ec3a79d38e20
Author: Carlos Ruiz Diaz <carlos.ruizdiaz@gmail.com>
Date:   Thu Aug 22 11:16:31 2013 -0400

    Added support for max-time update of monitored calls
    
    - updated example config file
    - updated documentation

commit 86bdfaa3efe7804bcfde3da4f63b252c74e417b7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Aug 22 15:44:05 2013 +0200

    core: fix condition to lookup envet_route[core:receive-parse-error]
    
    - reported by Juha Heinanen

commit 2d826efb7dbcf9b3b49c376bcd079ab1e7642a44
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Aug 22 13:01:55 2013 +0200

    core: execute event_route[core:receive-parse-error] block on error of initial sip message parsing
    
    - note that the SIP message is broken in this case, but it gets access
      to source and local socket addresses (ip, port, proto, af) as well as
      the whole message buffer and its size

commit d03651fb4c3a6b50923029e121eed201fb1ff550
Author: Juha Heinanen <jh@tutpro.com>
Date:   Thu Aug 22 08:20:52 2013 +0300

    modules/lcr: added some linefeed chars missing from syslog messages
    
    - Patch provided by Kevin Scott Adams.

commit 3ccf4b43e81bd2654cb306a3c2cc21b97cb51f62
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Aug 22 00:14:53 2013 +0200

    core: print src address details if initial message parsing fails
    
    - reported by Juha Heinanen

commit fe24ed17b0620bd9446d741ea3f65b7b0cb8b765
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Aug 21 11:20:07 2013 +0200

    kamailio.cfg: use is_first_hop() for adding alias parameter to contact uri
    
    - done for natted devices

commit bbecaa597aa4fb3fa08773cd6cd9b8558c7ce3a8
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Aug 21 11:04:08 2013 +0200

    avpops: allow use of avps as second parameter on re operation at avp_check function

commit c86b04459a716af353d0ca40a793d6b13c6a6fe7
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue Aug 20 10:24:53 2013 +0200

    fixed spelling errors catched by lintian

commit 64e39dbf89bc1581722abeaadf7811e0883390bd
Author: Elena-Ramona Modroiu <ramona@asipto.com>
Date:   Mon Aug 19 17:43:16 2013 +0200

    htable: updated readme with rpc command htable.stats

commit d33106994516e27944657c3bf17c3ccb5a521a50
Author: Elena-Ramona Modroiu <ramona@asipto.com>
Date:   Mon Aug 19 17:39:26 2013 +0200

    htbale: added rpc command htable.stats
    
    - print stats about htables: name, number of slots, number of items, max
      number of items per slot, min number of items per slot

commit ee7dcac57501cd0563c69ae967ba785cec035062
Author: Elena-Ramona Modroiu <ramona@asipto.com>
Date:   Mon Aug 19 16:48:01 2013 +0200

    htable: lifted limit for max number of slots to 2^31
    
    - there can be systems with large amount of memory
    - clarification in docs about the case when the value is out of exected
      range

commit 71594a81f012432782d1f7b6f59c725130928ee7
Author: Jason Penton <jason.penton@smilecoms.com>
Date:   Mon Aug 19 13:41:45 2013 +0200

    cdp: fixed spelling and removed some erroneous code

commit ea442b3155bf25ff48f7fd125b2ffa72a5631852
Author: Carsten Bock <carsten@ng-voice.com>
Date:   Sun Aug 18 17:47:08 2013 +0200

    Only update received info, if a contact is "new" contact. In case of multiple registration for one AoR, each registration will have a different contact.

commit ec1c1bab23e4fff3bd5cd60c2f254e646dcbc9ee
Author: Carsten Bock <carsten@ng-voice.com>
Date:   Fri Aug 16 17:08:15 2013 +0200

    Do some debug output, when searching for user based on IP/Port/Proto.

commit 157a466d46f6cccaf790ca3ad3d400489ebdd1ed
Author: Peter Dunkley <peter.dunkley@crocodilertc.net>
Date:   Wed Aug 14 21:30:45 2013 +0100

    pkg/kamailio/(centos|fedora): Updated .spec

commit 9061cf2a85ac89cf403910b7b4fa93b29dccb350
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue Aug 13 11:45:02 2013 +0200

    modules/debugger: refresh README

commit 5cbedc6b515b50f9ade7457abedba18747d98f75
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue Aug 13 10:14:42 2013 +0200

    modules/debugger: Added module parameter reset_msgid. Added RPC command dbg.reset_msgid
    
    The message id ($mi) will be reset but internally there is no change. This can be
    useful for unit tests cases.

commit b0e9132ccd1e8385b8b4faf72db806320d48e2f5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Aug 13 09:37:21 2013 +0200

    usrloc: safety checks to catch empty ruid

commit 66c8e730d59f9816f09573f5300e4463e5997876
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Aug 13 09:19:02 2013 +0200

    usrloc: more verbose log messages in case of failure to update db records

commit d1cda7ca9a64cf818b82f7b777fa2dd640717c53
Author: Hugh Waite <hugh.waite@crocodile-rcs.com>
Date:   Mon Aug 12 11:15:55 2013 +0100

    presence: Iterate correctly around presence updates
    
    - timer_send_notify should increment the subset by one on each loop

commit 4f42993660c52c757918ca2806f7ffe6af0674ce
Author: Hugh Waite <hugh.waite@crocodile-rcs.com>
Date:   Mon Aug 12 11:05:55 2013 +0100

    rls: Fix memory leak in rls notify.c
    
    - xml is leaked in an error case

commit e88af0a02de79fac583c126f08d762f7ef3f1b01
Author: Hugh Waite <hugh.waite@crocodile-rcs.com>
Date:   Tue Jul 16 10:51:29 2013 +0100

    outbound: Fix freeing null pointer in destroy function
    
    - Only appears in error cases, e.g. syntax check

commit 0c590e00796573681fd7ee0a99dd324919a9e4e9
Author: Dragos Dinu <dragos.dinu@1and1.ro>
Date:   Wed Aug 7 17:29:06 2013 +0300

    Fixed two bugs related to new capture_mode changes.

commit 93c39f86ce0cd337212579bd7bd1e58cabed79ca
Author: Carsten Bock <carsten@ng-voice.com>
Date:   Wed Aug 7 01:20:43 2013 +0200

    Fix previous commit (forgot this file)

commit 25240becdd83801a788b65f52eada5dd63665e8c
Author: Carsten Bock <carsten@ng-voice.com>
Date:   Tue Aug 6 22:48:39 2013 +0200

    Extension to the API: lookup_terminate_dlg(unsigned int, unsigned int, str hdrs)
    - Terminate a dialog using the API by providing h_entry and h_id (similar to the MI-Function)

commit e6e0419a46c3e5127d07c95390931d10b2a01c3b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Aug 4 14:22:41 2013 +0200

    imc: wrap bit shift defines in parenthesis
    
    - avoid priority conflicts when using the defines
    - reported by Shankar

commit 6a981d3d922c914054d4c8dc7e672bb6a4ddb5f5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Aug 1 15:58:59 2013 +0200

    db_flatstore: free id pointer if no more space for table name
    
    - related to previus commit on this module
    - keep table name null terminated

commit 8fb0f711aaa611eac8b2776c7e5ae3c5e19243ac
Author: Federico Cabiddu <fcabiddu@orange-vallee.net>
Date:   Mon Jul 29 07:59:34 2013 +0200

    db_flatstore: fixup for new_flat_id function
    
    - locally copy table's name

commit 4bc07b15ae9a490273b2696b2860f78ebbd18104
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Aug 1 14:35:16 2013 +0200

    kamctl: shortcut command to do q query to a database based on key and value
    
    - kamctl db smatch table key value - return the record from table that
      has column key matching the value as string (quoted value)
    - kamctl db nmatch table key value - return the record from table that
      has column key matching the value as non-quoted
    - examples:
    
    kamctl db smatch subscriber username test
    kamctl db nmatch subscriber id 123

commit 9a0147b8e050bb8ac7b443e4a3139bb326308cba
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Aug 1 14:12:30 2013 +0200

    acc: remove comment from previous patch
    
    - references to tracker should be in comments of the commit, not in the
      code
    - use tabs for indentation

commit 341f810dca0cc0596e22f2ac1bca86de0b8d142d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jul 31 12:22:12 2013 +0200

    app_perl: push the sip msg structure to perl after initializing it
    
    - reported by David Cunningham

commit 7ba6cbfcaf70cb546ea3a9f148a0f0b0bc38c16d
Author: Federico Cabiddu <fcabiddu@orange-vallee.net>
Date:   Mon Jul 29 07:59:13 2013 +0200

    acc: acc_db_set_table_name fixup
    
    - add termination char to db_table_name_buf

commit 1bf5c8328e8b4ed13f6404bf617cac9e26c05e63
Merge: 0e9b4b3 fb3a5f7
Author: Carlos Ruiz Diaz <carlos.ruizdiaz@gmail.com>
Date:   Mon Jul 29 09:49:57 2013 -0400

    Merge branch 'master' of ssh://git.sip-router.org/sip-router

commit 0e9b4b351e70323fd8581d298f1a7d682f2310fe
Author: Carlos Ruiz Diaz <carlos.ruizdiaz@gmail.com>
Date:   Mon Jul 29 09:46:35 2013 -0400

    Modified cnxcc_set_max_credit behavior
    
    - Updated documentation
    - Updated examples

commit fb3a5f7022ebd20fc516b5b8303a0274bda18258
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jul 26 14:55:38 2013 +0200

    acc: safety check for accounted values not to be NULL
    
    - based on a patch by  Federico Cabiddu, FS#327

commit 3d33733f299dda595704108aef73a2912dc3069f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jul 26 14:52:21 2013 +0200

    uac_redirect: fixup for using acc table parameter
    
    - set reason parameter for acc function
    - based on a patch by  Federico Cabiddu, FS#327

commit 1aea13af9b3eea3788e90411bd94cb9e0b0c4ea3
Author: Camille Oudot <camille.oudot@orange.com>
Date:   Tue Jul 23 11:11:01 2013 +0200

    modules/ims_registrar_scscf: safety check in async_cdp_callback

commit 6ff74701652a11497bd82ee3ba2ac7547d1ce666
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jul 25 10:14:55 2013 +0200

    app_perl: move initialization of SIP message var after initialization of temporary environment
    
    - upon a report by David Cunningham of a leak in operating system
      memory

commit da057e5730dd9f82101437e0ee3ceca02b64602c
Author: Alexandr Dubovikov <alexandr.dubovikov@gmail.com>
Date:   Tue Jul 23 10:37:03 2013 +0200

    modules/sipcapture:  Added support for multiple capture modes.
    			(c) Dragos Dinu (1and1)

commit ab601ea9a1b2561c2eaa860583cdeed478b9ea8d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Jul 20 10:01:25 2013 +0200

    Makefile: sercmd renamed to kamcmd in uninstall option

commit 2a77bcd36a2b8b91a6d4af3f6ee6828265af39a5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jul 18 20:59:54 2013 +0200

    Makefile.defs: removed SCTP conditions for core locating libsctp
    
    - the code is now in a module, only generic hooks are in the core, that
      can be turned on/off by SCTP variable (no lib dependency)

commit d3a0a8b15af59846fdaee5d9ceae61484f1d7301
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jul 17 20:19:28 2013 +0200

    uac: restrict check of multiple from/to header changes to request route blocks
    
    - it can occur many times in due to branch route usage
    - reported by Andrew Pogrebennyk, FS#323

commit 6624d10b5edbfaf32726875fbbf2ac2221807c84
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jul 17 12:26:11 2013 +0200

    uac: $uac_req(sock) - new attribute to set local send socket
    
    - local socket can be set for generated requests:
    
    $uac_req(sock) = "udp:127.0.0.1:5060";

commit 9a3aa5e6e7949dd08146910a301fbeebdf052742
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jul 17 12:24:42 2013 +0200

    tm: enhanced local request API to set send socket

commit 6335d07c4c77ed60fb8c2b5acc84d7c4b503221c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jul 17 12:22:31 2013 +0200

    core: helper functions to lookup local socket from proto:host:port

commit 716ffd2787a68734a21a1374c3dc6dd4783844bd
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jul 17 00:04:06 2013 +0200

    presence_dialoginfo: add schema to entity
    
    - patch by Pawel Sternal, FS#324

commit acd0bfb5acc98e791ab6cf011dfa758efba2be8f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jul 16 21:40:06 2013 +0200

    usrloc: fixed type for db_ops_parameter
    
    - reported by Alex Hermann

commit d07e4f709ceaccc84bbab42dfd55d10992e84a3b
Author: Carsten Bock <carsten@ng-voice.com>
Date:   Tue Jul 16 18:02:50 2013 +0200

    Example-Configs: Fixed config due to last updates

commit 9a2b943bfccea83ac52ecb63f39c724f4b9504d4
Author: Carsten Bock <carsten@ng-voice.com>
Date:   Tue Jul 16 18:00:51 2013 +0200

    ims_registrar_pcscf: Bug-Fix for pcscf_assert_identity (minor)

commit b4c3b811d33846dd0900922bbe5a3d9472839663
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jul 15 23:45:33 2013 +0200

    ipops: documented dns_query()

commit 257225e6918c1387049b74663225ee9b3b722ddf
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jul 15 23:38:25 2013 +0200

    ipops: reset address types for new dns queries

commit 20f3846d6d39e8fd599464d1e5ce48bfec326586
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jul 15 23:32:33 2013 +0200

    ipops: new function dns_query(hostname, pvid)
    
    - store the result of dns query in a variable $dns(pvid=>key)
    - dns query is using getaddrinfo()
    - $dns(pvid=>key) - new pv allowing to navigate through the result of a dns query
    - key can be:
    	- count - number of addresses
    	- ipv4 - set to 1 if at least one ipv4 address (otherwise 0)
    	- ipv6 - set to 1 if at least one ipv6 address (otherwise 0)
    	- addr[index] - the address as string from position index in the list (0 based indexing)
    	- type[index] - the type of address from position index in the list (0 based indexing), the value is 4 for ipv4 and 6 for ipv6
    - example:
    
    	if(dns_query("test.com", "xyz"))
    	{
    		xlog("===== number of addresses: $dns(xyz=>count)\n");
    		xlog("===== ipv4 address found: $dns(xyz=>ipv4)\n");
    		xlog("===== ipv6 address found: $dns(xyz=>ipv6)\n");
    		$var(i) = 0;
    		while($var(i)<$dns(xyz=>count)) {
    			xlog("===== #[$var(i)] type ($dns(xyz=>addr[$var(i)])) addr [$dns(xyz=>addr[$var(i)])]\n");
    			$var(i) = $var(i) + 1;
    		}
    	}

commit dd76f37bfff59d5ae07b34346d0ab0a81136649b
Merge: 66c7553 9ac9b5c
Author: Richard Fuchs <rfuchs@sipwise.com>
Date:   Fri Jul 12 12:27:06 2013 -0400

    Merge branch 'master' into rfuchs/rtpproxy-ng

commit 66c7553c1131fda7b83807891110f7de393be098
Author: Richard Fuchs <rfuchs@sipwise.com>
Date:   Fri Jul 12 12:26:07 2013 -0400

    rtpproxy-ng: implement second parameter to rtpproxy_offer/answer/manage

commit 9ac9b5c35858efd7c71163c604d18a1fa35e3a02
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jul 12 18:09:09 2013 +0200

    ipops: added dsn_int_match_ip(hostname, ipaddr)
    
    - function that uses the internal resolver to match a hostname with an
      ip (similar operation like 'scr_ip=="hostname"')
    - rename dns_nc_match_ip() to dns_sys_match_ip() to be more suggestive
      about what kind of resolver is used

commit ccebf9e536d7d5ea8fc824ea089d501e888b37c8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jul 12 13:31:12 2013 +0200

    ipops: new cfg function dns_nc_match_ip(hostname, ipaddr)
    
    - do dns query for the hostname and compare the result to see if is a
      match with ipaddr

commit 9a25e712529cb7aacbae8e64a2e1be4da3c9a8c3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jul 12 10:22:33 2013 +0200

    dispatcher: allow pv in ds_is_from_list(setid) parameter

commit 80935f9e8bbe20e5c320828183999b5d395ec34c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jul 12 00:44:51 2013 +0200

    core: avoid doing dns srv again after naptr function that includes srv lookup

commit 3823001dd83902d97f3dda9c9f51c370ab04073d
Author: Alexandr Dubovikov <alexandr.dubovikov@gmail.com>
Date:   Fri Jul 12 10:14:31 2013 +0200

    modules/sipcapture: a sip message must be stored after bad parsing also.

commit 25b6241ce310ca0ae67896fec2bb50d4c8d80fcb
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jul 11 21:57:58 2013 +0200

    dialplan: don't free attrs pvar at shutdown, it is core pv cache reference
    
    - reported by Juha Heinanen

commit ecb0ede7b20f24af97a42c4d034c46709c3ec38c
Author: Juha Heinanen <jh@tutpro.com>
Date:   Thu Jul 11 22:47:37 2013 +0300

    modules/tls: config param can now specify a file or directory

commit eba7dcbe6b3ba7b88c0fa0b231cb265a68995e47
Author: Richard Fuchs <rfuchs@sipwise.com>
Date:   Thu Jul 11 15:36:54 2013 -0400

    rtpproxy-ng: implement $rtpstat and document start_recording()

commit d7d27cd803284ced4d709da543e64e553e0547ca
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jul 11 20:43:54 2013 +0200

    Makefile.defs: version set to 4.1.0-dev7

commit ca8facabe26f081d1cededeb78ceaa96e4ea9ff2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jul 11 16:47:47 2013 +0200

    db_unixodbc: fixed typo added by previous commit

commit c6819b9a02d59b3ad8640fbaaf2fc0b9ef3d5021
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jul 11 16:43:31 2013 +0200

    db_unixodbc: renamed files with reserved name on some oses

commit aa0156ea441644545236a349cc62afb4983b5476
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jul 11 16:26:15 2013 +0200

    disptacher: added documentation for parameter attrs_pvname

commit 09a7a4cd718c0e26d3a948515ec4f6f6a68c64c4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jul 11 16:25:06 2013 +0200

    dispatcher: new parameter to specify the pv where to store attrs for matched address in ds_is_from_list()
    
    - attrs_pvname can be set to get attributes of matched address in
      config file

commit 617a444fcbe84290a701228bd78e279bbde4818e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jul 11 15:27:16 2013 +0200

    pv: added transformations for url encode/decode
    
    - patch by JoshE, FS#311

commit 12a5a409e7e196e1d0401b125b2de72a9f2e5aff
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Jul 11 15:03:08 2013 +0200

    modules/nathelper: removed natping_proceses limit

commit 0c6fef5fdc2a586ebfa607d3b5344266c08ca996
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jul 11 14:36:02 2013 +0200

    pipelimit: avoid double locking when changing pipe via rpc

commit 04fd56dc1b84b70a04438ccbf719eb85177524ad
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jul 11 14:32:48 2013 +0200

    pipelimit: avoid double locking when changing pipe via mi
    
    - reported by Krischan Udelhoven, FS#315

commit 4a425a88be796c4b2c8447e6eafc53652ddf8e72
Author: Elena-Ramona Modroiu <ramona@asipto.com>
Date:   Sat Jul 6 19:03:49 2013 +0200

    htable: sht_lock() and sht_unlock() documented in readme

commit bc5cc684efad11f9affe648f3d0f6da98e43ad25
Author: Elena-Ramona Modroiu <ramona@asipto.com>
Date:   Sat Jul 6 18:31:17 2013 +0200

    htable: two new functions to lock htable slots based on item name
    
    - sht_lock("htable=>key") and sht_unlock("htable=>key")
    - useful to update existing items without aditional locks

commit ddea262fd70521eec450e57519f63a63880a94df
Author: Richard Fuchs <rfuchs@sipwise.com>
Date:   Tue Jul 9 12:28:48 2013 -0400

    rtpproxy-ng: initial checkin

commit 8cd7a48479594052b6b6e70d48946e8963e1625d
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue Jul 9 17:50:06 2013 +0200

    modules/app_lua: added param to sr.xavp.get to choose between all the values (default) or just the first ones.

commit 4a79fcdd9965c6c3195601baeb82d489d970aa12
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue Jul 9 15:55:35 2013 +0200

    modules/app_lua: fix sr.xavp.get. Get all the values not only the first one.

commit 01c2fa43da42a4efab59fe787c332dbf9e318399
Author: Torrey Searle <tsearle@gmail.com>
Date:   Tue Jul 9 14:55:22 2013 +0200

    modules/sipt: deleted unused method

commit edc838f04fd182b8997f94c50effd5b0c0153a25
Author: Torrey Searle <tsearle@gmail.com>
Date:   Tue Jul 9 11:21:52 2013 +0200

    modules/sipt: ss7 messages are now modified in place
    
     - lumps are now used to modify individual ss7 headers instead
       of rebuilding the full body from scratch.  This should result
       in a performance increase

commit e03462112b108bd0615465f45258fd70c2704100
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sun Jul 7 07:25:34 2013 +0200

    modules/debugger: refresh README

commit 9f363d37ba9e1c72b5abf25ec69ba9d367d6be99
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sun Jul 7 07:24:30 2013 +0200

    modules/debugger: add dbg_pv_dump config function documentation.

commit 77f5db57c4d5bf5a5e37985a228c8693ec685a6d
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sun Jul 7 07:23:11 2013 +0200

    modules/debugger: add dbg_pv_dump config function.
    
    It dumps the content of pv_cache on json format.

commit faf2f6b9897c3b9acf69a1bbe22b827f386a863e
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Jul 6 15:13:00 2013 +0200

    modules/sdpops: refresh README

commit 2a855d384d37b5a83c879663780441b2f533fced
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Jul 6 15:09:47 2013 +0200

    modules/sdpops: update documentation sdp_[with|remove]_transport

commit c252677700bdc81241a39816a3febee70f729344
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Jul 6 15:00:49 2013 +0200

    modules/sdpops: added sdp_with_transport/sdp_remove_transport functions.

commit 97781390e663116f9e5d11f5644e1145487b6cfb
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jul 5 09:23:32 2013 +0200

    dialog: added timer process to clean unconfirmed dialogs older than 5min
    
    - timer runs every 90sec (customization to be added in the future)
    - safety procedure for cleaning dialog list

commit 647a99bd21f6059505ea1ee65ac93c6c00fc8c8d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jul 4 22:34:41 2013 +0200

    textopsx: updated docs for msg_apply_changes() and added sections ids

commit 85f6a45e6d74044488b63a89ce8feaaf3c4b00bb
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jul 4 22:29:06 2013 +0200

    textopsx: enable usage of msg_apply_changes() for sip replies

commit 8248a1b2ed725933f84a343b4936ed4fdef4a869
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jul 4 22:27:32 2013 +0200

    core: helper function to generate sip reply content without removing top via

commit d4cef7f5e49105c65df9651a1ad086b035f8ffdb
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jul 4 11:48:26 2013 +0200

    tm: avoid double execution of response-in callbacks
    
    - double execution of response-in callbacks could happen when using tm
      pvs inside core reply route, being done in transaction matching
      function, which is executed again by tm reply received function

commit 230a138991b25f7f9b07b4f9cbeffbdd6acef2e8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jul 4 11:47:18 2013 +0200

    core: new internam sip msg flag FL_TM_RPL_MATCHED
    
    - mark sip reply when matched first time by tm
    - used to avoid double execution of response-in callbacks

commit 27474179bdeef0ddaba05389f510446a387d85e1
Author: Hugh Waite <hugh.waite@crocodile-rcs.com>
Date:   Thu Jul 4 10:31:46 2013 +0100

    modules/websocket: Fix connection leaks
    
    - Decrease the TCP connection reference count after each use

commit ffdae5987b99b9bfd39992d407a3a0a33aa772ab
Author: Hugh Waite <hugh.waite@crocodile-rcs.com>
Date:   Thu Jul 4 10:30:51 2013 +0100

    core: Fix connection leak with websockets
    
    - Decrease connection ref count after using connection

commit fb4dc4b7b866239a90a4d6441ed319664697edab
Author: Hugh Waite <hugh.waite@crocodile-rcs.com>
Date:   Thu Jul 4 09:33:56 2013 +0100

    core: Improve tcp stats output
    
    - Add connection ref count
    - Add websocket protocols

commit d0f88e19577d9b914922f83049075b7786f3d8df
Author: Hugh Waite <hugh.waite@crocodile-rcs.com>
Date:   Wed Jul 3 10:46:44 2013 +0100

    modules/websocket: Fix pkg memory leaks
    
    - Fix pkg memory leaks in error cases
    - Fix incorrect memory allocation size for ws connections
    - Fix typo in websocket stats

commit 074f12c5a444188aa023797ac70e2d38d225cb18
Author: Hugh Waite <hugh.waite@crocodile-rcs.com>
Date:   Wed Jul 3 10:39:32 2013 +0100

    modules/tls: Free TLS data for secure websocket connections

commit c5081ad634742d88e56e4fcc097b756098119e4e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jul 3 23:23:40 2013 +0200

    uac_redirect: fetch all contact headers in redirect replies
    
    - only first header was considered for redirect handling
    - based on a report by Geoffrey Mina
    - generate fake ruid (used as instance and user-agent) to satisfy the
      requirements of t_load_contacts()/t_next_contacts()

commit fa0339b1906690f009786fc9ed92c73a8c9e6520
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jul 2 23:32:37 2013 +0200

    dialog: detect if no trasaction is created after config execution for new dialogs
    
    - release the dialog to avoid endless storage in state 1

commit b4682cac2e2f151288a411018da077b6d1526eca
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jul 2 21:40:32 2013 +0200

    kamailio-basic.cfg: added basic cfg config file
    
    - get the same set of configs as expected by former ser flavour

commit 6cf3ab0ca6f38d1d2e60dbc644bb4d2fb563919a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jul 1 15:22:33 2013 +0200

    dialog: increment cseq in early stage for PRACK and UPDATE
    
    - rework from a patch by Halina Nowak

commit 71d7dc6bc750406d510e0571e05da3966911cfea
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jul 1 14:51:03 2013 +0200

    dialog: avoid realloc of memory for cseq when setting leg info
    
    - free already allocated structs when needed
    - has part of a patch by Halina Nowak

commit ed6dbb0ca11206049bee9ab515ce071eb70e7b63
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jul 1 14:44:45 2013 +0200

    dialog: fixed callee cseq reference
    
    - part of patch by Halina Nowak

commit 1123ed46ee847be83f35aa485a1ef6712566bc09
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon Jul 1 13:37:42 2013 +0200

    core: Also consider PROTO_WS(S) in forward().

commit 8f6dc39a0fcd9035a2bd5bff01e51fc3fc7671fd
Author: Richard Good <richard.good@smilecoms.com>
Date:   Mon Jul 1 11:47:50 2013 +0200

    dialog_ng: include dialog function dlg_get in dialog_ng
    	- In first iteration of dialog_ng module the dialog function dlg_get was not included
    	- This function is now included; it searches and sets current dialog based on Call-ID, From-Tag and To-Tag

commit b252d4ec79446bd915fe2eb6bcf8556d3275343c
Author: Henning Westerholt <hw@kamailio.org>
Date:   Sun Jun 30 16:06:16 2013 +0200

    memcached: document new memory parameter for memory manager setting

commit 736fab01bafba394f4b81aa20a63bf827baa2a13
Author: Henning Westerholt <hw@kamailio.org>
Date:   Sun Jun 30 15:50:29 2013 +0200

    memcached: update module docs, patch from Charles Chance, charles dot chance at sipcentric dot com

commit df41d7f4e0cd8bd0c328f94360a6b3a3f3e9d59b
Author: Henning Westerholt <hw@kamailio.org>
Date:   Sun Jun 30 15:42:17 2013 +0200

    memcached: fix crash during shutdown, make used memory manager configurable
    
    * fix a crash during shutwdown, as reported from Dragos Oancea, droancea at yahoo dot com
    * make memcache client library memory manager configurable, as default use
      the one from the system as this is probably the most tested configuration
      in the field
    * the internal memory manager should provide a better performance in this case,
      but as the old library has some issues with the internal one, we better stay
      with this
    * documentation will be provided in the next commit

commit 811ed09b1c8cff014d3135967c8a3cda1bec569d
Author: Richard Good <richard.good@smilecoms.com>
Date:   Tue Jun 25 15:42:44 2013 +0200

    modules/ims_icscf: updated documentation
     	- updated documentation to use route blocks after async diameter

commit 8f1904fd0a0b305b2c528df0d1d3c27d5eef0c7d
Author: Richard Good <richard.good@smilecoms.com>
Date:   Tue Jun 25 15:41:42 2013 +0200

    modules/ims_auth: updated documentation
    	- updated documentation to use route blocks after async diameter

commit bf08aa1a3859766caf0842fdd30b9fc2f4a4ff43
Author: Richard Good <richard.good@smilecoms.com>
Date:   Tue Jun 25 14:11:13 2013 +0200

    IMS example config files: update icscf and scscf config files to correctly use async route blocks
    	- This fix updates the example ICSCF and SCSCF config files to correctly use route blocks for the replies of any asynchronous Diameter messages

commit 0d5622531d71d0b0ab3fb25a13c3ea1f46581512
Author: Richard Good <richard.good@smilecoms.com>
Date:   Tue Jun 25 14:09:00 2013 +0200

    modules/ims_icscf: execute route block on async reply to UAR and LIR
    	- Changed this to make the use of async CDP cleaner
    	- Fixes inconsistencies we are experiencing with async TM and not using route blocks
    	- Note this fix is for UAR replies called from I_perform_user_authorization_request() and LIR replies called from I_perform_location_information_request()

commit 6af810edde27d087c86432f42d9aec0636b3a740
Author: Richard Good <richard.good@smilecoms.com>
Date:   Tue Jun 25 14:07:12 2013 +0200

    modules/ims_auth: execute route block on async reply on REG MAR
            - changed this to make the use of async CDP cleaner
            - Fixes inconsistencies we are experiencing with async TM and not using route blocks
            - Note this fix is for REG MAR called from ims_www_challenge()

commit 87ea473c15454742fc9f3a0cedd46cf09c663f3c
Author: Richard Good <richard.good@smilecoms.com>
Date:   Tue Jun 25 14:04:46 2013 +0200

    modules/ims_registrar_scscf: execute route block on async reply on REG SAR
    	- changed this to make the use of async CDP cleaner
    	- Fixes inconsistencies we are experiencing with async TM and not using route blocks
    	- Note this fix is REG SAR called from save()

commit 584508d5374726bf523a23693da86f0763b34767
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Jun 23 05:37:34 2013 +0200

    core: allow c++ style of one line comments
    
    - can make easier the read of config files with defines and comments

commit 756620fd0c1912e492781f05fde944f9035d95b3
Author: Carsten Bock <carsten@ng-voice.com>
Date:   Mon Jun 24 22:13:26 2013 +0200

    examples: Make S-CSCF more quiet

commit 14ef8ff8d460bc22f0df4793e11455487ea91aab
Author: Carsten Bock <carsten@ng-voice.com>
Date:   Mon Jun 24 22:10:33 2013 +0200

    auth_ims: New option to store authentication vectors using the IMPU only, instead of IMPI/IMPU.
    (this is required to work with some SIP-clients)
    - added some more debug info
    - replaced the hashing function with core_hash from Kamailio-core

commit 9fc55badeaa54d2cfde7a152459b957f8ae5a192
Author: Carsten Bock <carsten@ng-voice.com>
Date:   Mon Jun 24 18:08:29 2013 +0200

    Added missing parameters to documentation

commit 72d79d20964ac192dbe1cbe35f48c21ec749c39a
Author: Carsten Bock <carsten@ng-voice.com>
Date:   Mon Jun 24 18:08:05 2013 +0200

    Fixed Editor note

commit bd1a534515678f69385d00b08699b434e1fab8df
Author: Jason Penton <jason.penton@smilecoms.com>
Date:   Mon Jun 24 15:24:49 2013 +0200

    modules/ims_registrar_scscf: execute route block on async reply of unreg. SAR
    	- changed this to make the use of saync CDP cleaner
    	- fixes inconsistencies we are experienceing with async TM and not using route block

commit 678ab425062e6c6a30b5f1d37025c2bbdcd5425d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jun 21 04:23:38 2013 +0200

    auth: set ids for elements in the documentation
    
    - split checks parameters in own section for easier reference

commit fc83d3b1f1dd0934e5638b91d11e27f47880b411
Author: Carlos Ruiz Diaz <carlos.ruizdiaz@gmail.com>
Date:   Thu Jun 20 17:34:49 2013 -0400

    Added support to limit number of calls per customer/profile
    
    - added function cnxcc_set_max_channels() per customer/profile
    - added function cnxcc_get_channel_count() per customer/profile
    - added function cnxcc_terminate_all() to terminate calls per customer/profile
    - added select @cnxcc.channels["customer/profile"].count
    - added modified version of kamailio-cnxcc.cfg to reflect changes and examples

commit 8f261c5baeb01d5bee0437249b7f6d3d81bee209
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Jun 20 08:34:05 2013 +0200

    modules/dialplan: allow xavp vars as parameters.

commit 6b27e0d5519f8e29bc31c553a67367975acfe7ec
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Jun 20 08:32:47 2013 +0200

    modules/dialplan: use pv_cache_get function instead of create pv_spec_t

commit 1207edd603937e3e43ce20207bfeae0284f16489
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jun 17 14:48:52 2013 +0200

    pv: $xavp(name) is marked as PVT_XAVP type

commit 424691bfae61b00fa6d5f1f75e95fe60bf823526
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jun 17 14:47:56 2013 +0200

    core: define PVT_XAVP as type for xavp pseudo-variables
    
    - they may need special handling for debug purposes

commit c5573dddc4c11898fb68365e9a311aff0f1690c8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jun 17 11:00:29 2013 +0200

    pipelimit: fixed typo in module parameter name
    
    - patch by Krischan Udelhoven

commit 03188db86347013ef43d3615c12be4b696349098
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon Jun 17 10:48:45 2013 +0200

    modules/app_lua: fixed runtime warning: exports dlflags interface is deprecated

commit 4f3d04d547c66a1b59398cf80e93974175141514
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Jun 16 17:17:36 2013 +0200

    topoh: safety check for To header
    
    - protection for the case when sanity module checks are not enabled
    - reported in FS#303 by Michel de Weerd

commit 330aeda83dc7ed927cf994e4b21ff44ab2d2c215
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Jun 16 16:40:59 2013 +0200

    mtree: fixed typo in log function name

commit 69c409e14c568fae45e449122e5b4efbf009bf41
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Jun 16 16:39:14 2013 +0200

    core: added function to get the pv cache table
    
    - pv cache struct moved to header file

commit ea772b354f84eccff0190234025f057879ff33ed
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Jun 15 22:03:58 2013 +0200

    kamctl: new commands can be defined in separate files
    
    - write new kamctl commands either in CFGDIR/kamctl.newcmd.ext or
      ~/.kamctl/kamctl.newcmd.ext
    - 'newcmd' has to be replaced with the name of the command
    - the file must include cmd_newcmd() function which is executed with the
      parameters after the command name
    - example: adding new command 'sample'
    	- content of ~/.kamctl/kamctl.sample.ext file:
    
    usage_sample() {
        echo
        mecho " -- command 'sample' - kamctl sample extension command"
        echo
    cat <<EOF
     test ............................... print test message
     help ............................... help text
    EOF
    }
    
    cmd_sample() {
        case $1 in
            test)
                echo "message from sample test command"
            ;;
            *)
                usage_sample
            ;;
        esac
        exit 1;
    }
    
    - new command 'sample' can be executed with:
    
    kamctl sample test

commit 0b82af2019d523c680d156d9b95ae33043c79bd0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Jun 15 19:33:50 2013 +0200

    kamctl: set internal version to 4.1.0

commit af6a5d7422b614e5a143bc987806181086360c34
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Jun 15 19:31:43 2013 +0200

    tm: readme updated based on latest docbook

commit 5f1b144a7e63b464af3e5e0e7b74cf7e7e1e8668
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Jun 15 19:30:59 2013 +0200

    tm: documented dn_reuse_rcv_socket parameter

commit 30e26f22600c3f50f0ea556bf2872ef7b0807c6a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Jun 15 19:08:38 2013 +0200

    tm: new module parameter - dns_reuse_rcv_socket
    
    - control reuse of the receive socket for additional branches added by
      dns failover
    - if 1, the rcv socket is used, if not it depends on mhomed - when that
      is 0, the first socket is used, otherwise will be selected based on
      routing table
    - default is 0
    - therefore beware when setting this parameter and mhomed=1
    - based on discussion for FS#313

commit 350f4f8971a679f0d6566361b2a7bb17956a6a7e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Jun 15 18:54:59 2013 +0200

    tm: copy tm routing blocks ids for new branches added by dns failover
    
    - patch by Jasmin Schnatterbeck, part of FS#313

commit e7da9f72beb1c97b79a516ecdd19db8971dea508
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Jun 15 18:23:48 2013 +0200

    kamailio.cfg: route subscribe for event message-summary to voicemail server

commit da016636be6e0ca9a65b645b6e30ec0b1dafeef4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jun 14 08:42:37 2013 +0200

    kamctl: added show command to display user attributes in subscriber table

commit 519fe88fc41cae4674ce4bc943b84eb522af654b
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Jun 12 15:58:29 2013 +0200

    core: do not repeat key names on xavp_get_list_key_names function result

commit b5538401a01057318063a4e4646c9e7a2fb967c0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jun 12 08:50:26 2013 +0200

    mtree: print more details if the record in db is broken

commit 862e267267ccd58e096f267ac5aab03cee042b7c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jun 11 18:47:54 2013 +0200

    mtree: make log message on not maching character a debug instead of error

commit 407608dfef8e80ef0beaefc61df96e40060b952f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jun 11 18:41:05 2013 +0200

    registrar: readme regenerated

commit c228851e068a080050c79107c760f8ab5ffae967
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jun 11 18:39:31 2013 +0200

    registrar: fixed typo in example of xavp_rcd parameter

commit 9589466916305146fb4f982542c3f3a51126dcef
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jun 11 18:37:32 2013 +0200

    registrar: more debug messages when adding ruid xavp
    
    - free local ruid xavp if cannot be added to root list

commit 106916abc67d2badc43eac03ef175efbbac4f6d1
Author: Camille Oudot <camille.oudot@orange.com>
Date:   Tue Jun 11 16:34:49 2013 +0200

    modules/ims_isc: several safety checks
    
    - fixed potential buffer overflow
    - fixed potential crash if regcomp fails

commit bddb9a5bf38d4904a9e18dc187fc8c0507001ab5
Author: Camille Oudot <camille.oudot@orange.com>
Date:   Tue Jun 11 16:24:15 2013 +0200

    modules/ims_isc: fix several compiler warnings

commit 4af0bc13901525a5638c2c64b863f377e033903f
Author: Vicente Hernando <vhernando@systemonenoc.com>
Date:   Mon Jun 10 12:14:54 2013 +0200

    app_lua: solve crash when setting a variable not convertible to string.

commit b5f0a62a2acfbf0f4ce9cd146cb342d717e662a9
Author: Camille Oudot <camille.oudot@orange.com>
Date:   Tue May 28 17:53:07 2013 +0200

    modules/ims_registrar_scscf: safety check for log line when recieving an SAR_UNREGISTERED_USER response

commit fd8dfb71d0eeae891ad0c83ff332929d54f3a3ec
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Fri Jun 7 12:09:38 2013 -0400

    Makefile: update de-stable target: squeeze -> wheezy

commit e41230071e367015ecf794c147c60fda0bcd1907
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Thu Jun 6 15:21:19 2013 -0400

    registrar: print bogus AoR in error log

commit ea6354c53c8871e4e117b7434645ab4fee811612
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jun 6 15:58:58 2013 +0200

    acc_radius: exit at startup if radius_config is not set

commit 8e937d260d0ff41f50be56e0a46ede44554f3f99
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jun 6 11:47:10 2013 +0200

    cfgutils: updated docs to specify correct time unit for usleep
    
    - it is microseconds, pointed by David K

commit c4b29f6fac6155b9b087737df5956b687ff4e36a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jun 6 09:09:14 2013 +0200

    kamailio.cfg: reset $du for voicemail re-routing in failure route

commit c8e928a2c78ee963f807791bea5aacdd31e05936
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jun 6 09:05:28 2013 +0200

    siputils: added new function is_first_hop()
    
    - detect if it is first hop after original sender
    - added section ids for functions, remove a duplicate content for
      is_rpid_user_e164()

commit 0193489cca56f58b512f5379c078c98a366c17e2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jun 5 22:44:13 2013 +0200

    kamailio.cfg: few updates related to nat traversal
    
    - added "co" flags to rtpproxy_manage() to change all IPs in sdp, many
      phone get confused if only media ip is changed
    - add nat=yes parameter only for in branch route to avoid multiple
      occurences

commit 4b65964dbe1f38bcf867301d43933f9bbf91ab7d
Author: Jason Penton <jason.penton@smilecoms.com>
Date:   Wed Jun 5 08:58:29 2013 +0200

    module/ims_auth: protection against crash if there is no auth vector initialised.
    	- patch submitted by Camille Oudot

commit 2e466866468a71d4a6e7589cae69ae606b194716
Author: Jason Penton <jason.penton@smilecoms.com>
Date:   Wed Jun 5 08:46:13 2013 +0200

    modules/ims_isc: Add support for P-Serverd-User header
    	- This header allows a triggered Application Server to know the IMS user for who it was
    	triggered, and in what state (originating/terminating, registered/unregistered)
    	- Thanks to Camille Oudot for patch!

commit cb4cfa492aa977df3f80b7d93001559ecb1bcdec
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jun 4 23:21:11 2013 +0200

    sercmd: pass OS define at compile time

commit af1c2af129edeb49c6f2c826ec2c675e72c2486d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jun 4 22:17:52 2013 +0200

    sercmd: possibility to enable EXTRA_DEBUG via compile time option
    
    - should get rid of empty DBG() resulting in unused init variable

commit 0f54ee9c29faf767a5ec38de9f70bfaab8836ac9
Author: Juha Heinanen <jh@tutpro.com>
Date:   Tue Jun 4 10:44:36 2013 +0300

    modules/lcr: use pv_cache_get
    
    - Applied patch by Victor Seva.

commit 76709d2ea2eb3c05cf62a3368310f50e8bfee355
Author: Klaus Darilion <klaus.mailinglists@pernau.at>
Date:   Mon Jun 3 22:13:20 2013 +0000

    modules/auth_db: regenerate README

commit 2940d5012250a134745a2cf9abed2f88ed95576e
Author: Klaus Darilion <klaus.mailinglists@pernau.at>
Date:   Mon Jun 3 22:10:20 2013 +0000

    modules/auth_db: document authentication return values

commit 5bed1c2f9721405d5e6e0678f583aee474d4b9b9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jun 3 23:23:15 2013 +0200

    Makefile: added install-initd-centos target
    
    - install centos specific init.d scripts

commit a17a32e5f7a3120c200d6e48fe91d7aa1dfd28b1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jun 3 20:53:05 2013 +0200

    dialog: shift next timer run for keepalives of dialog
    
    - reported by Daniel Tryba

commit 26b15ad0006defeb8df17dff090fd93ffa11ede6
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon Jun 3 18:43:51 2013 +0200

    modules/debugger: fixed last commit.
    
    - checked malloc result on dbg_init_pvcache.
    - checked result of dbg_init_pvcache on mod_init.
    - removed commented code.

commit 2312e2adc626f42d36d240a417bb488f19e95017
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon Jun 3 15:10:27 2013 +0200

    modules/debugger: new parameter log_assign
    
    This parameter enables logging every single assign action on the config.

commit 5d45ea50a7ebb53cfcfb04553a3152e61d1e6831
Author: Elena-Ramona Modroiu <ramona@asipto.com>
Date:   Mon Jun 3 11:13:56 2013 +0200

    htable: documented the new rpc commands
    
    - htable.sets and htable.seti

commit 83eb9b7d7a9b4e1e2bf35d4e2b00573c176c8290
Author: Elena-Ramona Modroiu <ramona@asipto.com>
Date:   Mon Jun 3 11:05:58 2013 +0200

    htable: added rpc commands for setting items in a hash table
    
    - htable.sets - set to a string value
    - htable.seti - set to an integer value

commit 7cb062ce8eb9935b69298b61aa6a59450b97dbaf
Author: Juha Heinanen <jh@tutpro.com>
Date:   Sat Jun 1 17:47:58 2013 +0300

    modules/usrloc: rpc statistics command update
    
    - ul.db_users and ul.db_contacts now deal with unexpired records only
    - new command ul.db_expired_contacts tells number of expired contacts

commit 09cc2207b265d51dcbc28279623bf9c597fa3b46
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri May 31 17:05:40 2013 +0200

    pua: release lock on not finding temp dialog
    
    - patch by Halina Nowak

commit d5c4dda7932e8efe018beb77f8ca2e29a44aa185
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu May 30 17:59:01 2013 +0200

    core: don't free pvar spec - is reference to cache
    
    - reported by Peter Dunkley

commit 0577abba2abd869a0c3fb051289068e79986e6cd
Author: Hugh Waite <hugh.waite@crocodile-rcs.com>
Date:   Wed May 29 14:47:21 2013 +0100

    documentation: Rebuild all modified READMEs

commit f67f6880bfa9f7a9f31b4a46106482ff41120c3c
Author: Hugh Waite <hugh.waite@crocodile-rcs.com>
Date:   Wed May 29 14:46:40 2013 +0100

    uid_uri_db: Fix TOC in documentation

commit 7bf8e5a0f125cf1878fbd7a81504ab67659fa3a9
Author: Hugh Waite <hugh.waite@crocodile-rcs.com>
Date:   Wed May 29 14:46:24 2013 +0100

    uid_gflags: Fix TOC in documentation

commit 0882e6f8c2217b75f8d5082e1df5bf8f9291e125
Author: Hugh Waite <hugh.waite@crocodile-rcs.com>
Date:   Wed May 29 14:46:04 2013 +0100

    uid_domain: Fix TOC in documentation

commit db6762f45eb2f5809487b254e35edb55ea097fc1
Author: Hugh Waite <hugh.waite@crocodile-rcs.com>
Date:   Wed May 29 14:45:49 2013 +0100

    uid_avp_db: Fix TOC in documentation

commit 0bf496b9e9368d564835d5f97827ba7a7fcc8242
Author: Hugh Waite <hugh.waite@crocodile-rcs.com>
Date:   Wed May 29 14:45:28 2013 +0100

    uid_auth_db: Fix TOC in documentation

commit 402d1fb0036cab8588e94acf3ea6d80ccf1a00b0
Author: Hugh Waite <hugh.waite@crocodile-rcs.com>
Date:   Wed May 29 14:44:45 2013 +0100

    xprint: Fix TOC in documentation

commit 06369a4f2b2dbe3b58ca2c34c0cf2f228a343fd7
Author: Hugh Waite <hugh.waite@crocodile-rcs.com>
Date:   Wed May 29 14:44:28 2013 +0100

    xmlops: Fix TOC in documentation

commit 631e2450beb3cba5a0f3b85ecfd319a8ba98db00
Author: Hugh Waite <hugh.waite@crocodile-rcs.com>
Date:   Wed May 29 14:44:09 2013 +0100

    tm: Fix TOC in documentation

commit 528098292d5a5dc43052f0d9f59105622c064f74
Author: Hugh Waite <hugh.waite@crocodile-rcs.com>
Date:   Wed May 29 14:43:57 2013 +0100

    tls: Fix TOC in documentation

commit 6ea032c426e09a932c260842cf884cdd1cca69e5
Author: Hugh Waite <hugh.waite@crocodile-rcs.com>
Date:   Wed May 29 14:43:42 2013 +0100

    timer: Fix TOC in documentation

commit f198c3248b152e407313462619a402a730f9f29e
Author: Hugh Waite <hugh.waite@crocodile-rcs.com>
Date:   Wed May 29 14:43:24 2013 +0100

    textopsx: Fix TOC in documentation

commit e1a98837a273921a307518d0f83c690adabfa201
Author: Hugh Waite <hugh.waite@crocodile-rcs.com>
Date:   Wed May 29 14:43:09 2013 +0100

    sms: Fix TOC in documentation

commit c0b97566f8cfd0038a8fc5ea514dd7cf3b37f831
Author: Hugh Waite <hugh.waite@crocodile-rcs.com>
Date:   Wed May 29 14:42:54 2013 +0100

    sl: Fix TOC in documentation

commit 87e43eead7d3d6c8740bd397e512629a4230bf30
Author: Hugh Waite <hugh.waite@crocodile-rcs.com>
Date:   Wed May 29 14:42:35 2013 +0100

    sanity: Fix TOC in documentation

commit d99ffcd886b12a8b3adb43549d0603a86ef803da
Author: Hugh Waite <hugh.waite@crocodile-rcs.com>
Date:   Wed May 29 14:42:20 2013 +0100

    print_lib: Fix TOC in documentation

commit 762d01b4783b9d9e1b97420a7e0ab901b84eb243
Author: Hugh Waite <hugh.waite@crocodile-rcs.com>
Date:   Wed May 29 14:42:05 2013 +0100

    print: Fix TOC in documentation

commit c8a00e093aa009cff5069cfa683b3efc361497d7
Author: Hugh Waite <hugh.waite@crocodile-rcs.com>
Date:   Wed May 29 14:41:51 2013 +0100

    prefix_route: Fix TOC in documentation

commit cc15d526784ec2f734db452bc3f5157493225416
Author: Hugh Waite <hugh.waite@crocodile-rcs.com>
Date:   Wed May 29 14:41:28 2013 +0100

    mangler: Fix TOC in documentation

commit 5829244ff407abd8cb0735b998dcd7ffb351f87b
Author: Hugh Waite <hugh.waite@crocodile-rcs.com>
Date:   Wed May 29 14:40:54 2013 +0100

    malloc_test: Fix TOC in documentation

commit eabae931b7fcf1c4dae9bce2945a55c9dd48fee8
Author: Hugh Waite <hugh.waite@crocodile-rcs.com>
Date:   Wed May 29 14:40:31 2013 +0100

    iptrtpproxy: Fix TOC in documentation

commit e8ab0f1552c4bd0fbeb8f2bb42b79bb8acbce57e
Author: Hugh Waite <hugh.waite@crocodile-rcs.com>
Date:   Wed May 29 14:40:06 2013 +0100

    db_flatstore: Fix TOC in documentation

commit 9ca893c26257caf8d80e7fae25128a6e28f37518
Author: Hugh Waite <hugh.waite@crocodile-rcs.com>
Date:   Wed May 29 14:39:45 2013 +0100

    db2_ops: Fix TOC in documentation

commit 2a743dcd16f2546dabf41a5b0de498a6faaf00ed
Author: Hugh Waite <hugh.waite@crocodile-rcs.com>
Date:   Wed May 29 14:38:43 2013 +0100

    db2_ldap: Fix TOC in documentation

commit 09c617d4e3bd17e5f2234aac03f90f4fa25c3bb6
Author: Hugh Waite <hugh.waite@crocodile-rcs.com>
Date:   Wed May 29 14:38:25 2013 +0100

    ctl: Fix TOC in documentation

commit a966e236f5d4ae9d98048d5432978658c70a7f26
Author: Hugh Waite <hugh.waite@crocodile-rcs.com>
Date:   Wed May 29 14:38:07 2013 +0100

    counters: Fix TOC in documentation

commit 48c393f24a0a6c9a2841f7710cfdbc475c90d214
Author: Hugh Waite <hugh.waite@crocodile-rcs.com>
Date:   Wed May 29 14:37:45 2013 +0100

    cfg_rpc: Fix TOC in documentation

commit c1cb95ee9e29f4373973f7676a224d2892a8902e
Author: Hugh Waite <hugh.waite@crocodile-rcs.com>
Date:   Wed May 29 14:37:26 2013 +0100

    cfg_db: Fix TOC in documentation

commit 216d3f4c8d8b3a40867b4f8438e8ac5027cf1bdf
Author: Hugh Waite <hugh.waite@crocodile-rcs.com>
Date:   Wed May 29 14:37:03 2013 +0100

    blst: Fix TOC in documentation

commit 84a96c85d21a34c9082efd6622bccd73bfb1a2b5
Author: Hugh Waite <hugh.waite@crocodile-rcs.com>
Date:   Wed May 29 14:11:23 2013 +0100

    avp: Fix TOC in documentation

commit e59a2b0fa195fc2360049ccd438dc02ee19aedf3
Author: Hugh Waite <hugh.waite@crocodile-rcs.com>
Date:   Wed May 29 14:10:31 2013 +0100

    auth_identity: Fix TOC in documentation

commit 985cee9f4e904e92d473efecb15f4211c8a75501
Author: Hugh Waite <hugh.waite@crocodile-rcs.com>
Date:   Wed May 29 14:09:08 2013 +0100

    auth_ephemeral: Minor documentation improvement

commit ffe8aa173c6106844707bcf5d0f8da4f28631921
Author: Henning Westerholt <hw@kamailio.org>
Date:   Wed May 29 12:38:10 2013 +0200

    DB scheme: remove default MySQL engine definition
    
    * remove default MySQL engine definition from table definitions
    * if nothing is specified then MySQL server will choose the default from its cfg
    * if you like to specify it, change the MYSQL_TABLE_TYPE define in
      lib/srdb1/schema/entities.xml and run "make dbschema" in the top level directory
    * the stylesheet doesn't check the engine type, Kamailio supports MyISAM and InnoDB

commit 5aa71845f630f6b933b0a415749a7b1dae66605a
Author: Henning Westerholt <hw@kamailio.org>
Date:   Wed May 29 12:30:58 2013 +0200

    Revert "DB scheme: as discussed on sr-users list, change default mysql engine to InnoDB"
    
    This reverts commit fa49fe070adadfff893b338f2a2d69776c043653.

commit a21137507bea759d4945402dc47486ac324724db
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed May 29 12:25:50 2013 +0200

    core: added helper function pv_cache_get_name() in order
     to get the name of a pv_spec_t on pv_cache.

commit a2316f35deef2586f79dc575367224af853e9b70
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed May 29 12:25:09 2013 +0200

    core: Add callback to be able to log assign actions.

commit 6fba3230222214fccb72fd07817f29693d98b877
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed May 29 12:24:00 2013 +0200

    core: use pointer to pv_spec_t on lvalue union. Use pv_cache_get() on interpreter.

commit fa49fe070adadfff893b338f2a2d69776c043653
Author: Henning Westerholt <hw@kamailio.org>
Date:   Wed May 29 11:49:59 2013 +0200

    DB scheme: as discussed on sr-users list, change default mysql engine to InnoDB

commit b480ac55508e5d9b92cc9560e0b1d338d04f3b11
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed May 29 10:49:40 2013 +0200

    topoh: safety check for Via header when removed from script
    
    - reported by Guillaume Bour, FS#300

commit 8cba441b17c75cd078a499c24268c8a60c6b1771
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue May 28 15:48:22 2013 +0200

    misc_radius: updated readme
    
    - from a patch by Victor V. Kustov

commit 355490abd8c6e82a45cb96338ceca938c99ed744
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue May 28 15:43:27 2013 +0200

    misc_radius: handle IPv4 returned attributes
    
    - populate attributes for negative replies when common_response is set
    - patch by Victor V. Kustov

commit 6a92939ee4b7db6216814dc88e57eccefabb05af
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Tue May 28 00:46:26 2013 +0100

    modules/auth_ephemeral: updated to use SHA1_DIGEST_LENGTH #define from openssl/sha.h

commit ec893a2c6cb5c0fd21207cbf0ffab09f65418df2
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Tue May 28 00:27:37 2013 +0100

    modules/auth_ephemeral: tidied up the headers and tidied up more debug

commit ba2a6ac4230dd9169943f55a9c06af3faa694356
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Tue May 28 00:20:20 2013 +0100

    modules/auth_ephemeral: updated to handle usernames from the web-service that just consist of timestamps
    
    - tidied up the diagnostic output

commit a435f770e7162f73aea560a77851f8fb639a495a
Merge: 45227df 74bf08e
Author: Juha Heinanen <jh@tutpro.com>
Date:   Mon May 27 17:58:33 2013 +0300

    Merge branch 'master' of ssh://git.sip-router.org/sip-router
    
    - i did pull , but there was race conditions with somebody else's push

commit 45227df1bc87e448c74fe31c001e85f525c654a0
Author: Juha Heinanen <jh@tutpro.com>
Date:   Mon May 27 17:57:07 2013 +0300

    modules/usrloc: renamed ul.users and ul.contacts rpc commands
    
    - new, more descriptive names are ul.db_users and ul.db_contacts

commit 74bf08ef30cf18fb609c2c067584f1515ede23da
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon May 27 16:54:02 2013 +0200

    core: enclose uri in angle brakets for redirect contact header
    
    - safer for uri with parameters and no q
    - reported by Dan Bogos

commit d0d298070fdbb015a96f209fa3c925ba71e3a37b
Author: Juha Heinanen <jh@tutpro.com>
Date:   Mon May 27 13:54:23 2013 +0300

    modules/usrloc: added two new rpc commands ul.users and ul.contacts
    
    - for accessing number of different AoRs and contacts in a location table

commit 6531b8d495ead58a85cb101d914b5bf18c2ecddb
Author: Klaus Darilion <klaus.mailinglists@pernau.at>
Date:   Mon May 27 10:44:51 2013 +0000

    modules/dialog: regenerate README

commit 68209cc2b15c2c0674d7cf4529607e148e3fc1b4
Author: Klaus Darilion <klaus.mailinglists@pernau.at>
Date:   Mon May 27 10:44:03 2013 +0000

    modules/dialog: improve documentation of DID matching

commit ace89166f84657b2ea4a70e8d9e2ccfbd032b1ba
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Mon May 27 00:49:46 2013 +0100

    pkg/kamailio/(centos|fedora): Added RPM for auth_ephemeral module

commit 2a29b2ba260584634f05c684ef39ab45e2dc51b6
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Mon May 27 00:32:19 2013 +0100

    core: updated groups to include new auth_ephemeral module

commit 0bea7f63afa0fd544ad93465db94ddef4ed67a00
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Mon May 27 00:25:03 2013 +0100

    modules/auth_ephemeral: new module for ephemeral credential based authentication

commit 375d878b5f318acc08b155c29398e4abb74edbd5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun May 26 17:11:25 2013 +0200

    sctp: added rpc commands to module documentation

commit ca923db8727333ad7df14126bb377418a829cce3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun May 26 17:04:23 2013 +0200

    sctp: rpc commands are prefixed with sctp
    
    - no longer part of core and proper matching of the module

commit 352a7dccf2570af857d7e2e50fed600c4762278d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun May 26 16:14:51 2013 +0200

    topoh: safety check for SIP messages
    
    - received callback can be executed for non-sip messages
    - reported by Julia

commit dfd8ec8c1e9f0a5c3c7aad6ec984e7a664e5af49
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Sun May 26 13:54:15 2013 +0100

    pkg/kamailio/(centos|fedora): Added rpm for sctp module
    
    - Also updated release to dev6

commit 1977645ceb12ca2d0f2f767046606f6c5ae2c3bb
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun May 26 10:43:24 2013 +0200

    dmq: many safety checks for mem mallocs and function return codes
    
    - added license header in the files

commit a85e7e5c192e4f597d17c98f4036d83639c6bc1f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun May 26 10:12:24 2013 +0200

    core: safety check for initialized SCTP API
    
    - reported by Juha Heinanen

commit 59c4a6550862ed7c3e8c63a3a5d5c1dcd404bd6d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat May 25 21:28:33 2013 +0200

    tm: return current branch id if sending fails and tm_failure_exec_mode=1
    
    - reported by Juha Heinanen

commit 93d97e53741d786692903bd9df9622cd55e4cfea
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat May 25 21:04:43 2013 +0200

    sctp: documented module parameters

commit 2e6675bd92968fd96865ee266ca4ba10c7cc1cdc
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat May 25 17:14:23 2013 +0200

    Makefile.defs: version set to 4.1.0-dev6

commit c4cf64ea992e0f0f46f1c6fc23c6f38c05a80b0f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat May 25 17:05:58 2013 +0200

    sctp: added skeleton files for docbook module documentation

commit 25c3df171d219eb71c63f4832b69f33b470c9c96
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat May 25 16:42:21 2013 +0200

    Makefile.groups: added compile group for sctp module
    
    - depends on libsctp-dev

commit 1bdbdb64e4862ddb69c2bf13be0f9be93968bb1e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat May 25 16:30:33 2013 +0200

    protoshoot: use Makefile pattern for utils
    
    - link to libsctp if SCTP support is enabled

commit a2afc3d42224d0c35e4867ad50251e7aa6231879
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat May 25 15:42:14 2013 +0200

    core: filled sctp core api
    
    - cleanup of not needed members

commit 61f5f6a63409f856a03b48e9ced22ad5c724acb2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat May 25 15:41:27 2013 +0200

    sctp: register sctp core api
    
    - done in mod_register() function
    - initialize the sctp options before modparams

commit e9f7980602cadcc179425cad57a4d0f89c63fb55
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat May 25 15:39:13 2013 +0200

    core: remove sctp options init from core
    
    - will be done in mod_register() from sctp module
    - don't print anymore info about sctp unsupported socket options in
      output of -v, they are known now only in sctp module which is not
      loaded at that time
    - sctp will print a warn message in mod init about unsupported socket
      options

commit cbbaf9abd5f34b50c47ac2ac350c77d3f36b511b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat May 25 11:57:02 2013 +0200

    sctp: exported sctp parameters via module interface

commit e549d96b571ae509a67984be789b281ed2230bc3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat May 25 11:24:22 2013 +0200

    core: readded conditions for core sctp forwarding functions
    
    - typo fixed in log message

commit 66e90f9888daefdb92dcebd28e188ce7f912a4f9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat May 25 10:56:11 2013 +0200

    core: added sctp callbacks api
    
    - functions needed in core - callbacks to be set by sctp module

commit d60d41136575408ea7ea9031c735476967755e46
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat May 25 10:54:33 2013 +0200

    sctp: add module interface for sctp transport
    
    - sctp support is now implemented as a standalone module
    - the core still needs SCTP=1 (now default) and -DUSE_SCTP to get the
      hooks enabled

commit af2473d426870650a0f4a2cb820894ee4dd793d0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat May 25 10:53:04 2013 +0200

    Makefile.defs: don't link to libsctp on Linux for SCTP support
    
    - only sctp module needs to link to it

commit f91c9696cc92ec4b74dd2494c39bbf2ffe062fab
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat May 25 09:35:22 2013 +0200

    core: added file sctp core interface

commit 7f8e7a8568740be65eada1cbd59110bb765f4d5a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat May 25 09:33:39 2013 +0200

    sctp: new module for SCTP transport
    
    - moved the sctp specific code from core to a module to make it easy to
      enable/disable sctp by loading/not loading the module instead of
      recompiling

commit 6287caecc438ace98a3ce3dc7a53e6064d7894dc
Author: Henning Westerholt <hw@kamailio.org>
Date:   Fri May 24 15:38:03 2013 +0200

    core: remove syn_branch functionality for calculating Via branch parameter
    
    * remove syn_branch parameter and functionality from core and tm module for
      calculating the Via branch parameter
    * reported from Richard Brady, rnbrady at gmail dot com to sr-dev
    * kamailio is not standard compliant with this setting enabled (RFC 3261,
      17.2.3 and 16.11) for stateless forwarding of replies
    * the performance reason that motivated this functionality are today not
      valid anymore, even embedded systems have more than enough power to
      calculate MD5 and other modules uses more expensive operations anyway
    * adapt a bunch of example and test configuration that used this parameter,
      it has been also removed from the core cookbook wiki

commit 28942a00bc7be5194625b9ed08facd2f95ebea81
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri May 24 00:36:57 2013 +0200

    pv: added $_s(format) variable
    
    - evaluate the format as a dynamic string
    
    $var(x) = "sip:" + $rU + "@" + $fd;
    
    is equivalent of:
    
    $var(x) = $_s(sip:$rU@$fd);
    
    - it can be more compact sometimes in config

commit 76c883eb88359f6075712f648a1dfc675872487a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu May 23 12:06:45 2013 +0200

    auth: add chapter tag around sections for Admin Guide
    
    - the ToC isn't properly generated otherwise
    - reported by Andrew Pogrebennyk

commit b3c69488bf80e76c2359f6d9611cbcf2edf6c67f
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu May 23 09:45:03 2013 +0200

    modules/debugger: update documentation. This is Kamailio!

commit 169e92b86d6a1a98be92d0012bd831785855b968
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu May 23 09:07:53 2013 +0200

    modules/debugger: refresh README

commit 6417ac9f99a0c97254206797070bbe3095002847
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu May 23 09:04:12 2013 +0200

    modules/debugger: use cfg framework to be able to activate/deactivate debug per module.
    add missing files from commit.

commit feb00c92297eb2d4520a59f1a676cf998add1b5d
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu May 23 08:58:38 2013 +0200

    modules/debugger: use cfg framework to be able to activate/deactivate debug per module.
    
    mod_hash_size has to be set with a value > 0 on startup.

commit 31880a46d7f634b568cc192bec6db3d969e738ef
Author: Klaus Darilion <klaus.mailinglists@pernau.at>
Date:   Tue May 21 12:39:15 2013 +0000

    modules/auth_db: detailed documentation of URI checking in auth_check function

commit 2669197352bfc20bc916c00f74ac14380f8a62f8
Author: Juha Heinanen <jh@tutpro.com>
Date:   Mon May 20 21:03:30 2013 +0300

    modules/usrloc: fixed unregister bug in db_mode=3
    
    - Commit ce1d16ce1c8009918c294307de53f35378868b52 introduced unregister
      but that appeared in db_mode=3 when db_ops_ruid param is not set.
    - Reported by Peter Dunkley.

commit c9448d9657f0e5792072c6803643c8d9075d711a
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Mon May 20 18:33:52 2013 +0100

    modules/rr: completely reverted after_strict() to its pre-outbound form

commit f0ae598a3e63e62d12a143c6cd42b698ad1f2eed
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Sun May 19 23:56:06 2013 +0100

    modules/websocket: Improved module_loaded() check for nathelper and outbound so it only fires when the SIP subprotocol is enabled

commit 45d4e808f0551a5eeb832574327a2b5b7aecf2c5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun May 19 23:18:19 2013 +0200

    uac: reorder fileds in uac structure

commit 97a899e37acda1ef0c70a009f4fd9d221ee8a58e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun May 19 23:16:55 2013 +0200

    seat: removed no longer necessary init of tm uac struct

commit b867893d0bbdda0c926a7cd0b6b3a46d4324631e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun May 19 23:15:42 2013 +0200

    dialog: remove unnecessary tm uac struct init

commit 94833f8b8b94398566991713730b66a792b57056
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun May 19 23:09:52 2013 +0200

    tm: initialize the uac structure to 0 for local generated requests
    
    - safer for adding new fields to it not set via set_uac_req()

commit a53580d39c2fadf2ddc6f9805f15ac833cfd4c20
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun May 19 14:55:52 2013 +0200

    tm: new parameter - failure_exec_mode
    
    - specify whether to consider or not execution of failure routing blocks
      for braches that had local delivery error (e.g., no open tcp
      connection and set_forward_no_connect() used in config)

commit 78669def2790205270032f9a750b19cc86f3d560
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun May 19 10:22:10 2013 +0200

    tm: added icode to uac_client structure
    
    - store internal processing code, to give hints of what happened
    - could be used to map sip warning codes
      http://www.iana.org/assignments/sip-parameters/sip-parameters.xml#sip-parameters-5
    - delivery failure on case of no connection mapped temporarly to 908

commit cbcf86a036e6f8607f783ce18491121b0d58d2b0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun May 19 10:16:40 2013 +0200

    tm: keep uac_client structure aligned on 32b
    
    - otherwise it may create troubles on restrictive archs

commit 90c69665edcfc9aebf265f280375251306442b98
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun May 19 10:03:02 2013 +0200

    tm: use - instead if _ in branch-failure examples
    
    - it is what is expected by module

commit 1a099f704ffbb93f5c6389e86daa5af90aeb72f1
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Sat May 18 22:20:57 2013 +0100

    pkg/kamailio/(centos|fedora): Updated changelog in .spec

commit 5cff9062807ed181eae3a1db2d70fa625f647a4c
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Sat May 18 22:17:22 2013 +0100

    pkg/kamailio/(centos|fedora): refactored .spec

commit 7ebf6affca7b2585353baa91f1560ff606979973
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Sat May 18 20:43:05 2013 +0100

    modules/websocket: Updated documentation

commit 20438793a5199ea90f0261a3b72b1b70e9566a30
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Sat May 18 20:42:53 2013 +0100

    modules/outbound: Updated documentation

commit 6dc38a3618b2ad08bbc6feeee1c44ca19e0c5bd6
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Sat May 18 20:42:24 2013 +0100

    modules/msrp: Updated documentation

commit a1136bf809e7d088332d54440a72edee4e30c26a
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Sat May 18 20:27:45 2013 +0100

    modules/outbound: moved the check for "Supported: outbound" to after the checks on the Route: header
    
    - In the scenario when a call comes from a non-outbound end-point to an
      outbound end-point the outbound options-tag will not be present, but outbound
      should still be used on the final leg between the edge-proxy and the
      end-point.

commit 8750305d4686ccae3a168454c4191f9b05d93ee3
Merge: e81b3aa abdf40d
Author: Konstantin Mosesov <ez@voipgroup.org.ua>
Date:   Sat May 18 13:59:07 2013 +0300

    Merge branch 'master' of ssh://git.sip-router.org/sip-router

commit e81b3aac19ab567813d6cb21fcba3d9bd6e1cc90
Author: Konstantin Mosesov <ez@voipgroup.org.ua>
Date:   Sat May 18 13:56:22 2013 +0300

    parser/sdp: Fixed segfault in sdp_print() when no SDP body.
    
    - Failed scenario:
    remove_body();
    msg_apply_changes();
    sdp_print("1");
    
    - Result: sdp=0x0

commit abdf40dabb7e7d44398056b9c2c72c0615debb52
Author: Henning Westerholt <hw@kamailio.org>
Date:   Sat May 18 10:07:25 2013 +0200

    core and modules: make IPv6 default, remove compile time flags
    
    * Make IPv6 the default in the core and affected modules
    * it has been default switched on since a long time, and was introduced in 2002
    * even on embedded systems one probably want now proper IPv6 support
    * there was an issue in cygwin in 2008, but IPv6 is there also available since v1.7
    * remove over 160 #ifdefs, cleanup the code a lot and removes many of rarely
      tested alternative code paths to ease support of the codebase
    * note for gentoo maintainer: please review your packages, they will maybe not
      work now correctly anymore if somebody specified -ipv6 in the use flags

commit 1b0ad814aec79a44b865ad2d3552c4693fe2ea6d
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Sat May 18 00:18:43 2013 +0100

    modules/{various}: updated because there is now an extra parameter on the append_branch() function

commit 42063cacea9bf0f001f44b11216572b4f46e6e2d
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Sat May 18 00:17:48 2013 +0100

    modules/ims_registrar_scscf: use #define from core .h to specify the maximum UA length

commit 3ec65f1cfebad258e7ef0cc622ed143284c3edf1
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Sat May 18 00:15:59 2013 +0100

    modules/tm: copy user-agent string retrieved from usrloc into branches when serial forking

commit 5aeef2c932581a67d535ade10995cc35ff85640a
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Sat May 18 00:15:21 2013 +0100

    modules/registrar: store user-agent string retrieved from usrloc in msg and branch structures

commit 7bb5f98d7fd77ca6c21fb11e16d69116ef12cbb2
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Sat May 18 00:14:07 2013 +0100

    modules/pv: added PVs to provide access to the user-agent string retrieved from usrloc

commit 8ca114df0fad44e4819cf80840f90e526ff655b4
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Sat May 18 00:13:11 2013 +0100

    core: added fields to message structure and branch structure to hold user-agent string retrieved from usrloc

commit 381a052a8864198a62057dc307fdf39bbffe5436
Author: Konstantin Mosesov <ez@voipgroup.org.ua>
Date:   Fri May 17 21:35:59 2013 +0300

    modules/sdpops: Added new function sdp_get_line_startswith(avpvar, string).

commit 121c5a49f81effdac42977d716332215d6a95e4f
Author: Konstantin Mosesov <ez@voipgroup.org.ua>
Date:   Fri May 17 21:14:29 2013 +0300

    uac: Added ability to set Call-Id through $uac_req(callid).

commit 012816e404b52de697514e4f897ec8a8abe42abc
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri May 17 17:49:14 2013 +0200

    modules/debugger: refresh README

commit dbefbe319ba13b008ad46576dbc8a00d305e9910
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri May 17 17:48:17 2013 +0200

    modules/debugger: Added dbg.mod_level RPC command

commit e46e0c78ee4f535cd09b8ee9fcdba4ee7bb5b518
Author: Vicente Hernando <vhernando@systemonenoc.com>
Date:   Fri May 17 13:31:19 2013 +0200

    modules/uac: update README

commit fed1818b65c6cbab89cd7aa64ad8f5f6535d706c
Author: Vicente Hernando <vhernando@systemonenoc.com>
Date:   Fri May 17 13:30:05 2013 +0200

    modules/uac: upgrade doc to module.type.name format

commit 257366739a7087953c0ff9e0dff82f3d2cf7c8b4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri May 17 10:13:06 2013 +0200

    Makefile.defs: version set to 4.1.0-dev5

commit 86fce4b7b5e8bb56c65d628409ee50ecfb2756c4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri May 17 10:12:00 2013 +0200

    debugger: documented new parameters related to per module log level

commit 72f1b495c42933fea96a019e140dc6333fda2eb3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri May 17 09:58:19 2013 +0200

    debugger: option to set debug level per module
    
    - new parameters:
    	- mod_hash_size - size of internal hash table to store levels per
    	  module (used to compute power of two with it)
    	- mod_level_mode - enable/disable per module log level
    	- mod_level - specify module log level
    modparam("debugger", "mod_hash_size", 5)
    modparam("debugger", "mod_level_mode", 1)
    modparam("debugger", "mod_level", "core=3");
    modparam("debugger", "mod_level", "usrloc=3");

commit 34378c35b7cd037051af71081a9fa4d8b188c157
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri May 17 09:56:34 2013 +0200

    core: updated dprint api to enable support for debug level per module
    
    - a callback can be registered to return the log level based on module
      name

commit e081c2880b46174ad836ab1f56e3062bb17b4332
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri May 17 00:46:42 2013 +0200

    core: fixed printing function name in log message
    
    - based on http://gcc.gnu.org/onlinedocs/gcc/Function-Names.html

commit a4fb559b5634f91259bb96af991c5574719e6871
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri May 3 09:21:04 2013 +0200

    utils/kamctl: Add contact path parameter

commit ad0e5daa8865024440ea37a9e978eeeb7577602f
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu May 2 18:30:50 2013 +0200

    modules/usrloc: use 6th param to set the contact path

commit c454e4b0129695c7647f6af8e42a38d785d58a7d
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu May 2 16:56:45 2013 +0200

    Fix ul.dump q output value

commit f66912d541403dc2b7e2ed0846a553ff76cec3ed
Author: Vicente Hernando <vhernando@systemonenoc.com>
Date:   Thu May 16 12:11:36 2013 +0200

    modules:uac updated README after avoiding quotes in display.

commit 251c0218e7d5e09f43a2b834a5450c20bb4f6d60
Author: Vicente Hernando <vhernando@systemonenoc.com>
Date:   Thu May 16 12:06:55 2013 +0200

    modules/uac: avoid adding double quotes in uac_replace_* functions
    
    - updated uac doc with a note and examples.

commit fe7e4a5152674aa9c81c09dd2fc9938d9e9e762e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed May 15 22:45:18 2013 +0200

    pv: clone result of several string transformations
    
    - it is safer for assigning back to the same variable on which the
      transformation was applied
    - reported by Martin Mikkelsen

commit 9330607f1d1132d4e7719d6a92fd26f4ff06665a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed May 15 19:02:58 2013 +0200

    misc_radius: documented common_response parameter

commit 0eb9ef443db58109f5ed2f3ae7851ad368082bb8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed May 15 18:58:01 2013 +0200

    misc_radius: new parameter common_response
    
    - get the radius response specific attributes in avps
    - patch by Victor V. Kustov

commit 6038bae188863f541994976d299c38f50b0a699b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue May 14 19:52:45 2013 +0200

    utils/misc: updated vim syntax file

commit ce1d16ce1c8009918c294307de53f35378868b52
Author: Juha Heinanen <jh@tutpro.com>
Date:   Tue May 14 11:05:00 2013 +0300

    modules/usrloc: reduce work if contact attributes are not in use

commit 6c3853981a7574cd162117ef0d98dba205193d1b
Author: Juha Heinanen <jh@tutpro.com>
Date:   Mon May 13 15:26:57 2013 +0300

    modules/usrloc and registrar: added possibility to unregister without aor
    
    - added possibility to unregister without aor if usrloc uses db_mode=3
    - added new usrloc api function delete_urecord_by_ruid()

commit 65881c31b9a8aa1d4646891e8ea20d22646ce850
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon May 13 11:01:28 2013 +0200

    Makefile.defs: devel version set to 4.1.0-dev4

commit 8e644b8e1ccd9c4d6383a2863f9bf247f789a987
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon May 13 11:00:08 2013 +0200

    tm: fixed warning related to failure branch routing block execution
    
    - routing blocks id are >=1, the condition was always true because the
      field in tm struct is unsigned int
    - gcc warning was: comparison is always true due to limited range of data
      type

commit 80e8058d9acea7c994819d043456fd1b449b048b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon May 13 10:59:20 2013 +0200

    core: debug message to show mapping of routing block names to ids

commit 32951506dff11df32c03230c1548553838140574
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon May 13 10:35:35 2013 +0200

    msrp: cache in a local variable if tls module is loaded
    
    - avoid looping at runtime through the list of modules

commit 0ca1a789e52e5d559983c3cfb4d851ae375c7758
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Sun May 12 14:18:13 2013 +0100

    modules/outbound: reduced the level of some outbound related diagnostics

commit b0b3887b099fd16906d9e42fcc05d2f899574426
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Sun May 12 14:17:55 2013 +0100

    modules/rr: reduced the level of some outbound related diagnostics

commit 4fafe7bd6d781748722de4fb565808063c8f6c4d
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Sun May 12 14:10:24 2013 +0100

    modules/rr: reduced the level of an outbound related diagnostic message

commit ee2847c5f508fc8757221e5772c03b62d07f172a
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Sun May 12 14:09:58 2013 +0100

    modules/path: reduced the level of an outbound related diagnostic message

commit 116ba23c60be15f5fdc1e0cf0f9a9a7affdd32b3
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Sun May 12 14:09:28 2013 +0100

    modules/websocket: Added check to stop Kamailio starting if WebSocket is loaded without xhttp

commit afdae93c5eba15496498be292c0c99608d801757
Author: Juha Heinanen <jh@tutpro.com>
Date:   Sun May 12 16:10:40 2013 +0300

    modules/presence: downgraded unsupported event syslog message
    
    - Downgraded unsupported event syslog message from error to notice.

commit 116daef9b55d82a016d1fd3e3d877a2468c55d1a
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Sun May 12 13:57:44 2013 +0100

    modules/msrp: Use "msrps://" URIs for the server when TLS is loaded. TLS is mandatory for MSRP relays.

commit 30c8ead0b18678950b7596d4247d51cb56614d42
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Sun May 12 13:57:00 2013 +0100

    modules/msrp: added warning when MSRP is loaded in a configuration without TLS.  TLS is mandatory for MSRP relays.

commit b220a571d010851ee72c6bf6263a958335283b62
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Sun May 12 13:55:46 2013 +0100

    modules/websocket: added warning when websocket module is loaded in a configuration without either the nathelper or outbound modules

commit 2bb07b9d2df567e24f86b291bee7748db104252b
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Sun May 12 13:54:59 2013 +0100

    modules/outbound: added warning message when outbound module is loaded in a configuraiton that does not load the stun module

commit 9af456f292e25be2c5689212ed097177a5a16338
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Fri May 10 20:04:02 2013 +0100

    modules/websocket: Added ws_close() exported function
    
    - Enables immediate closure of a WebSocket connection from the configuration
      file.

commit 399dd84d28da82d751e40488cda604a4e03fcbf3
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Fri May 10 20:02:51 2013 +0100

    modules/pv: added new $conid PV
    
    - Returns the TCP connection ID that the current message arrived on (for
      TCP/TLS/WS/WSS) or $null (for UDP/SCTP)

commit 81d3eebd51089686949ab22da60166d4f3a460a7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue May 7 19:15:36 2013 +0200

    core: get rid of deferencing type-punned warning in deb wheezy
    
    - reported by Victor Seva

commit acf033559f728e9967eb32f5340b0508a232172b
Author: Carsten Bock <carsten@ng-voice.com>
Date:   Tue May 7 22:31:34 2013 +0800

    Remove "ignore_failed_auth" Parameter from example config - otherwise you may register without correct password.
    (the parameter was added for loadtesting only)

commit 994155161263dab7a7f7c01105ea474702cf7fee
Author: Richard Fuchs <rfuchs@sipwise.com>
Date:   Mon May 6 11:03:07 2013 -0400

    path: support SPVE in add_path*() and add second parameter
    
    This includes a major rewrite and code cleanup of prepend_path(), which
    doesn't perform any other functional changes.

commit fa9b8664a3b7c7a035c738a37b8ef0ef44190cb8
Author: Juha Heinanen <jh@tutpro.com>
Date:   Fri May 3 19:53:12 2013 +0300

    modules/rls: added support for escaped chars in rls-services document

commit 86d706bd4a1e31160883a4f094f3e04f9380de04
Author: Carsten Bock <carsten@ng-voice.com>
Date:   Fri May 3 18:45:07 2013 +0200

    Make XML-RCP configurable in example scripts
    - Improvement: Automatically enable TCP, if XML-RPC is requested
    - Improvement: Allow the configuration of TCP-Children (especially for XML-RPC)
    - Improvement: Add missing configuration information

commit 141808e9c0789e56f29297e2d2c185e091ebb66a
Author: Henning Westerholt <hw@kamailio.org>
Date:   Thu May 2 23:41:28 2013 +0200

    memcached: port to more recent memory manager callback structure
    
    * port to more recent memory manager callback structure
    * add small wrapper for calloc, implemented not optimal at the moment
      because the pkg_calloc from core/mem is not exported yet
    * add initial code to check for server connection during startup, not
      enabled yet as its work in progress
    * reorder structure a bit to allow for clean shutdown because of internal mm

commit 0332acbc4cf2339f3b6b068f460d00e92221a8ef
Author: Henning Westerholt <hw@kamailio.org>
Date:   Thu May 2 21:36:17 2013 +0200

    memcache: fix "maybe used uninitialized" warning from gcc

commit 003d87edc23f62de98a1a22db03b12ea58abcbc6
Author: Henning Westerholt <hw@kamailio.org>
Date:   Thu May 2 21:17:57 2013 +0200

    mangler: fix double definition of contact_flds_separator, reported from ld

commit d6dba0e1b649bcfacaac2dd3496b497e944ebaba
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu May 2 13:43:58 2013 +0200

    Makefile: fixed path to kamailio.default in deb specs dir

commit 50e9baf2131befa2243a221566b6505a55216208
Author: Juha Heinanen <jh@tutpro.com>
Date:   Wed May 1 18:04:47 2013 +0300

    modules/registrar: added regid_mode module param
    - Tells if REGISTER contact regid (if present) is used when REGISTER request
      is saved even if request does not indicate support for outbound.

commit cc00df26d2e3298751541cc0d4ad35bf0ac361f4
Author: Juha Heinanen <jh@tutpro.com>
Date:   Wed May 1 12:34:25 2013 +0300

    modules/htable: added htable.reload rpc command

commit 0ff087e9715298abf3187c52a9d1ac70031f1499
Author: Juha Heinanen <jh@tutpro.com>
Date:   Wed May 1 11:54:20 2013 +0300

    modules/mtree: added mtree.reload rcp command

commit c57575c5b289c3468eb5c651c1e56699f554298a
Author: Juha Heinanen <jh@tutpro.com>
Date:   Wed May 1 09:43:51 2013 +0300

    modules/usrloc: added missing rpc commands
    - added missing rpc commands ul.rm, ul.rm_contact, ul.flush, and ul.add
      by patch provided by Víctor Seva

commit 878b343f374a62d7ea5ebe5e85b00c391956b623
Author: Torrey Searle <tsearle@gmail.com>
Date:   Tue Apr 30 12:01:00 2013 +0200

    data_lump return a comment back to it's owner

commit 8f74c57605fdd1d31c7808a3b8afc79cc981b370
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Mon Apr 29 20:54:52 2013 +0100

    modules/websocket: fixed mandatory headers check

commit a2e7f65ee8b86d37a6772619ae10087a05219192
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Mon Apr 29 20:38:06 2013 +0100

    modules/websocket: doubled the size of the buffer for adding headers to WebSocket handshake responses

commit 3d5c66997e77ae4f4c181e5a77c943156a7db00a
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Mon Apr 29 20:34:36 2013 +0100

    websocket: added "cors_mode" parameter to enable "Cross-origin resource sharing" on WebSocket handshakes
    - I don't know of any WebSocket clients that require this (yet).  But having it
      in there won't break anything.

commit 14d4ea782a9a24da9755963ea12807f255cebce5
Author: Richard Fuchs <rfuchs@sipwise.com>
Date:   Mon Apr 29 11:26:18 2013 -0400

    db_mysql: add cast to remove compile warning

commit 218a83c50a217c420502d484738b6b3401c89b8c
Merge: edebc03 aefea54
Author: Juha Heinanen <jh@tutpro.com>
Date:   Sat Apr 27 18:10:28 2013 +0300

    Merge branch 'master' of ssh://git.sip-router.org/sip-router
    - Forgot to pull before push.

commit edebc03f65445f968accb58b5a761817aaee55e8
Author: Juha Heinanen <jh@tutpro.com>
Date:   Sat Apr 27 18:07:21 2013 +0300

    modules/usrloc: fixed typo in db_ops_ruid param name

commit aefea5477dc7878d5e818628e04ddcb088fd2858
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Apr 26 19:55:43 2013 +0200

    tm: wrap around expression adjusting length for To/From headers
    
    - applies for local requests

commit ff890a4eee1888ed3e1e080a18bd72124ab99690
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Apr 26 19:00:36 2013 +0200

    tm: fixed name of the target uri used for From header
    
    - effect of previous commit

commit f22dcd559c739dd99275cd2444cf481d458d2fab
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Apr 26 18:32:55 2013 +0200

    dispatcher: proper localization of To uri for keepalives
    
    - it was affected by introduction of <> around the URI in To header
    - reported by Peter Dunkley

commit 57ed79b9d45c29d37c405c3fa582c1d1011a2315
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Apr 26 18:24:01 2013 +0200

    tm: adjust size of the hooks to From/To headers for local genrated requests
    
    - take in cosideration <> if it is the case

commit 2e1ade7c66217280455136fb85aeb3a8e8e6917d
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Fri Apr 26 15:29:47 2013 +0100

    modules/siptrace: Support for ws: and wss: (fake protocols as per tls:)

commit 5b96c7e6ec3cfd8354a6a257a87144196d57fec3
Author: Marius Zbihlei <mariuszbi@gmail.com>
Date:   Fri Apr 26 09:56:26 2013 +0100

    core: fixed compilation on Solaris, due to missing gethostbyname2
    
    TODO: provide a wrapper over dnssec for getipnode...() for Solaris

commit 5e96920289cbf448ac684d8cb1333d75f65a729a
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Thu Apr 25 14:50:41 2013 -0400

    snmpstats: fix cross-compilation

commit ad11cdca0941cd114e17bb80337a7557818220d5
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Thu Apr 25 18:16:28 2013 +0100

    modules/msrp: Use "msrps://" instead of "msrp://" in headers when the transport is WSS

commit 4c7195915b38ba343484833532b82b42879d7138
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Thu Apr 25 16:13:48 2013 +0100

    modules/websocket: fixed segmentation fault relating to recent counter changes

commit 4e4b1339bfd3a832f5feeb1d2a2380c7455ec82b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 25 14:50:40 2013 +0200

    tm: add angle brackets around From/To URI for local generated requests
    
    - safer for special cases of URI format

commit 744a8d317b894a1360e3441a9e69ac9190a1745b
Author: Juha Heinanen <jh@tutpro.com>
Date:   Thu Apr 25 14:12:21 2013 +0300

    modules/outbound: added force_no_outbound flag

commit 81f622b9ef7d32434659f1e6d9a21c8013cefec7
Author: Klaus Darilion <klaus.mailinglists@pernau.at>
Date:   Thu Apr 25 08:12:07 2013 +0000

    sipcapture/siptrace: set default db_url to read-write URL

commit c923dec79e20b77f0b42f0ef286eb396bb06f29c
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon Apr 22 17:09:19 2013 +0200

    app_lua: Added sr.xavp.get function in order to get a table with all the values of a xavp.

commit 0c866d07dd2124b92329106c1cea19bef6ccca9a
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon Apr 22 10:48:08 2013 +0200

    app_lua: Added sr.xavp.get_keys function.

commit 288e2739da28251e12086b52358c3a0d18e91fa5
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon Apr 22 10:46:17 2013 +0200

    core[xavp]: Added helper function to get a list of keys from a xavp variable.

commit ac99219b0a850e0305eaf661b028536cfc28e2cb
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Wed Apr 24 22:01:59 2013 +0100

    modules/presence_xml: fixed issue with parsing some pres-rules documents
    
    - pres-rules that contain external links in a <conditions /> node don't
      have to have <identity /> nodes in the <conditions /> node.
    - Kamailio returns an error when it finds a <conditions /> node with
      no <identity /> node inside it.
    - Kamailio doesn't support external links, but it should skip over
      the <conditions /> nodes that contain them rather than return
      an error as later <conditions /> nodes may contain entries it can
      work with.

commit 96a1af2f261085db695d8a3b23c1a16f39b393fa
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Wed Apr 24 21:07:07 2013 +0100

    examples: added WebSocket edge proxy example using outbound for NAT traversal

commit 4f68c5626530a1bfe2c7ce72eb3de24b3e7e73dc
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Wed Apr 24 21:06:36 2013 +0100

    examples: added outbound edge proxy and registrar example configurations

commit a0c85d1187dd75a8ab6db9604baee93a5d4f478f
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Wed Apr 24 21:04:56 2013 +0100

    examples: updated basic websocket example

commit cf908dc57b4f62e8daf28c7a0199284bd0b4dc69
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Wed Apr 24 21:04:24 2013 +0100

    modules/outbound: Updated examples (edge proxy and registrar) in documentation

commit e8cf4ef94d8759641ce682b50bad303baa58a2e8
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Wed Apr 24 16:34:29 2013 +0100

    modules/rr: Fixes relating to outbound and record-routing

commit 9b1f607ccd3575a2c3a4aba7f6c36e637f9d7022
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Wed Apr 24 14:28:36 2013 +0100

    pkg/kamailio/(centos|fedora): Updated rel in .spec file

commit 0b8cbbd8359a3c049b0da7a743de3b996412ab35
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Wed Apr 24 14:26:09 2013 +0100

    core: Fixed error where ";transport=wss" parameter was sometimes added to URIs
    
    - It should always be ";transport=ws" with WebSocket

commit 1e84948d120ef2b1206f90458d47486239cfd81b
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Wed Apr 24 14:24:45 2013 +0100

    modules/rr: Double-route and outbound support in loose.c
    
    - Have removed outbound support from strict routing for now as it was incorrect
      and I don't have a system to test with.

commit 0125cdf0e75271a8478a3eadacc54ea1c1eb4da0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 24 17:26:15 2013 +0200

    usrloc: update call-id value in db when matching record by ruid

commit ef0a17f0e4c9426f64168eb24568ba906e554315
Author: Jon Bonilla <jbonilla@sipwise.com>
Date:   Wed Apr 24 16:46:55 2013 +0200

    pkg/deb: Deprecate lenny
    
    Lenny is not a supported version of debian any more.
    At sip-router squeeze and wheezy are being mantained at the moment.
    Let's deprecate lenny for future releases.

commit d9b7cfcd63b5432bc956f0be3a9b4d5eea026786
Author: Jon Bonilla <jbonilla@sipwise.com>
Date:   Wed Apr 24 16:42:59 2013 +0200

    pkg/deb: Change memcache module dependencies
    
    libmemcached-dev is the new dependency deprecating libmemcache

commit 9106eca16924dd6dc797295ba2d74ee16865acaf
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 24 16:27:13 2013 +0200

    usrloc: regenerated the readme for db_ops_ruid parameter

commit e66842c2fc34d8dc8980efa821f7039685edef87
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 24 15:41:34 2013 +0200

    usrloc: documented db_ops_ruid parameter

commit 61e08282c905c2ee03a2be618b1e700fc0acbdeb
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 24 15:34:16 2013 +0200

    usrloc: option to do db update/delete ops using ruid
    
    - new parameter db_obs_ruid - if set to 1, db update/delete operations
      are done using ruid value
    - if paramter set to 0 (default) the old style using aor, contact and
      call-id is done

commit 52d339408f499c867548f2531be1cac119b31e3b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 24 13:38:32 2013 +0200

    core: new global parameter - modinit_delay
    
    - sepecify microseconds to sleep after initializing a module in order to
      cope with systems having rate limits on new connections to db or other
      servers

commit 735f83d6346c97d6f7b1da26a2fee1b6270872b1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 24 13:36:08 2013 +0200

    registrar: added debug message to print generated ruid for contact
    
    - formatted condition to fit 80 char long line

commit a74980270b655124c276279e54b8f82965f3f4b8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 24 10:26:49 2013 +0200

    sqlops: use one char buf for empty strings in db results
    
    - safe for the parts of code that want to access it even for write

commit 0e09fba67dc5d75d5e73bb7d35deecf721b37cfc
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Wed Apr 24 11:49:21 2013 +0100

    modules/rr: refactored process_outbound()
    
    - Still need to update loose.c to properly handle double-RRs with flow-tokens

commit c38c0ba0ab3244aa387de706a4555fab28c67ad7
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Wed Apr 24 11:48:21 2013 +0100

    modules/rr: add double record-routes when outbound is enabled
    
    - Note: loose.c does not yet handle these properly

commit fdb6c8cbafec7849367f16f5dc56ffa20885bef4
Author: Klaus Darilion <klaus.mailinglists@pernau.at>
Date:   Wed Apr 24 09:09:25 2013 +0000

    core: fix default read-only DB URL

commit 53319656247a2aa685f4d9b6f667192f945bc62a
Author: Torrey Searle <tsearle@gmail.com>
Date:   Tue Apr 23 14:04:39 2013 +0200

    modules/sipt add value tables to docs, add section ids to pvars

commit 20646b530baa1a2807e52048a8d99d31d2171bb6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Apr 23 13:02:49 2013 +0200

    usrloc: re-init sruid struct for each child
    
    - avoid overapping values for xmlrpc handling

commit 6835b9bc1c80035a603016cf8149afefbf535929
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Apr 23 11:59:09 2013 +0200

    uac: regenerated readme with new wiki link

commit 2b97e81b281802283ebc665da6f9190f0a9705ab
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Apr 23 11:58:17 2013 +0200

    docbook: uptdated wiki link in entities file

commit b89c747bc717c0f9053e53c53a74f9744c1b8606
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Apr 23 11:52:13 2013 +0200

    uac: added possibility to authenticate generated requests
    
    - $uac_req(auser) - specify the authentication username
    - $uac_req(apasswd) - specify the authentication password
    - if both attributes above are set and the request is challenged with
      401/407, then the request is resent with auth header

commit b57d14afeed443bd3ff847a455c1f07bdca7dd09
Author: Torrey Searle <tsearle@gmail.com>
Date:   Tue Apr 23 10:39:01 2013 +0200

    modules/sipt forgot to stage the documentation (pvars added)

commit d02ebb2584d2e4f676a9f8c4e0f6095045de86db
Author: Torrey Searle <tsearle@gmail.com>
Date:   Tue Apr 23 10:37:09 2013 +0200

    modules/sipt regenerate README with new api

commit 781b0a68cbf3a9b93bda0ebafb9ae64257c202d3
Author: Torrey Searle <tsearle@gmail.com>
Date:   Tue Apr 23 10:30:11 2013 +0200

    modules/sipt refactor get functions into pvars
    
    return value of 0 in a function causes the script to exit, so
    pvars are used instead to safely get the values
    
    also getting screening and presentation information added

commit ee928f8229dffdcb2d980e6ca192a9a7778e893b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Apr 22 18:10:38 2013 +0200

    core: include <netinet/in.h> in new dns_func.c file to fix compilation of freebsd
    
    - patch by Victor V. Kustov

commit 717cd63e7f52f9298e6ba6f55f12129ab5e61ccd
Author: Torrey Searle <tsearle@gmail.com>
Date:   Mon Apr 22 10:11:17 2013 +0200

    modules/sipt added new method sipt_set_calling

commit 066011935c7a2636ea976923e46d33ae5fb4c793
Author: Henning Westerholt <hw@kamailio.org>
Date:   Sun Apr 21 21:56:28 2013 +0200

    memcached: port module to use the newer libmemcached library
    * based on a patch from Charles Chance, sipcentric.com
    * He added new functionality to set the expiry directly in the key
    * Added memory manager wrapping functions and some more logging,
    * smaller cleanups in the code structure
    * This is work in progress, the memory management stuff is not yet
    * finished, as this needs different logic for client lib version
    * before and after 0.32. It will not work at the moment correctly.

commit dedede1cc7d384be3b4436a474b53d03f91a966a
Author: Marius Zbihlei <mariuszbi@gmail.com>
Date:   Sun Apr 21 20:28:21 2013 +0100

    modules/dnssec added cleanup of context

commit e206fdf4bfb398f5175726d75bfa5f9b8f5a9b70
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Apr 21 21:17:29 2013 +0200

    Makefile.defs: version set to 4.1.0-dev3

commit 7ec7231a86bc895b22a8ae5b617764b6171ac6d4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Apr 21 21:16:49 2013 +0200

    Makefile: added target to install init.d script on debian

commit be4b94efde40180d642af0e87f15f4c9bdc4ce7b
Author: Henning Westerholt <hw@kamailio.org>
Date:   Sun Apr 21 19:51:34 2013 +0200

    tests: fix test sipp scenario

commit 731f1b2a72a04901b11e34de91bc1c276e47fce1
Author: Henning Westerholt <hw@kamailio.org>
Date:   Sun Apr 21 19:25:51 2013 +0200

    tests: fix module paths

commit 65d2823cd6236cfebc26f4a1d5b6e5ee2a3d2156
Author: Henning Westerholt <hw@kamailio.org>
Date:   Sun Apr 21 18:54:48 2013 +0200

    tests: remove some unnecessary directory changes

commit cd46c51dd12e85ba1508ce5752762269686eeded
Author: Henning Westerholt <hw@kamailio.org>
Date:   Sun Apr 21 18:49:19 2013 +0200

    tests: fix some old paths

commit 59117e598386d013d9c9f62282aa434dc5806c03
Author: Henning Westerholt <hw@kamailio.org>
Date:   Sun Apr 21 18:30:21 2013 +0200

    tests: use bash compliant return values

commit b3682521361ce0cdbaf50f843a2d80bcb1b8b41d
Author: Marius Zbihlei <mariuszbi@gmail.com>
Date:   Sun Apr 21 15:26:05 2013 +0100

    modules/dnssec: added support for libval query parameter flags
    
    Documentation in the README

commit ebeb18ffed8e81ae472b4c07097b58fbea115b5b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Apr 21 16:07:34 2013 +0200

    pv: updated link to wiki site

commit f0c467f64c044de0b0f37addccb97d3ccff78706
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Apr 21 16:06:56 2013 +0200

    acc: updated link to pseudo-variables cookbook

commit a5a7d62271bf1674015d8ab1d928c0325224b77e
Author: Marius Zbihlei <mariuszbi@gmail.com>
Date:   Sun Apr 21 13:32:26 2013 +0100

    modules/dnssec: removed unused variable

commit 61519687d5cca6e77ba2ba456f845c140a66ccc1
Author: Marius Zbihlei <mariuszbi@gmail.com>
Date:   Sun Apr 21 13:30:16 2013 +0100

    modules/dnssec: removed bogus param

commit 325aa35f76f7727abe010b03a0dd03b5f487e26a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Apr 21 13:38:30 2013 +0200

    Makefile.groups: proper fixing of all modules list
    
    - reported by Vicente Hernando

commit fc80791c65fa46389168bd5e16af6b33c1bbc36c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Apr 21 13:09:43 2013 +0200

    Makefile.groups: fixed another type of double parenthesis
    
    - reported by Vicente Hernando

commit edd7f8ed5b8b893276c86bb054e6f7523ad69f33
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Apr 19 22:50:26 2013 +0200

    Makefile.groups: fixed typo

commit ea964748dc638af82d2363317ca2eade98a279ac
Author: Juha Heinanen <jh@tutpro.com>
Date:   Fri Apr 19 17:39:05 2013 +0300

    modules/outbound: downgraded one INFO to DGB

commit 7a96d912032939b8eb108e0e84b70bbf0642e2ab
Author: Juha Heinanen <jh@tutpro.com>
Date:   Fri Apr 19 17:36:27 2013 +0300

    modules/outbound: for non-reg requests, check if outbound is supported
    
       4.3.  Sending Non-REGISTER Requests
       ...
       UAs that support this specification SHOULD include the outbound
       option tag in a Supported header field in a request that is not a
       REGISTER request.

commit 752de05cc567c7502b1e723a09e350ce8d447664
Author: Juha Heinanen <jh@tutpro.com>
Date:   Fri Apr 19 13:24:52 2013 +0300

    modules/rr: if outbound request is outgoing, do nothing outbound
      specific in loose_route()

commit e3c0a3abb6045e841fbb4b1b61a518b2b87a217d
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Thu Apr 18 16:03:50 2013 -0400

    seas: fix warning [-Wunused-result]
     - ignoring return value of write, declared with attribute warn_unused_result [-Wunused-result]

commit c0f4b6cf664ac552d0c994e99adb13991a37ef28
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Thu Apr 18 16:01:16 2013 -0400

    seas: fix compiler warning [-Wunused-but-set-variable]

commit 12cd241d95b8d38cea6e60676b752f8ef8a2ed8c
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Thu Apr 18 15:54:14 2013 -0400

    seas: fix compiler warning [-Wunused-but-set-variable]

commit 21e51107a5a08b182abc7bffbac1fec1be27950b
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Thu Apr 18 15:51:50 2013 -0400

    seas: fix compiler warning [-Wunused-but-set-variable]

commit 2abf2d4a42c05004319e682d2ad07d69bf2fc89e
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Thu Apr 18 15:50:25 2013 -0400

    seas: fix compiler warning:
     - warning: variable flags set but not used [-Wunused-but-set-variable]

commit 21386829d819c06c42871cf5b68d0d3a63ef0222
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Thu Apr 18 15:48:03 2013 -0400

    seas: fix compiler warning:
     - warning: variable flags set but not used [-Wunused-but-set-variable]

commit 200eddad28abd6bc51da3285dd52d5f8c88c4e56
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Thu Apr 18 15:45:50 2013 -0400

    seas: fix compiler warning
     - warning: variable flags2 set but not used [-Wunused-but-set-variable]

commit 63736be1e4d2d6e82a0f7be6a85a96ee66c10146
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Thu Apr 18 15:42:40 2013 -0400

    seas: fix compiler warning:
     - warning: variable falgs set but not used [-Wunused-but-set-variable]

commit 8393ccdc1558f56ba819a442d0c50d25f51a934d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 18 21:28:54 2013 +0200

    dnssec: added reference to wikipedia's DNSSEC article

commit 343379957ab783a32c48822de479a9d8c2dafdf3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 18 21:22:47 2013 +0200

    xlog: link to wiki updated

commit e2f9e909a2abd02cebb292cc8cb3500aa4c07036
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 18 21:22:01 2013 +0200

    dnssec: make web links clickable for html version

commit b3c8f92fe48ac90802c989c74c3a34cfea065861
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Thu Apr 18 14:09:09 2013 -0400

    dns_cache.c: fix compiler warnings
     - warningÃ¢sr_sums[*].r_sum may be used uninitialized in this function [-Wuninitialized]
     - warningÃ¢sr_sums[*].rr may be used uninitialized in this function [-Wuninitialized]

commit 38a4b85dc327e18af7e22e585f02413d7f08c56c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 18 18:01:35 2013 +0200

    Makefile.groups: dnssec module added to dedicated compile group
    
    - it depends on libval and other external libs

commit be3819d410bf5a9f11c3744d9978e60103746041
Author: Jason Penton <jason.penton@smilecoms.com>
Date:   Wed Apr 17 17:10:21 2013 +0200

    modules/dialog_ng: fixed incorrect log level

commit ee2cdfdaf8e2dc177fed64c6f4ab05a85f9fb0c6
Author: Jason Penton <jason.penton@smilecoms.com>
Date:   Wed Apr 17 16:49:21 2013 +0200

    modules/cdp: Initial framework for Credit Control Application
    	- inital support for RFC 4006
    	- this will be used to build IMS Ro charging interface TS32.299

commit e237f9573435a8a11672b155c1cf9a64638b87d2
Author: Jason Penton <jason.penton@smilecoms.com>
Date:   Wed Apr 17 16:40:32 2013 +0200

    modules/dialog_ng: API added function to get current dialog from msg

commit 2190c572cd1bc4b57a3c2dd5241e556b834c728c
Author: Juha Heinanen <jh@tutpro.com>
Date:   Tue Apr 16 14:28:59 2013 +0300

    modules/usrloc: init _ul_sruid also in mi_child_init

commit 2a77ed2bdc9341ecf7d7200e420a1f49e4e9b6ab
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Apr 14 10:11:29 2013 +0200

    auth: skip processing of PRACK in consume_credentials()
    
    - report and patch suggestions by Jorj Bauer

commit 56f7a8b98778f9c9b71f613a5df5eaa1705a7a00
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Sat Apr 13 15:37:18 2013 -0400

    tls: fix compiler warning
     - tls_config.c:61:19: warning: ât.val.sâ is used uninitialized in this function [-Wuninitialized]

commit d992d3b223a3319a360f033d1d904873160f706e
Author: Juha Heinanen <jh@tutpro.com>
Date:   Sat Apr 13 17:44:15 2013 +0300

    siputils:  added new function is_supported(option)
    
    - Checks if given option is listed in any of the Supported: headers of
      the request.

commit 2d27dd1080cd490e93646b38d3912dcbe3761ca5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Apr 13 11:26:48 2013 +0200

    xcap_server: init etag variable for PUT operations
    
    - the function xcaps_get_db_etag() may not found a record to db and will
      not initialize it, resulting in bogus value passed to
      check_preconditions()
    - reported by Juha Heinanen, FS#283

commit 22019e51e1e561a46eb9490c684b979f02be4e48
Merge: 3c54420 f88dd6d
Author: Marius Zbihlei <mariuszbi@gmai.com>
Date:   Sat Apr 13 08:44:43 2013 +0100

    Merge branch 'dnssec'
    
    Added support for DNSSEC as module

commit 3c54420914c011bdd874a97c4c40ee9dacb59788
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Apr 12 00:50:24 2013 +0200

    core: safety check for content-lenght size in tcp read
    
    - avoid getting negative
    - upon a report by Kevin Wojtysiak

commit 1a22767e39d50af450a49256b4425503a2d0d388
Author: Juha Heinanen <jh@tutpro.com>
Date:   Thu Apr 11 09:31:37 2013 +0300

    modules/path: unescaped received param value also in path rr callback

commit 2003bc3b1cc73caa36e9b4892d8d25f810d6c458
Author: Juha Heinanen <jh@tutpro.com>
Date:   Thu Apr 11 08:11:35 2013 +0300

    modules/registrar: unescape received value using kcore function
    
    - Now that unescaped received value goes into separate buffer, it is
      possible to use kcore unescape function.

commit 262b5880616d8b58cf9b012b460793f9879087b3
Author: Juha Heinanen <jh@tutpro.com>
Date:   Wed Apr 10 22:42:43 2013 +0300

    modules/registrar: fixed bug in un-escaping of path/received

commit d9c0024033278975a38c010b768e8f95c2dbb144
Author: Juha Heinanen <jh@tutpro.com>
Date:   Wed Apr 10 18:04:03 2013 +0300

    modules/path: b/f generate valid received param value

commit c01b97dd39a418acd0db7b4515d155c45d4092e6
Author: Juha Heinanen <jh@tutpro.com>
Date:   Wed Apr 10 18:00:04 2013 +0300

    modules/registrar: unescape path header received param value

commit ff2b0751b7a7925769afd14eae8c01b3af063568
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Wed Apr 10 15:01:52 2013 +0100

    pkg/kamailio/(centos|fedora): Updated .spec
    
    - Added sipt module
    - Increased rel to dev2

commit 94ce2b1de63432baaaecd9285608380a40a70550
Author: Richard Fuchs <rfuchs@sipwise.com>
Date:   Wed Apr 10 09:34:49 2013 -0400

    db_mysql: fix segfault when recursive queries are made
    
    The MySQL result object (MYSQL_RES) should not be stored within the
